<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Category controller.
 */
class RSDirectoryControllerCategory extends JControllerForm
{  
    /**
     * Remove the category image Ajax task.
     * 
     * @access public
     */
    public function removeImageAjax()
    {
        // Stop the script if the token is invalid.
        $this->checkToken();
            
        // Get the category model.    
        $model = $this->getModel();
            
        // Get the category id.
        $category_id = JFactory::getApplication()->input->getInt('category_id');
            
        // Remove image.
        if ( $model->removeImage($category_id) )
        {
            echo 1;
        }
            
        // Close the application.
        JFactory::getApplication()->close();
    }

    /**
     * Remove the category map icon Ajax task.
     *
     * @access public
     */
    public function removeMapIconAjax()
    {
        // Stop the script if the token is invalid.
        $this->checkToken();

        // Get the category model.
        $model = $this->getModel();

        // Get the category id.
        $category_id = JFactory::getApplication()->input->getInt('category_id');

        // Remove image.
        if ( $model->removeMapIcon($category_id) )
        {
            echo 1;
        }

        // Close the application.
        JFactory::getApplication()->close();
    }
}