<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Credit Packages controller.
 */
class RSDirectoryControllerCreditPackages extends JControllerAdmin
{
    /**
     * Method to get a model object, loading it if required.
     *
     * @access public
     * 
     * @param string $name The model name. Optional.
     * @param string $prefix The class prefix. Optional.
     * @param array $config Configuration array for model. Optional.
     *
     * @return object
     */
    public function getModel( $name = 'CreditPackage', $prefix = 'RSDirectoryModel', $config = array('ignore_request' => true) )
    {
        return parent::getModel($name, $prefix, $config);
    }
        
    /**
     * Save order ajax.
     *
     * @access public
     */
    public function saveOrderAjax()
    {
        $app = JFactory::getApplication();
            
        $pks = $app->input->post->get( 'cid', array(), 'array' );
        $order = $app->input->post->get( 'order', array(), 'array' );
            
        // Sanitize the input.
        $pks = array_map('intval', $pks);
        $order = array_map('intval', $order);
            
        // Get the model.
        $model = $this->getModel();
            
        // Save the ordering.
        if ( $model->saveorder($pks, $order) )
        {
            echo 1;
        }
            
        // Close the application.
        $app->close();
    }
}