<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * User controller.
 */
class RSDirectoryControllerUser extends JControllerForm
{
	public function save($key = null, $urlVar = 'id')
	{
		return parent::save($key, $urlVar);
	}

	public function edit($key = null, $urlVar = 'id')
	{
		return parent::edit($key, $urlVar);
	}

	public function anonymise()
	{
		$this->checkToken();

		$id = $this->input->getInt('id');

		try
		{
			$model = $this->getModel();
			$model->anonymise($id);

			JFactory::getApplication()->enqueueMessage(JText::_('COM_RSDIRECTORY_DATA_HAS_BEEN_SUCCESSFULLY_ANONYMISED'), 'success');
		}
		catch (Exception $e)
		{
			JFactory::getApplication()->enqueueMessage($e->getMessage(), 'error');
		}

		$this->setRedirect(
			JRoute::_(
				'index.php?option=' . $this->option . '&view=' . $this->view_list
				. $this->getRedirectToListAppend(), false
			)
		);
	}
}