<?php
/**
 * @package    RSTickets! Pro
 *
 * @copyright  (c) 2010 - 2016 RSJoomla!
 * @link       https://www.rsjoomla.com
 * @license    GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die('Restricted access');

abstract class RsdirectoryAdapterGrid
{
	public static function row()
	{
		return 'row-fluid';
	}

	public static function column($size, $additional = '')
	{
		return 'span' . (int) $size;
	}

	public static function sidebar()
	{
		return '<div id="j-sidebar-container" class="' . static::column(2) . '">' .
			JHtmlSidebar::render().
			'</div>' .
			'<div id="j-main-container" class="' . static::column(10) . '">';
	}

	public static function checkbox($input = '', $label = '',$flow = '') {
		if (empty($input) && !strlen($label)) {
			return '';
		}

		$label = str_replace('{rsdir_radio}', $input, $label);

		return $label;
	}

	public static function label_span($content, $type = 'primary') {
		return '<span class="label label-'.$type.'">' . $content . '</span>';
	}

	public static function inputAppend($input, $append, $button = false)
	{
		$html = '<div class="input-prepend">';
		$html .= $input;
		if (!$button) {
			$html .= '<span class="add-on">';
		}
		$html .= $append;
		if (!$button) {
			$html .= '</span>';
		}
		$html .= '</div>';

		return $html;
	}

	public static function inputPrepend($input, $prepend, $button = false)
	{
		$html = '<div class="input-prepend">';
		if (!$button) {
			$html .= '<span class="add-on">';
		}
		$html .= $prepend;
		if (!$button) {
			$html .= '</span>';
		}
		$html .= $input;
		$html .= '</div>';

		return $html;
	}

	public static function controlGroup()
	{
		return 'control-group';
	}

	public static function progressBar($percent,  $class = '', $additional = '')
	{
		// put a space in front of the class
		if ($class != '')
		{
			$class = ' '.$class;
		}

		return  '
		<div class="progress">
			<div class="bar'.$class.'" style="width: '.$percent.'%;">
			 	<div class="pull-right progress-label">'.$percent.'% '.$additional.'</div>
  			</div>
		</div>
		';
	}

	public static function formControl($with_class = false)
	{
		return '';
	}

	public static function formSelect($with_class = false) {
		return '';
	}

	public static function formLabel($with_class = false) {
		return '';
	}

	public static function badgeClass($type, $text_color = '')
	{
		$classes = array(
			'primary' => 'info',
			'secondary' => '',
			'success' => 'success',
			'danger' => 'important',
			'warning' => 'warning',
			'info' => 'info',
			'light' => '',
			'dark' => 'inverse'
		);
		$label = 'label';

		if (!empty($classes[$type])) {
			$label .= ' label-'.$classes[$type];
		}

		return $label;
	}

	public static function float($type = '') {
		switch($type){
			case 'left':
				return 'pull-left';
				break;
			case 'right':
				return 'pull-right';
				break;

			default:
				return '';
				break;
		}
	}
}