<?php
/**
 * @package    RSDirectory!
 *
 * @copyright  (c) 2010 - 2021 RSJoomla!
 * @link       https://www.rsjoomla.com
 * @license    GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die('Restricted access');

class RsDirectoryAdapterBtnGroup
{
    protected $id		= null;
    protected $buttons 	= array();

    public function __construct($id){
        $this->id = $id;
    }

    public function addButton($label, $options = array())
    {
        $this->buttons[] = (object) array(
            'label'     => $label,
            'options'   => $options
        );
    }

    public function render()
    {
        if (!empty($this->buttons))
        {
            // start the vertical container
            echo '<div class="d-grid"'.(!empty($this->id) ? ' '.$this->id : '').'>';

            foreach ($this->buttons as $btn)
            {

                $attrs = array(
                    'class'=>'btn btn-link'
                );

                if (!empty($btn->options))
                {
                    foreach ($btn->options as $attr => $value)
                    {
                        $attrs[$attr] = RSDirectoryHelper::escapeHTML($value);
                    }
                }

                $html_attrs = array();

                foreach($attrs as $attr => $value)
                {
                    $html_attrs[] =  RSDirectoryHelper::escapeHTML($attr).'="'.$value.'"';
                }
                $html_attrs = implode(' ', $html_attrs);

                if (!empty($btn->options['href']))
                {
                    echo '<a href="'.RSDirectoryHelper::escapeHTML($btn->options['href']).'" '.$html_attrs.'>'.RSDirectoryHelper::escapeHTML($btn->label).'</a>';
                }
                else
                {
                    echo '<button type="button" '.$html_attrs.'>'.RSDirectoryHelper::escapeHTML($btn->label).'</button>';
                }
            }

            // end vertical container
            echo '</div>';
        }
    }
}