<?php
/**
 * @package    RSDirectory!
 *
 * @copyright  (c) 2010 - 2021 RSJoomla!
 * @link       https://www.rsjoomla.com
 * @license    GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die('Restricted access');

abstract class RsdirectoryAdapterGrid
{
	public static function row()
	{
		return 'row';
	}

	public static function column($size, $additional = '')
	{
		$classes = array();
		$classes[] = 'col-md-' . (int) $size;

		if (!empty($additional)) {
			$classes[] = $additional;
		}

		$classes = implode(' ', $classes);
		return $classes;
	}

	public static function sidebar()
	{
		return '<div id="j-main-container" class="j-main-container">';
	}

	public static function inputAppend($input, $append, $button = false)
	{
		$html = '<div class="input-group">';
		$html .= $input;
		if (!$button) {
			$html .= '<span class="input-group-text">';
		}
		$html .= $append;
		if (!$button) {
			$html .= '</span>';
		}
		$html .= '</div>';

		return $html;
	}

	public static function inputPrepend($input, $prepend, $button = false)
	{
		$html = '<div class="input-group">';
		if (!$button) {
			$html .= '<span class="input-group-text">';
		}
		$html .= $prepend;
		if (!$button) {
			$html .= '</span>';
		}
		$html .= $input;
		$html .= '</div>';

		return $html;
	}

	public static function checkbox($input = '', $label = '',$flow = '') {
		if (empty($input) && !strlen($label)) {
			return '';
		}

		$label = str_replace('{rsdir_radio}', '', $label);

		return '<div class="form-check'.(!empty($flow) ? ' '.$flow : '').'">'.$input.$label.'</div>';
	}

	public static function label_span($content, $type = 'primary') {
		return '<span class="badge bg-'.$type.'">' . $content . '</span>';
	}

	public static function controlGroup() {
		return 'mb-3';
	}

	public static function progressBar($percent, $class = '', $additional = '') {
		// put a space in front of the class
		if ($class != '')
		{
			$class = ' '.$class;
		}

		return  '
		<div class="progress">
  				<div class="progress-bar'.$class.'" role="progressbar" style="width: '.$percent.'%;" aria-valuenow="'.$percent.'" aria-valuemin="0" aria-valuemax="100">'.$percent.'% '.$additional.'</div>
		</div>
		';
	}

	public static function formControl($with_class = false) {
		return $with_class ? ' class="form-control"' : ' form-control';
	}

	public static function formSelect($with_class = false) {
		return $with_class ? ' class="form-select"' : ' form-select';
	}

	public static function formLabel($with_class = false) {
		return $with_class ? ' class="form-label"' : ' form-label';
	}

	public static function badgeClass($type, $text_color = ''){
		return 'badge bg-'.$type.$text_color;
	}

	public static function float($type = '') {
		switch($type){
			case 'left':
				return 'float-start';
			break;
			case 'right':
				return 'float-end';
			break;

			default:
				return '';
			break;
		}
	}
}