<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Model helper.
 */
class RSDirectoryModel extends JModelLegacy
{
	/**
	 * Returns a Model object, always creating it.
	 *
	 * @access public
	 *
	 * @static
	 *
	 * @param string $type The model type to instantiate
	 * @param string $prefix Prefix for the model class name. Optional.
	 * @param array $config Configuration array for model. Optional.
	 *
	 * @return mixed A model object or false on failure
	 */
	public static function getInstance( $type, $prefix = 'RSDirectoryModel', $config = array() )
	{
		$root = JFactory::getApplication()->isClient('administrator') ? JPATH_ADMINISTRATOR : JPATH_SITE;
		$path = $root . '/components/com_rsdirectory/models/' . strtolower($type) . '.php';
		JLoader::register($prefix.$type, $path);

		return parent::getInstance($type, $prefix, $config);
	}
}