<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

/**
 * Field Types list options field.
 *
 * @package RSDirectory!
 * @subpackage com_rsdirectory
 */
class JFormFieldFieldTypes extends JFormFieldList
{
    /**
     * The form field type.
     *
     * @var string
     */
    protected $type = 'categoryform';

    /**
     * Method to get the field options.
     *
     * @access protected
     *
     * @return array The field option objects.
     */
    protected function getOptions()
    {
        $field_types_model = RSDirectoryModel::getInstance('FieldTypes');

        $field_types = $field_types_model->getFieldTypesObjectList();

        $options = array((object)array(
            'value' => '',
            'text' => JText::_('COM_RSDIRECTORY_FILTER_SELECT_FIELD_TYPE'),
        ));

        if ($field_types)
        {
            foreach ($field_types as $field_type)
            {
                $options[] = (object)array(
                    'value' => $field_type->type,
                    'text' => $field_type->name,
                );
            }
        }

        return $options;
    }
}