<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Rating field.
 *
 * @package RSDirectory!
 * @subpackage com_rsdirectory
 */
class JFormFieldRating extends JFormField
{
    /**
     * The form field type.
     *
     * @var string
     */
    protected $type = 'rating';
        
    /**
     * Method to get the field input markup.
     *
     * @access protected
     *
     * @return string The field input markup.
     */
    protected function getInput()
    {
        // only when adding the review manually we can select the score
        $rating_id = JFactory::getApplication()->input->getInt('id', 0);

        if (JFactory::getApplication()->isClient('site'))
        {
	        $readOnly = empty($rating_id) ? 'false' : 'true';
        }
        else
        {
        	$readOnly = false;
        }
       
		RSDirectoryHelper::loadRaty('#' . $this->id, array('scoreName' => $this->name, 'readOnly' => $readOnly));
            
        // Initialize field attributes.
        $attrs = " id=\"$this->id\"";
        $attrs .= $this->element['class'] ? ' class="' . (string) $this->element['class'] . '"' : '';
            
        // Initialize the result string.
        $str = "<div$attrs data-rating=\"" . ( (int) $this->value ) . "\">";
            
        $str .= '</div>';
            
        return $str;
    }
}