<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('JPATH_PLATFORM') or die;

class JFormFieldRsdirectoryhtml extends JFormField
{
    /**
     * The form field type.
     *
     * @var string
     */
    protected $type = 'rsdirectoryhtml';

    /**
     * Method to get the field input markup.
     *
     * @access protected
     *
     * @return string The field input markup.
     */
    protected function getInput()
    {
        $value = $this->value;
        if (!empty($this->element['escape']))
        {
            $value = htmlspecialchars($this->value, ENT_COMPAT, 'utf-8');
        }

        return $value;
    }
}