<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('JPATH_PLATFORM') or die;

JFormHelper::loadFieldClass('list');

class JFormFieldRSUser extends JFormFieldUser
{
	public $type = 'rsuser';

	
	protected function getInput()
	{
		// deselect user function
		$script = ' function rsMembershipDeselectUser_'.$this->id.'(title) {';
		$script .= ' 	var old_id = document.getElementById("' . $this->id . '_id").value;';
		$script .= ' 	if (old_id != \'\') {';
		$script .= '			document.getElementById("' . $this->id . '_id").value = \'\';';
		$script .= '			document.getElementById("' . $this->id . '").value = title;';
		$script .= '			document.getElementById("' . $this->id . '").className = document.getElementById("' . $this->id . '").className.replace(" invalid" , "");';
		$script .= '			' . $this->onchange;
		$script .= '		}';
		$script .= '	}';

		// Add the script to the document head.
		JFactory::getDocument()->addScriptDeclaration($script);

		// build the deselect link
		$removeLink = '<a class="btn btn-danger" title="'.htmlspecialchars(JText::_('COM_RSDIRECTORY_ENTRIES_REMOVE_USER'), ENT_COMPAT, 'UTF-8').'" onclick="rsMembershipDeselectUser_'.$this->id.'(\''.htmlspecialchars(JText::_('JLIB_FORM_SELECT_USER'), ENT_COMPAT, 'UTF-8').'\')">'.'<i class="icon-delete"></i></a>';
		
		$html = parent::getInput();
		if (RSDirectoryHelper::isJ4())
		{
			$html = str_replace('</button>', '</button>'.$removeLink, $html);
		}
		else {

			$html = str_replace('class="field-user-wrapper"', 'class="field-user-wrapper input-append"', $html);
			$html .= $removeLink;
		}

		return $html;
	}
}
