<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * The RSDirectory! model.
 */
class RSDirectoryModelRSDirectory extends JModelLegacy
{
    /**
     * Get buttons data array.
     *
     * @access public
     * 
     * @return object
     */
    public function getButtons()
    {
        $buttons = (object)array(
            'manage_directory_activity' => array(
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=entries'),
                    'icon' => 'entries',
                    'text' => JText::_('COM_RSDIRECTORY_ENTRIES'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=reportedentries'),
                    'icon' => 'reported-entries',
                    'text' => JText::_('COM_RSDIRECTORY_REPORTED_ENTRIES'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=ratings'),
                    'icon' => 'reported-entries',
                    'text' => JText::_('COM_RSDIRECTORY_RATINGS_AND_REVIEWS'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=users'),
                    'icon' => 'users',
                    'text' => JText::_('COM_RSDIRECTORY_USERS'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=transactions'),
                    'icon' => 'transactions',
                    'text' => JText::_('COM_RSDIRECTORY_TRANSACTIONS'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=creditshistory'),
                    'icon' => 'credits-history',
                    'text' => JText::_('COM_RSDIRECTORY_CREDITS_HISTORY'),
                    'access' => true,
                ),
            ),
            'set_up_directory' => array(
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=fields'),
                    'icon' => 'fields',
                    'text' => JText::_('COM_RSDIRECTORY_FIELDS'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=forms'),
                    'icon' => 'forms',
                    'text' => JText::_('COM_RSDIRECTORY_FORMS'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=categories'),
                    'icon' => 'categories',
                    'text' => JText::_('COM_RSDIRECTORY_CATEGORIES'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=groups'),
                    'icon' => 'groups',
                    'text' => JText::_('COM_RSDIRECTORY_GROUPS'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=creditpackages'),
                    'icon' => 'credit-packages',
                    'text' => JText::_('COM_RSDIRECTORY_CREDIT_PACKAGES'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=emailmessages'),
                    'icon' => 'emails',
                    'text' => JText::_('COM_RSDIRECTORY_EMAIL_MESSAGES'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=configuration'),
                    'icon' => 'configuration',
                    'text' => JText::_('COM_RSDIRECTORY_CONFIGURATION'),
                    'access' => true,
                ),
                (object)array(
                    'link' => JRoute::_('index.php?option=com_rsdirectory&view=tools'),
                    'icon' => 'tools',
                    'text' => JText::_('COM_RSDIRECTORY_TOOLS'),
                    'access' => true,
                )
            ),
        );
		
		$config = RSDirectoryConfig::getInstance();
		if ($config->get('show_install_sample_button', 1)) {
			$buttons->set_up_directory[] = (object) array(
				'link' => JRoute::_('index.php?option=com_rsdirectory&task=installsampledata'),
                'icon' => 'sample-data',
				'text' => JText::_('COM_RSDIRECTORY_SAMPLE_DATA'),
				'access' => true,
			);
		}
		
		return $buttons;
    }
}