CREATE TABLE IF NOT EXISTS `#__rsdirectory_config` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` longtext NOT NULL,
  PRIMARY KEY (`name`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_countries` (
  `name` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `name` (`name`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_credit_packages` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `price` float unsigned NOT NULL DEFAULT '0',
  `credits` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_email_messages` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `description` text NOT NULL,
  `category_id` int(11) unsigned NOT NULL DEFAULT '0',
  `type` varchar(255) NOT NULL DEFAULT '',
  `entry_expiration_period` int(11) unsigned NOT NULL DEFAULT '0',
  `to_name` text NOT NULL,
  `to_email` text NOT NULL,
  `bcc` text NOT NULL,
  `cc` text NOT NULL,
  `subject` text NOT NULL,
  `send_html` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `text` text NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_entries` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) unsigned NOT NULL DEFAULT '0',
  `form_id` int(11) unsigned NOT NULL DEFAULT '0',
  `title` text NOT NULL,
  `big_subtitle` text NOT NULL,
  `small_subtitle` text NOT NULL,
  `description` text NOT NULL,
  `metadata_title` text NOT NULL,
  `metadata_keywords` text NOT NULL,
  `metadata_description` text NOT NULL,
  `price` decimal(20,5) unsigned NOT NULL DEFAULT '0',
  `period` int(11) unsigned NOT NULL DEFAULT '0',
  `period_credits` int(11) unsigned NOT NULL DEFAULT '0',
  `renew` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `promoted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `promoted_selected` varchar(20) NOT NULL DEFAULT '',
  `promoted_period` int(11) unsigned NOT NULL DEFAULT '0',
  `promoted_expiry` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `promoted_credits` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `ip` varchar(255) NOT NULL DEFAULT '',
  `avg_rating` float unsigned NOT NULL DEFAULT '0',
  `ratings_count` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `expiry_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `new` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `paid` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `expiration_notice_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `activation_code` varchar(100) NOT NULL DEFAULT '',
  `language` varchar(7) DEFAULT '*',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `modified_user_id` (`modified_user_id`),
  KEY `category_id` (`category_id`),
  KEY `form_id` (`form_id`),
  KEY `promoted` (`promoted`),
  KEY `renew` (`renew`),
  KEY `published_time` (`published_time`),
  KEY `expiry_time` (`expiry_time`),
  KEY `promoted_expiry` (`promoted_expiry`),
  KEY `avg_rating` (`avg_rating`),
  KEY `created_time` (`created_time`),
  KEY `modified_time` (`modified_time`),
  KEY `new` (`new`),
  KEY `paid` (`paid`),
  KEY `published` (`published`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_entries_credits` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `entry_id` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `object_type` varchar(255) NOT NULL DEFAULT '',
  `object_id` int(11) NOT NULL DEFAULT '0',
  `credits` int(11) NOT NULL DEFAULT '0',
  `is_diff` tinyint(1) NOT NULL DEFAULT '0',
  `free` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `unlimited_credits` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `paid` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `entry_id` (`entry_id`,`user_id`,`object_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_entries_custom` (
  `idc` int(11) NOT NULL AUTO_INCREMENT,
  `entry_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`idc`),
  UNIQUE KEY `entry_id` (`entry_id`)
) DEFAULT CHARSET=utf8 COMMENT='This table is used for storing the custom fields values.';


CREATE TABLE IF NOT EXISTS `#__rsdirectory_entries_reported` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `entry_id` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `ip` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  `reason` text NOT NULL,
  `token` varchar(100) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `entry_id` (`entry_id`),
  KEY `user_id` (`user_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_favorites` (
  `entry_id` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`entry_id`,`user_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_fields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `field_type_id` int(11) unsigned NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `column_name` varchar(255) NOT NULL DEFAULT '',
  `form_field_name` varchar(255) NOT NULL DEFAULT '',
  `required` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_type_id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_fields_dependencies` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `field_id` int(11) unsigned NOT NULL DEFAULT '0',
  `parent_id` int(11) unsigned NOT NULL DEFAULT '0',
  `value` text NOT NULL,
  `items` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`),
  KEY `parent_id` (`parent_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_fields_properties` (
  `field_id` int(11) unsigned NOT NULL DEFAULT '0',
  `property_name` varchar(255) NOT NULL DEFAULT '',
  `value` longtext NOT NULL,
  PRIMARY KEY (`field_id`,`property_name`),
  INDEX `field_id` (`field_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_field_types` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL DEFAULT '',
  `xml_file` varchar(255) NOT NULL DEFAULT '',
  `core` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `all_forms` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `always_published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `create_column` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `expect_value` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_forms` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `title_template` text NOT NULL,
  `big_subtitle_template` text NOT NULL,
  `small_subtitle_template` text NOT NULL,
  `description_template` text NOT NULL,
  `use_title_template` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `use_big_subtitle_template` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `use_small_subtitle_template` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `use_description_template` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_big_subtitle` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_small_subtitle` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_thumbnails` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_images_number` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_price` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_publishing_time` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_expiry_time` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_favorites_button` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_ratings` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_entry_details_link` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_author` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_category` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_row_show_category_hierarchy` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_title` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_big_subtitle` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_small_subtitle` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_description` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_breadcrumb` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_gallery` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_price` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_publishing_time` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_expiry_time` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_favorites_button` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_ratings` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_author` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_category` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_category_hierarchy` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_recommend` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_report` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_print` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_hits` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `listing_detail_show_contact` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `entry_submit_thank_you_message` text NOT NULL,
  `contact_from_name` text NOT NULL,
  `contact_from_email` text NOT NULL,
  `contact_to_name` text NOT NULL,
  `contact_to_email` text NOT NULL,
  `contact_cc` text NOT NULL,
  `contact_bcc` text NOT NULL,
  `contact_subject` text NOT NULL,
  `contact_send_html` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `contact_message` text NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `use_entry_snippet` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `use_entry_snippet_auto` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `entry_snippet_sku` varchar(255) NOT NULL DEFAULT '',
  `entry_snippet_identifier` varchar(100) NOT NULL DEFAULT 'none',
  `entry_snippet_identifier_placeholder` varchar(255) NOT NULL DEFAULT '',
  `entry_snippet_offer_item_condition` varchar(255) NOT NULL DEFAULT '',
  `entry_snippet_offer_availability` varchar(255) NOT NULL DEFAULT '',
  `entry_snippet` text NOT NULL,
  `metadata_title` varchar(255) NOT NULL DEFAULT '',
  `metadata_keywords` varchar(255) NOT NULL DEFAULT '',
  `metadata_description` text NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_forms_custom_fields` (
  `form_id` int(11) unsigned NOT NULL DEFAULT '0',
  `field_id` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`form_id`,`field_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_forms_fields` (
  `form_id` int(11) unsigned NOT NULL DEFAULT '0',
  `field_id` int(11) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`form_id`,`field_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `initial_credits` int(11) unsigned NOT NULL DEFAULT '0',
  `can_add_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `add_entry_captcha` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_edit_all_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_change_category` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_edit_own_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_delete_all_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_delete_own_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_view_all_unpublished_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_view_own_unpublished_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `auto_publish_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_cast_votes` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_post_reviews` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_vote_own_entries` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `auto_publish_reviews` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `can_contact_entries_authors` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `contact_captcha` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `review_captcha` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `report_captcha` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_groups_relations` (
  `group_id` int(11) unsigned NOT NULL DEFAULT '0',
  `jgroup_id` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`group_id`,`jgroup_id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_import_tmp` (
  `id_old` int(11) unsigned NOT NULL DEFAULT '0',
  `id_new` int(11) unsigned NOT NULL DEFAULT '0',
  `section` varchar(255) NOT NULL DEFAULT '',
  KEY `id_old` (`id_old`),
  KEY `id_new` (`id_new`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_restore_tmp` (
  `id_old` int(11) unsigned NOT NULL DEFAULT '0',
  `id_new` int(11) unsigned NOT NULL DEFAULT '0',
  `table` varchar(255) NOT NULL DEFAULT '0',
  KEY `id_old` (`id_old`),
  KEY `id_new` (`id_new`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_reviews` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `entry_id` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `ip` varchar(255) NOT NULL DEFAULT '',
  `score` int(11) unsigned NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `review` text NOT NULL,
  `owner_reply` text NOT NULL,
  `token` varchar(100) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_uploaded_files` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `hash` varchar(32) NOT NULL DEFAULT '',
  `file_name` varchar(255) NOT NULL DEFAULT '',
  `original_file_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `entry_id` (`hash`),
  KEY `user_id` (`user_id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_uploaded_files_cat_mapicons_rel` (
  `file_id` int(11) unsigned NOT NULL DEFAULT '0',
  `category_id` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`,`category_id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_uploaded_files_categories_relations` (
  `file_id` int(11) unsigned NOT NULL DEFAULT '0',
  `category_id` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`,`category_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_uploaded_files_fields_relations` (
  `file_id` int(11) unsigned NOT NULL DEFAULT '0',
  `entry_id` int(11) unsigned NOT NULL DEFAULT '0',
  `field_id` int(11) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`,`entry_id`,`field_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_users` (
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `credits` int(11) unsigned NOT NULL DEFAULT '0',
  `unlimited_credits` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `enable_contact_form` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_id`)
) DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__rsdirectory_users_transactions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `credit_title` varchar(255) NOT NULL DEFAULT '',
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `entry_id` int(11) unsigned NOT NULL DEFAULT '0',
  `type` varchar(255) NOT NULL DEFAULT '',
  `price` float NOT NULL DEFAULT '0',
  `tax` float NOT NULL DEFAULT '0',
  `tax_type` varchar(255) NOT NULL DEFAULT '',
  `tax_value` float NOT NULL DEFAULT '0',
  `total` float NOT NULL DEFAULT '0',
  `currency` varchar(3) NOT NULL DEFAULT '',
  `credits` int(11) unsigned NOT NULL DEFAULT '0',
  `hash` varchar(32) NOT NULL DEFAULT '',
  `ip` varchar(255) NOT NULL DEFAULT '',
  `gateway` varchar(255) NOT NULL DEFAULT '',
  `gateway_order_number` varchar(255) NOT NULL DEFAULT '',
  `gateway_order_type` varchar(255) NOT NULL DEFAULT '',
  `gateway_params` longtext NOT NULL,
  `gateway_log` longtext NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_finalized` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `finalized` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'If this is set to 1, the credits have been given to the user and all future status changes will ignored.',
  `status` varchar(255) NOT NULL DEFAULT 'pending',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__rsdirectory_tokens` (
  `user_id` int(11) NOT NULL DEFAULT '0',
  `token` varchar(100) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`user_id`)
) DEFAULT CHARSET=utf8;