<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Credit History table.
 */
class RSDirectoryTableCreditHistory extends JTable
{
    /**
     * The class constructor.
     *
     * @access public
     * 
     * @param object Database connector object
     */
    public function __construct(&$db)
    {
        parent::__construct('#__rsdirectory_entries_credits', 'id', $db);
    }

    /**
     * Method to delete a row from the database table by primary key value.
     *
     * @param mixed $pk
     *
     * @return boolean
     *
     * @throws UnexpectedValueException
     */
    public function delete($pk = null)
    {
        $log_params = array(
            'type' => 'credits_history_delete',
            'credit_id' => $pk
        );

        // if the credit still has an entry associated
        // Get DBO.
        $db = JFactory::getDbo();

        $query = $db->getQuery(true)
            ->select( $db->qn('entry_id') )
            ->from( $db->qn('#__rsdirectory_entries_credits') )
            ->where( $db->qn('id') . ' = ' . $db->q($pk));
        $db->setQuery($query);

        if ($entry_id = $db->loadResult())
        {
            $log_params['entry_id'] = $entry_id;
        }

        RSDirectoryHelper::logAction($log_params);

        parent::delete($pk);
    }
}