<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Entry table.
 */
class RSDirectoryTableEntriescustom extends JTable
{
    public $idc;
    /**
     * The class constructor.
     *
     * @access public
     *
     * @param object Database connector object
     */
    public function __construct(&$db)
    {
        parent::__construct('#__rsdirectory_entries_custom', 'idc', $db);
    }

    public function check()
    {
        if (!$this->idc)
        {
            $default_values = $this->getDefaultValues('#__rsdirectory_entries_custom');

            if (!empty($default_values))
            {
                foreach ($default_values  as $column => $value)
                {
                    if (!isset($this->{$column}))
                    {
                        $this->{$column} = $value;
                    }
                }
            }
        }

        return true;
    }

    protected function getDefaultValues($table)
    {
        static $default_values;

        if (is_null($default_values))
        {
            $db = JFactory::getDBO();
            $columns = $db->getTableColumns($table);

            if ($columns)
            {
                foreach($columns as $column => $type)
                {
                    if (!isset($default_values[$column]))
                    {
                        // add the default value
                        if (stripos($type, 'int') !== false || stripos($type, 'float') !== false || strpos($type, 'decimal') !== false)
                        {
                            $default_values[$column] = 0;
                        }
                        else if (stripos($type, 'datetime') !== false)
                        {
                            $default_values[$column] = $db->getNullDate();
                        }
                        else
                        {
                            $default_values[$column] = '';
                        }
                    }
                }
            }
            else
            {
                $default_values = array();
            }
        }

        return $default_values;
    }
}
