<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape ($this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );
$ordering = $listOrder == 'lft';
$saveOrder = $listOrder == 'lft' && strtolower($listDirn) == 'asc';

if ($saveOrder)
{
    $saveOrderingUrl = 'index.php?option=com_rsdirectory&task=categories.saveOrderAjax&tmpl=component';
    JHtml::_( 'sortablelist.sortable', 'category-list', 'adminForm', strtolower($listDirn), $saveOrderingUrl, false, true );
}

?>
<?php if (!RSDirectoryHelper::isJ4()) { ?>
<script type="text/javascript">
   Joomla.orderTable = function()
    {
        table = document.getElementById("sortTable");
        direction = document.getElementById("directionTable");
        order = table.options[table.selectedIndex].value;
        if (order != '<?php echo $listOrder; ?>')
        {
            dirn = 'asc';
        }
        else
        {
            dirn = direction.options[direction.selectedIndex].value;
        }
        Joomla.tableOrdering(order, dirn, '');
    }
</script>
<?php  } ?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=categories'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
            
        <table id="category-list" class="adminlist table table-striped">
                
            <thead>
                <tr>

                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', '', 'lft', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
                    </th>
                    <th width="5%" class="nowrap center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_TITLE', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th width="15%" class="center text-center">
                        <?php echo JText::_('COM_RSDIRECTORY_FORM'); ?>
                    </th>
                    <th width="10%" class="nowrap hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ACCESS', 'access', $listDirn, $listOrder); ?>
                    </th>
                    <th width="5%" class="nowrap hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_LANGUAGE', 'language', $this->state->get('list.direction'), $this->state->get('list.ordering')); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody <?php if ($saveOrder) { ?> class="js-draggable" data-url="<?php echo $saveOrderingUrl; ?>" data-direction="<?php echo strtolower($listDirn); ?>" data-nested="true"<?php } ?>>
                <?php
                    
                foreach ($this->items as $i => $item)
                {
                    $orderkey = array_search($item->id, $this->ordering[$item->parent_id]);
                        
                    // Get the parents of item for sorting.
                    if ($item->level > 1)
                    {
                        $parentsStr = '';
                        $_currentParentId = $item->parent_id;
                        $parentsStr = " $_currentParentId";
                            
                        for ($i2 = 0; $i2 < $item->level; $i2++)
                        {
                            foreach ($this->ordering as $k => $v)
                            {
                                $v = implode('-', $v);
                                $v = "-$v-";
                                    
                                if ( strpos($v, "-$_currentParentId-") !== false )
                                {
                                    $parentsStr .= " $k";
                                    $_currentParentId = $k;
                                    break;
                                }
                            }
                        }
                    }
                    else
                    {
                        $parentsStr = '';
                    }
                    
                    ?>
                    <tr <?php echo (!RSDirectoryHelper::isJ4() ? 'class="row'.($i % 2).'" sortable-group-id' : 'data-draggable-group');?>="<?php echo $item->parent_id;?>" item-id="<?php echo $item->id?>" parents="<?php echo $parentsStr?>" level="<?php echo $item->level?>">
                        <td class="nowrap hidden-phone d-none d-sm-table-cell center text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="order nowrap hidden-phone d-none d-sm-table-cell center text-center">
                            <?php
                            $disableClassName = '';
                            $disabledLabel = '';

                            if (!$saveOrder)
                            {
                                $disabledLabel = JText::_('JORDERINGDISABLED');
                                $disableClassName = 'inactive';
                            }
                            ?>
                            <span class="sortable-handler hasTooltip <?php echo $disableClassName; ?>" title="<?php echo $disabledLabel; ?>">
                                <i class="icon-menu"></i>
                            </span>
                            <input type="text" style="display:none" name="order[]" size="5" value="<?php echo  $orderkey + 1; ?>" class="width-20 text-area-order" />
                        </td>
                        <td class="nowrap center text-center"><?php echo JHtml::_('jgrid.published', $item->published, $i, 'categories.'); ?></td>
                        <td>
                            <?php echo str_repeat('<span class="gi">&mdash;</span>', $item->level - 1); ?>
                                
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=category.edit&id=$item->id");?>">
                                <?php echo $this->escape($item->title); ?>
                            </a>
                            <span class="small" title="<?php echo $this->escape($item->path); ?>">
                                <?php if (!$item->note) { ?>
                                    <?php echo JText::sprintf( 'JGLOBAL_LIST_ALIAS', $this->escape($item->alias) );?>
                                <?php } else { ?>
                                    <?php echo JText::sprintf( 'JGLOBAL_LIST_ALIAS_NOTE', $this->escape($item->alias), $this->escape($item->note) );?>
                                <?php } ?>
                            </span>
                        </td>
                        <td class="nowrap small center text-center">
                            <?php echo $this->escape($item->form->title); ?>
                        </td>
                        <td class="small hidden-phone d-none d-sm-table-cell">
                            <?php echo $this->escape($item->access_level); ?>
                        </td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell">
                        <?php if ($item->language == '*') { ?>
                            <?php echo JText::alt('JALL', 'language'); ?>
                        <?php } else { ?>
                            <?php echo $item->language_title ? $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?>
                        <?php } ?>
                        </td>
                        <td class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                            <span title="<?php echo sprintf('%d-%d', $item->lft, $item->rgt); ?>">
                                <?php echo (int) $item->id; ?>
                            </span>
                        </td>
                    </tr>
                    <?php
                }
                ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="8">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
            </tfoot>
                
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="original_order_values" value="" />
    </div><!-- .span10 -->
</form>