<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Categories view.
 */
class RSDirectoryViewCategories extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * 
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        // Get the layout.
        $layout = $this->getLayout();
            
        if ($layout == 'modal')
        {
            $categories = RSDirectoryHelper::getSubcategories(0);
                
            // Initialize the options array.    
            $options = array(
                JHtml::_( 'select.option', 0, JText::_('JOPTION_SELECT_CATEGORY') ),
            );
                
            $this->categories = $categories;
            $this->categories_select = RSDirectoryHelper::getCategoriesSelect($categories);
        }
        else
        {
            $this->addToolbar();
            $this->pagination = $this->get('Pagination');
            $this->state = $this->get('State');
            $this->filterForm	= $this->get('FilterForm');
            $this->activeFilters= $this->get('ActiveFilters');

            $items = $this->get('Items');
                
            $this->items = $items;
                
            // Preprocess the list of items to find ordering divisions.
            foreach ($items as &$item)
            {
                $this->ordering[$item->parent_id][] = $item->id;
            }
        }
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access private
     */
    private function addToolbar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_CATEGORIES'), 'rsdirectory' );
            
        JToolbarHelper::addNew('category.add');
        JToolbarHelper::editList('category.edit');
        JToolBarHelper::divider();
        JToolBarHelper::publishList('categories.publish');
        JToolBarHelper::unpublishList('categories.unpublish');
        JToolBarHelper::divider();
        JToolBarHelper::deleteList( JText::_('COM_RSDIRECTORY_CONFIRM_DELETE'), 'categories.delete' );
        JToolBarHelper::divider();
        JToolbarHelper::custom('categories.rebuild', 'refresh.png', 'refresh_f2.png', 'JTOOLBAR_REBUILD', false);
        JToolbarHelper::custom('categoriesbatch.add', 'checkbox-partial','', 'COM_RSDIRECTORY_BATCH_ADD', false);

        RSDirectoryToolbarHelper::addToolbar('categories');
    }
}