<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Categories Batch view.
 */
class RSDirectoryViewCategoriesBatch extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * 
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        $this->addToolBar();
        $this->form = $this->get('Form');
        $this->fieldsets = $this->form->getFieldsets();
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_CATEGORIES_BATCH'), 'rsdirectory' );

        RSDirectoryToolbarHelper::addToolbar('categoriesbatch');
            
        JToolBarHelper::apply('categoriesbatch.apply');
        JToolBarHelper::save('categoriesbatch.save');
        JToolBarHelper::cancel('categoriesbatch.cancel');
    }
}