<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

$tabs = $this->tabs;
$form = $this->form;

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if ( task == 'category.cancel' || document.formvalidator.isValid( document.getElementById('item-form') ) ) {";
$script[] = "Joomla.submitform( task, document.getElementById('item-form') );";
$script[] = "}";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));

?>


<form id="item-form" name="adminForm" class="form-validate" action="<?php echo JRoute::_( 'index.php?option=com_rsdirectory&view=category&layout=edit&id=' . (int)$this->id ); ?>" method="post" enctype="multipart/form-data">
    <div class="<?php echo RSDirectoryHelper::isJ4() ? 'row title-alias form-vertical mb-3' : 'form-inline form-inline-header'; ?>">
        <div class="<?php echo RsdirectoryAdapterGrid::column(6, 'col-12')?>">
            <?php echo $form->renderField('title') ?>
        </div>
        <div class="col-12 col-md-6">
            <?php echo $form->renderField('alias'); ?>
        </div>
    </div>

    <div class="form-horizontal">
        <?php
        // Category details.
        $this->tabs->addTitle('COM_RSDIRECTORY_CATEGORY', 'category');
        $this->tabs->addContent( $this->loadTemplate('category') );

        // Category metadata.
        $this->tabs->addTitle('COM_RSDIRECTORY_METADATA', 'metadata');
        $this->tabs->addContent( $this->loadTemplate('metadata') );

        // Render tabs.
        $tabs->render();
        ?>

        <div>
            <?php echo $form->getInput('id'); ?>
            <input type="hidden" name="task" value="" />
            <?php echo JHtml::_('form.token') . "\n"; ?>
        </div>
    </div>

</form><!-- #category -->
