<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if ( task == 'configuration.cancel' || document.formvalidator.isValid( document.getElementById('configuration') ) ) {";
$script[] = "Joomla.submitform( task, document.getElementById('configuration') );";
$script[] = "}";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));
?>

<div class="rsdir">
    <div class="<?php echo RSDirectoryAdapterGrid::row(); ?>">
        <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
            <form id="configuration" class="form-validate form-horizontal" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=configuration'); ?>" method="post">
                <?php
                foreach ($this->fieldsets as $name => $fieldset) {
                    // add the tab title
                    $this->tabs->addTitle($fieldset->label, $fieldset->name);

                    // prepare the content
                    $this->fieldset =& $fieldset;
                    $this->fields 	= $this->form->getFieldset($fieldset->name);

                    $content = $this->loadTemplate('fieldset');
                    // add the tab content
                    $this->tabs->addContent($content);
                }

                // render tabs
                $this->tabs->render();
                ?>
                <input type="hidden" name="task" value="" />
                <input type="hidden" name="option" value="com_rsdirectory" />
                <?php echo JHtml::_('form.token') . "\n"; ?>

            </form><!-- #configuration -->
        </div><!-- .span10 -->
    </div><!-- .row-fluid -->
</div><!-- .rsdir -->