<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Configuration view.
 */
class RSDirectoryViewConfiguration extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        // Add the toolbar.
        $this->addToolbar();

        $this->tabs	     = $this->get('RSTabs');
        $this->form      = $this->get('Form');
        $this->fieldsets = $this->form->getFieldsets();

        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access private
     */
    private function addToolbar()
    {
		// Set title.
		JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_CONFIGURATION'), 'rsdirectory' );
			
        // Add toolbar buttons.
        JToolBarHelper::apply('configuration.apply');
        JToolBarHelper::save('configuration.save');
        JToolBarHelper::cancel('configuration.cancel');

        RSDirectoryToolbarHelper::addToolbar('configuration');
    }
}