<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

 // No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );
$saveOrder = $listOrder == 'ordering';
$ordering = $listOrder == 'ordering';

if ($saveOrder)
{
    $saveOrderingUrl = 'index.php?option=com_rsdirectory&task=creditpackages.saveOrderAjax&tmpl=component';
    JHtml::_( 'sortablelist.sortable', 'credit-packages-list', 'adminForm', strtolower($listDirn), $saveOrderingUrl );
}

?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=creditpackages'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
            
        <table id="credit-packages-list" class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', '', 'ordering', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
                    </th>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th width="5%" class="nowrap center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TITLE', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_PRICE', 'price', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="6%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CREDITS', 'credits', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'f.id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody<?php if ($saveOrder) { ?> class="js-draggable" data-url="<?php echo $saveOrderingUrl; ?>" data-direction="<?php echo strtolower($listDirn); ?>" data-nested="false"<?php } ?>>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr data-draggable-group="1">
                        <td class="order nowrap hidden-phone d-none d-sm-table-cell center text-center">
                            <?php
                            $disableClassName = '';
                            $disabledLabel = '';

                            if (!$saveOrder)
                            {
                                $disabledLabel = JText::_('JORDERINGDISABLED');
                                $disableClassName = 'inactive tip-top';
                            }
                            ?>
                            <span class="sortable-handler <?php echo $disableClassName; ?>" title="<?php echo $disabledLabel; ?>">
                                <i class="icon-menu"></i>
                            </span>
                            <input type="text" style="display:none" name="order[]" size="5" value="<?php echo isset($item->ordering) ? $item->ordering : 0; ?>" class="width-20 text-area-order" />
                        </td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="center text-center"><?php echo JHtml::_('jgrid.published', $item->published, $i, 'creditpackages.'); ?></td>
                        <td class="nowrap"><a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=creditpackage.edit&id=$item->id"); ?>"><?php echo $this->escape($item->title); ?></a></td>
                        <td class="center text-center"><?php echo RSDirectoryHelper::formatPrice($item->price); ?></td>
                        <td class="center text-center"><?php echo $item->credits ? $this->escape($item->credits) : JText::_('COM_RSDIRECTORY_UNLIMITED'); ?></td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="7">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>