<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Credit Packages view.
 */
class RSDirectoryViewCreditPackages extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * 
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        $this->addToolbar();
        $this->state         = $this->get('State');
        $this->filterForm	 = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
        $this->items         = $this->get('Items');
        $this->pagination    = $this->get('Pagination');

        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_CREDIT_PACKAGES'), 'rsdirectory' );
            
        JToolbarHelper::addNew('creditpackage.add');
        JToolbarHelper::editList('creditpackage.edit');
        JToolBarHelper::divider();
        JToolBarHelper::publishList('creditpackages.publish');
        JToolBarHelper::unpublishList('creditpackages.unpublish');
        JToolBarHelper::divider();
        JToolBarHelper::deleteList( JText::_('COM_RSDIRECTORY_CONFIRM_DELETE'), 'creditpackages.delete' );

        RSDirectoryToolbarHelper::addToolbar('creditpackages');
    }
}