<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

 // No direct access.
defined('_JEXEC') or die('Restricted access');

if (!RSDirectoryHelper::isJ4())
{
    JHtml::_('formbehavior.chosen', '.advancedSelectChosen');
}

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "Joomla.submitform( task, document.getElementById('adminForm') )";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));

?>
<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=creditshistory'); ?>" method="post">
    <?php echo RsdirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
            
        <table id="credit-packages-list" class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRY', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_USER', 'user', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TYPE', 'object_type', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CREDITS', 'credits', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_FREE', 'free', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_PAID', 'paid', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_CREATED', 'created_time', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr>
                        <td class="center hidden-phone d-none d-sm-table-cell center text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="nowrap">
                            <?php if ($item->title) { ?>
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=entry.edit&id=$item->entry_id"); ?>"><?php echo $this->escape($item->title); ?></a>
                            <?php } else { ?>
                            <?php echo JText::_('COM_RSDIRECTORY_ENTRY_REMOVED'); ?>
                            <?php } ?>
                        </td>
                        <td class="center"><a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=user.edit&id=$item->user_id"); ?>"><?php echo $this->escape($item->user); ?></a></td>
                        <td class="center small nowrap">
                        <?php
                        echo JText::_( 'COM_RSDIRECTORY_CREDIT_OBJECT_TYPE_' . strtoupper($item->object_type) );
                        echo $item->field_name ? " ($item->field_name)" : '';
                        if ($item->is_diff) {
                            echo ' ('.JText::_('COM_RSDIRECTORY_CREDIT_DIFFERENCE').')';
                        }
                        ?>
                        </td>
                        <td class="center small"><?php echo $item->credits; ?></td>
                        <td class="center small"><?php echo JText::_($item->free ? 'JYES' : 'JNO'); ?></td>
                        <td class="center small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center"><?php echo $this->markPaid($item->paid, $i, 'creditshistory.'); ?></td>
                        <td class="center small nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center"><?php echo JHtml::_( 'date', $item->created_time, JText::_('DATE_FORMAT_LC4') ); ?></td>
                        <td class="center hidden-phone d-none d-sm-table-cell center text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="9">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>