<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');


$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if ( task == 'emailmessage.cancel' || document.formvalidator.isValid( document.getElementById('email-message') ) ) {";
$script[] = "Joomla.submitform( task, document.getElementById('email-message') );";
$script[] = "}";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));

?>

<div class="rsdir">
    <form id="email-message" class="form-validate" action="<?php echo JRoute::_( 'index.php?option=com_rsdirectory&view=emailmessage&layout=edit&id=' . (int)$this->id ); ?>" method="post">
        
    <?php
    $placeholders = RSDirectoryHelper::getGlobalPlaceholdersHTML() .
        RSDirectoryHelper::getUserPlaceholdersHTML() .
        RSDirectoryHelper::getCreditsPlaceholdersHTML() .
        RSDirectoryHelper::getEntryCreditsPurchasePlaceholdersHTML() .
        RSDirectoryHelper::getEntryCreditsPurchaseFinalizedPlaceholdersHTML() .
        RSDirectoryHelper::getReviewPlaceholdersHTML() .
        RSDirectoryHelper::getEntryGeneralPlaceholdersHTML() .

        '<div id="rsdir-custom-fields-placeholders">'.
        '<h4 class="mt-3">' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_CUSTOM_FIELDS_TITLE') . '</h4>' .
        '<p>' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_CATEGORY_CUSTOM_FIELDS_DESC') . '</p>' .
        '<div id="custom-fields-placeholders"></div>'.
        '</div>';

    foreach ($this->form->getFieldset('emailmessage') as $field)
    {
        if ($field->fieldname == 'placeholders')
        {
            $this->form->setValue('placeholders', null, $placeholders);
        }

        echo $this->form->renderField($field->fieldname);
    }

    ?>
        
    <input type="hidden" name="task" value="" />
    <?php echo JHtml::_('form.token') . "\n"; ?>
        
    </form><!-- #email-message -->
</div><!-- .rsdir -->