<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die('Restricted access');

/**
 * The EmailMessage view.
 */
class RSDirectoryViewEmailMessage extends JViewLegacy
{
    public function display($tpl = null)
    {
        // Get the email message id.
        $id = JFactory::getApplication()->input->getInt('id');

        // Hide the menu
        JFactory::getApplication()->input->set('hidemainmenu', true);
            
        if ($id)
        {
            // Get the email message.
            $email_message = JTable::getInstance('EmailMessage', 'RSDirectoryTable');
            $email_message->load($id);
                
            if (!$email_message->id)
            {
                throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
            }
        }

        // Load the specific javascript file and string
        JText::script('COM_RSDIRECTORY_PLACEHOLDERS_CATEGORY_NO_CUSTOM_FIELDS');
        JHtml::_('script', 'com_rsdirectory/admin-emailmessage-script.js', array('relative' => true, 'version' => 'auto'));
            
        $this->addToolBar();
        $this->id = $id;
        $this->form = $this->get('Form');
        $this->fieldsets = $this->form->getFieldsets();
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        if ( JFactory::getApplication()->input->getInt('id') )
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_EDIT_EMAIL_MESSAGE'), 'rsdirectory' );
        }
        else
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_ADD_EMAIL_MESSAGE'), 'rsdirectory' );
        }

        RSDirectoryToolbarHelper::addToolbar('emailmessages');
            
        JToolBarHelper::apply('emailmessage.apply');
        JToolBarHelper::save('emailmessage.save');
        JToolBarHelper::save2new('emailmessage.save2new');
        JToolBarHelper::cancel('emailmessage.cancel');
    }
}