<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=emailmessages'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        <table class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th width="5%" class="nowrap center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo JText::_('COM_RSDIRECTORY_DESCRIPTION'); ?>
                    </th>
                    <th class="hidden-phone d-none d-sm-table-cell" width="20%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_SUBJECT', 'subject', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TYPE', 'type', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="20%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CATEGORY', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
            <tbody>
            <?php foreach ($this->items as $i => $item) { ?>
                <tr>
                    <td class="center hidden-phone d-none d-sm-table-cell text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                    <td class="center text-center"><?php echo JHtml::_('jgrid.published', $item->published, $i, 'emailmessages.'); ?></td>
                    <td class="nowrap"><a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=emailmessage.edit&id=$item->id"); ?>"><?php echo $this->escape($item->description); ?></a></td>
                    <td class="nowrap hidden-phone d-none d-sm-table-cell"><?php echo $this->escape($item->subject); ?></td>
                    <td class="center text-center"><?php echo $this->escape( JText::_( 'COM_RSDIRECTORY_EMAIL_MESSAGE_TYPES_' . strtoupper($item->type) ) ); ?></td>
                    <td class="center text-center"><?php echo $this->escape( $item->title ? $item->title : JText::_('JALL') ); ?></td>
                    <td class="center hidden-phone"><?php echo (int) $item->id; ?></td>
                </tr>
            <?php } ?>
            </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="7">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>