<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die('Restricted access');

/**
 * The EmailMessages view.
 */
class RSDirectoryViewEmailMessages extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        $this->addToolbar();
        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->state = $this->get('State');
        $this->filterForm	= $this->get('FilterForm');
        $this->activeFilters= $this->get('ActiveFilters');
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_EMAIL_MESSAGES'), 'rsdirectory' );
            
        JToolbarHelper::addNew('emailmessage.add');
        JToolbarHelper::editList('emailmessage.edit');
        JToolBarHelper::divider();
        JToolBarHelper::publishList('emailmessages.publish');
        JToolBarHelper::unpublishList('emailmessages.unpublish');
        JToolBarHelper::divider();
        JToolBarHelper::deleteList( JText::_('COM_RSDIRECTORY_CONFIRM_DELETE'), 'emailmessages.delete' );

        RSDirectoryToolbarHelper::addToolbar('emailmessages');
    }
}