<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

$form_id = $this->state->get('filter.form_id');

JHtml::_('behavior.keepalive');

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if (task == 'entry.add') {";
$script[] = "jQuery('#rsdirectoryAddNew').modal('show');";
$script[] = "return false;";
$script[] = "}";

if ($form_id) {
    $script[] = "RSDirectory.exportCSV.totalItems = {$this->totalItems};";
    $script[] = "RSDirectory.exportCSV.form_id = $form_id;";
    $script[] = "if (task === 'entries.exportcsv') {";
    $script[] = "RSDirectory.exportCSV.setCSV(0, '');";
    $script[] = "return false;";
    $script[] = "}";

    JHtml::_('script', 'com_rsdirectory/export.js', array('relative' => true, 'version' => 'auto'));
}

$script[] = "Joomla.submitform( task, document.getElementById('adminForm') );";
$script[] = "}";

$script[] = "function newEntry(category_id){";
$script[] = "document.getElementById('category_id').value = category_id;";
$script[] = "Joomla.submitform( 'entry.add', document.getElementById('adminForm') );";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));
?>


<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=entries'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>

    <div class="com-rsdirectory-progress" id="com-rsdirectory-export-progress" style="display:none">
        <div class="com-rsdirectory-bar" style="width: 0%;">0%</div>
    </div>
            
        <table class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th width="5%" class="nowrap center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TITLE', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_FORM', 'form', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'JAUTHOR', 'author', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_CREATED', 'created_time', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JPUBLISHED', 'published_time', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_MODIFIED', 'modified_time', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_EXPIRY', 'expiry_time', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_RENEW', 'renew', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_FIELDS_PROMOTED', 'promoted', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_FIELDS_PROMOTED_EXPIRY', 'promoted_expiry', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="10%">
                        <?php echo JText::_('COM_RSDIRECTORY_CREDITS_HISTORY'); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_PAID', 'paid', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="center text-center"><?php echo JHtml::_('jgrid.published', $item->published, $i, 'entries.'); ?></td>
                        <td class="nowrap">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=entry.edit&id=$item->id"); ?>"><?php echo $this->escape($item->title); ?></a>
                            <?php if ($item->category_title) { ?>
                            <div class="small">
                                <?php echo JText::_('JCATEGORY') . ": " . $this->escape($item->category_title); ?>
                            </div>
                            <?php } ?>
                        </td>
                        <td class="center text-center small nowrap">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=form.edit&id=$item->form_id"); ?>">
                                <?php echo $this->escape($item->form); ?>
                            </a>
                        </td>
                        <td class="center text-center small nowrap hidden-phone d-none d-sm-table-cell">
                            <a href="<?php echo JRoute::_("index.php?option=com_users&task=user.edit&id=$item->user_id"); ?>">
                                <?php echo $this->escape($item->author); ?>
                            </a>
                        </td>
                        <td class="small nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center">
                        <?php echo $item->created_time == '0000-00-00 00:00:00' ? '-' : JHtml::_( 'date', $item->created_time, JText::_('DATE_FORMAT_LC4') ); ?>
                        </td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php
                        if ($item->published_time != '0000-00-00 00:00:00')
                        {
                            echo JHtml::_( 'date', $item->published_time, JText::_('DATE_FORMAT_LC4') );
                        }
                        else
                        {
                            echo '<div title="' . JText::_('COM_RSDIRECTORY_ENTRY_NOT_YET_PUBLISHED') . '">-</div>';
                        }
                        ?>
                        </td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell center text-center">
                            <?php echo $item->modified_time != '0000-00-00 00:00:00' ? JHtml::_( 'date', $item->modified_time, JText::_('DATE_FORMAT_LC4') ) : '-'; ?>
                        </td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php
                        if ($item->expiry_time != '0000-00-00 00:00:00')
                        {
                            echo JHtml::_( 'date', $item->expiry_time, JText::_('DATE_FORMAT_LC4') );
                        }
                        else
                        {
                            echo '<div title="' . JText::_('COM_RSDIRECTORY_NO_EXPIRY') . '">-</div>';
                        }
                        ?>
                        </td>
                        <td class="small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center"><?php echo JText::_( empty($item->renew) ? 'JNO' : 'JYES' ); ?></td>
                        <td class="small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center"><?php echo JText::_( empty($item->promoted) ? 'JNO' : 'JYES' ); ?></td>
                        <td class="small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center">
                            <?php echo ($item->promoted_expiry != '0000-00-00 00:00:00' ? JHtml::_( 'date', $item->promoted_expiry, JText::_('DATE_FORMAT_LC4') ) : '-'); ?>
                        </td>
                        <td class="small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center">
                            <a class="<?php echo RSDirectoryHelper::getTooltipClass(); ?>" href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=creditshistory&filter_entry_id=$item->id"); ?>" title="<?php echo RSDirectoryHelper::getTooltipText( JText::sprintf( 'COM_RSDIRECTORY_CREDITS_HISTORY_FOR', $this->escape($item->title) ) ); ?>">
                                <?php echo JText::_('COM_RSDIRECTORY_CREDITS_HISTORY'); ?>
                            </a>
                        </td>
                        <td class="small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center"><?php echo $this->markPaid($item->paid, $i, 'entries.'); ?></td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="15"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
        <input id="category_id" type="hidden" name="category_id" value="" /><!-- Used when creating a new entry. -->

        <?php
        echo JHtml::_('bootstrap.renderModal', 'batchModal', array(
                'title'       => JText::_('COM_RSDIRECTORY_BATCH_PROCESS_ENTRIES'),
                'height'      => 500,
                'backdrop'    => 'static',
                'footer'      => '<button class="btn novalidate" type="button" data-'.(RSDirectoryHelper::isJ4() ? 'bs-' : '').'dismiss="modal" aria-hidden="true">'.JText::_('JCANCEL').'</button>
<button id="batchSubmit" class="btn btn-primary" type="submit">'.JText::_('JGLOBAL_BATCH_PROCESS').'</button>'
                ), $this->loadTemplate('batch_modal')
        );

        echo JHtml::_('bootstrap.renderModal', 'rsdirectoryAddNew', array(
                'title'       => JText::_('COM_RSDIRECTORY_ADD_ENTRY'),
                'url' 	      => JRoute::_('index.php?option=com_rsdirectory&view=categories&layout=modal&tmpl=component', false),
                'height'      => 500,
                'backdrop'    => 'static')
            );
        ?>
    </div><!-- .span10 -->
</form>