<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

if (!RSDirectoryHelper::isJ4())
{
    JHtml::_('behavior.modal');
    JHtml::_('formbehavior.chosen', 'select');
}


$entry = empty($this->entry) ? null : $this->entry;
$action = 'index.php?option=com_rsdirectory&view=entry&layout=edit&id=' . (int)$this->id;

if ($this->category_id)
{
    $action .= "&category_id=$this->category_id";
}

JText::script('COM_RSDIRECTORY_NUMBER_OF_DAYS_1');
JText::script('COM_RSDIRECTORY_NUMBER_OF_DAYS');
JText::script('COM_RSDIRECTORY_NUMBER_OF_CREDITS_1');
JText::script('COM_RSDIRECTORY_NUMBER_OF_CREDITS');

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if ( task == 'entry.cancel' || document.formvalidator.isValid( document.getElementById('form') ) ) {";
$script[] = "Joomla.submitform( task, document.getElementById('form') );";
$script[] = "}";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));

?>

<div class="rsdir">
    <div class="<?php echo RsdirectoryAdapterGrid::row();?>">
        <form id="form" class="rsdir-add-entry form-validate" action="<?php echo JRoute::_($action); ?>" method="post" enctype="multipart/form-data">
            
            <div class="<?php echo RsdirectoryAdapterGrid::controlGroup();?>">
                <?php echo $this->jform->getLabel('category_id'); ?>
                <?php echo $this->jform->getInput('category_id'); ?>
            </div>
                
            <div class="<?php echo RsdirectoryAdapterGrid::controlGroup();?>">
                <label><?php echo $this->jform->getLabel('user_id'); ?></label>
                <?php echo $this->jform->getInput('user_id'); ?>
            </div>
                
            <?php
                
            if ($this->form)
            {
                if ( !empty($this->form_fields) )
                {
                    foreach ($this->form_fields as $form_field)
                    {
                        if ($form_field->field_type == 'section_break')
                            continue;
                            
                        echo RSDirectoryFormField::getInstance($form_field, $entry)->generate($this->form->id);
                    }
                }
            }
            else
            {
                ?>
                    
                <p><?php echo JText::_('COM_RSDIRECTORY_NO_FORM_ASSOCIATED_ERROR'); ?></p>
                    
                <?php
            }
			
			// check if the promoted field is present
            $has_promoted = RSDirectoryHelper::findFormField('promoted', $this->form_fields, true) ? true : false;
                
            ?>

            <div class="<?php echo RsdirectoryAdapterGrid::controlGroup();?>">
                <?php echo $this->jform->getLabel('published_time'); ?>
                <?php echo $this->jform->getInput('published_time'); ?>
            </div>

            <div class="<?php echo RsdirectoryAdapterGrid::controlGroup();?> rsdir-promoted-expiry"<?php echo (($has_promoted && !empty($entry) && $entry->promoted) ? '' : 'style="display:none"'); ?>>
                <?php echo $this->jform->getLabel('promoted_expiry'); ?>
                <?php echo $this->jform->getInput('promoted_expiry'); ?>
            </div>
                
            <div class="<?php echo RsdirectoryAdapterGrid::controlGroup();?>">
                <?php echo $this->jform->getLabel('published'); ?>
                <?php echo $this->jform->getInput('published'); ?>
            </div>
                
            <div class="<?php echo RsdirectoryAdapterGrid::controlGroup();?>">
                <?php echo $this->jform->getLabel('paid'); ?>
                <?php echo $this->jform->getInput('paid'); ?>
            </div>

            <div class="<?php echo RsdirectoryAdapterGrid::controlGroup();?>">
                <?php echo $this->jform->getLabel('charge'); ?>
                <?php echo $this->jform->getInput('charge'); ?>
            </div>
                

                
            <div>
                <input type="hidden" name="fields[id]" value="<?php echo !empty($entry) ? $entry->id : 0; ?>" />
                <input type="hidden" name="task" value="" />
                <?php echo JHtml::_('form.token') . "\n"; ?>
            </div>
                
        </form><!-- #form -->
    </div><!-- .row-fluid -->
</div><!-- .rsdir -->