<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

?>

<script type="text/javascript">
        
    Joomla.submitbutton = function(task)
    {
        if ( task == 'field.cancel' || document.formvalidator.isValid( document.getElementById('adminForm') ) )
        {
            Joomla.submitform( task, document.getElementById('adminForm') );
        }
    }
        
    <?php if ( in_array( $this->field_type->type, array('calendar', 'dropdown_date_picker')) ) { ?>
        
    jQuery(function($)
    {
        date_mask = $('.date-mask');
        time_mask = $('.time-mask');
            
        if ( date_mask.val() == 'human_readable' )
        {
            time_mask.parents('.control-group').addClass('hide');
        }
            
        date_mask.keyup(function()
        {
            if ( date_mask.val() == 'human_readable' )
            {
                time_mask.parents('.control-group').addClass('hide');
            }
            else
            {
                time_mask.parents('.control-group').removeClass('hide');
            }
        });
    });
        
    <?php } ?>
</script>

<div class="rsdir">
    <form id="adminForm" class="form-validate" name="adminForm" action="<?php echo JRoute::_( 'index.php?option=com_rsdirectory&view=field&layout=edit&id=' . ( (int)$this->id ) . ($this->id ? '' : "&field_type_id={$this->field_type->id}") ); ?>" method="post">
            
        <?php        
            
        foreach ($this->fieldsets as $name => $fieldset)
        {
            // Add tab title.
            $this->rstabs->addTitle($fieldset->label, $name);

            $fields = $this->form->getFieldset($name);

            $content = '';
			
			if ($name == 'general')
            {
				// Add the field type input
				$field_type = new stdClass();
				$field_type->name = 'field_type';
				$field_type->forcename = 'field_type';
				$field_type->type = 'rsdirectoryhtml';
				$field_type->label = JText::_('COM_RSDIRECTORY_FIELD_PROPERTY_TYPE_LABEL');
				$field_type->value = '<input type="text"'.(RSDirectoryHelper::isJ4() ? 'class="form-control"' : '').' value="' . JText::_( 'COM_RSDIRECTORY_FIELDS_' . strtoupper($this->field_type->type)) . '" readonly="readonly" />';

				$content .= RSDirectoryFieldHelper::showCustomField($field_type);
			}

            foreach ($fields as $field)
            {
                // Skip the id and field_type_id fields.
                if ( in_array( $field->fieldname, array('id', 'field_type_id') ) )
                    continue;
                    
                // Load the publishing_period template.
                if (($this->field_type->type == 'publishing_period' || $this->field_type->type == 'promoted') && $field->fieldname == 'items')
                {

                    $this->field = $field;
                    $content .= $this->loadTemplate($this->field_type->type.($this->field_type->type == 'promoted' ? '_period' : ''));
                        
                    continue;    
                }
                    
                $addon = '';

                switch ($field->fieldname)
                {
                    // Add the map element after the default longitude field.
                    case 'default_lng':

                        $addon .= '<div id="rsdir-field-map"></div>';
                            
                        break;
                            
                    // Add a description after the searchable_advanced_items field.
                    case 'searchable_advanced_items':

                        $addon .= '<div class="help-block">' . JText::_('COM_RSDIRECTORY_FIELD_PROPERTY_SEARCHABLE_ADVANCED_ITEMS_DESC') . '</div>';
                            
                        break;
                            
                    // Add a description after the maximum_file_size field.
                    case 'maximum_file_size':

                        $addon .= '<div class="help-block">' . JText::sprintf('COM_RSDIRECTORY_SERVER_MAXIMUM_FILE_SIZE', '<strong>' . (int)ini_get('upload_max_filesize') . 'M</strong>') . '</div>';
                            
                        break;
                        
                    // Add a description after the max_files_number field.
                    case 'max_files_number':

                        $addon .= '<div class="help-block">' . JText::sprintf('COM_RSDIRECTORY_SERVER_MAXIMUM_FILES_NUMBER', '<strong>' . (int)ini_get('max_file_uploads') . '</strong>') . '</div>';
                            
                        break;
                }
                    
                $options = array();
                    
                if ($this->field_type->type == 'dropdown')
                {
                    if ($this->is_dependency_parent)
                    {
                        if ( in_array( $field->fieldname, array('default_values', 'multiple') ) )
                        {
                            $options = array('hide' => true);
                        }
                    }
                    else if ($field->fieldname == 'default_value')
                    {
                        $options = array('hide' => true);
                    }
                }

                if ($field->fieldname == 'dependency')
                {
                    $addon .= ' '.JHtml::_('image', 'com_rsdirectory/loader.gif', '', 'class="rsdir-loader hide" width="16" height="11"', true);
                }
                    
                if ($field->hidden)
                {
                    $content .= $field->input;
                }
                else
                {
                    $output_field = $this->form->renderField($field->fieldname);

                    if (!empty($options['hide']))
                    {
                        $output_field = str_replace('control-group', 'control-group hide', $output_field);
                    }

                    if (strlen($addon) > 0)
                    {
                        $output_field = preg_replace('/<\/div>\s+<\/div>/m', $addon.'</div></div>', $output_field);
                    }

                    $content .= $output_field;

                }

                // Display the dependency items fields.
                if ( in_array($this->field_type->type, $this->dependency_compatible) && $field->fieldname == 'dependency_value' && !empty($this->dependencies) )
                {
                    foreach ($this->dependencies as $dependency)
                    {
                        $base64 = base64_encode($dependency->value);

                        $id_value = preg_replace( '/^[^a-z0-9]+/', '', strtolower($base64) );
                        $id_value = preg_replace('/[^a-z0-9]+$/', '', $id_value);
                        $id_value = preg_replace('/[^a-z0-9\-]+/', '', $id_value);

                        // Add the textarea with the items
                        $items_field = new stdClass();
                        $items_field->name = "jform[items][$dependency->parent_id][" . $base64 . "]";
                        $items_field->forcename = "jform[items][$dependency->parent_id][" . $base64 . "]";
                        $items_field->type = 'textarea';
                        $items_field->id = "jform_items_{$dependency->parent_id}_{$id_value}";
                        $items_field->label = JText::_('COM_RSDIRECTORY_FIELD_PROPERTY_ITEMS_LABEL');
                        $items_field->description = JText::_('COM_RSDIRECTORY_FIELD_PROPERTY_CHECKBOXGROUP_ITEMS_DESC');
                        $items_field->controlgroupclass = 'hide';
                        $items_field->rows = 8;

                        if (!RSDirectoryHelper::isJ4())
                        {
                            $items_field->class = 'input-xxlarge';
                        }
                        $items_field->value = $dependency->items;

                        $content .= RSDirectoryFieldHelper::showCustomField($items_field);
                    }
                }
            }
                
            // Add tab content.
            $this->rstabs->addContent($content);
        }

        // Render tabs.
        $this->rstabs->render();
            
        ?>
            
        <div>
            <?php echo JHtml::_('form.token'); ?>
            <input type="hidden" name="task" value="" />
            <input type="hidden" name="jform[id]" value="<?php echo $this->id; ?>" />
            <input type="hidden" name="jform[field_type_id]" value="<?php echo $this->field_type->id; ?>" />
        </div>
    </form>
</div>