<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );
$saveOrder = $listOrder == 'ordering';
$ordering = $listOrder == 'ordering';
$form_id = $this->state->get('filter.form_id');

if ($saveOrder)
{
    $saveOrderingUrl = "index.php?option=com_rsdirectory&task=fields.saveOrderAjax&tmpl=component&form_id=$form_id";
    JHtml::_( 'sortablelist.sortable', 'fields-list', 'adminForm', strtolower($listDirn), $saveOrderingUrl );
}

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if (task == 'field.add') {";
$script[] = "jQuery('#rsdirectoryAddNewField').modal('show');";
$script[] = "return false;";
$script[] = "} else if (task == 'fields.assign2form') {";
$script[] = "jQuery('#rsdirectoryAssignToForm').modal('show');";
$script[] = "return false;";
$script[] = "}";
$script[] = "Joomla.submitform( task, document.getElementById('adminForm') );";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));
?>

<script type="text/javascript">
    function newField(field_id)
    {
        document.getElementById('field_type_id').value = field_id;
            
        Joomla.submitform( 'field.add', document.getElementById('adminForm') );
    }
        
    function assign2Form(form_id)
    {
        cid = jQuery( document.getElementById('adminForm') ).find('input[name="cid[]"]:checked');
            
        if (cid.length == 0)
            return;
            
        var field_ids = [];
            
        cid.each(function(index, element)
        {
            field_ids.push(element.value);
        });
            
        data = {
            field_ids: field_ids,
            form_id: form_id,
        };
        data[rsdir.token] = 1;
            
        jQuery.ajax(
        {
            type: 'POST',
            url: rsdir.base + 'index.php?option=com_rsdirectory&task=fields.assign2FormAjax&tmpl=component&random=' + Math.random(),
            data: data,
            success: function(response)
            {
                jQuery('#system-message-container').replaceWith(response);
                jQuery('#rsdirectoryAssignToForm').modal('hide');
            }
        });
    }
</script>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=fields'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
            
        <table id="fields-list" class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                    <?php if ($form_id) { ?>
                            <?php echo JHtml::_('searchtools.sort', '', 'ordering', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
                    <?php } else { ?>
                        <?php echo JText::_('JGRID_HEADING_ORDERING'); ?>
                    <?php } ?>
                    </th>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th width="5%" class="nowrap center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_NAME', 'name', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TYPE', 'type', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_SEARCHABLE_SIMPLE', 'searchable_simple', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_SEARCHABLE_ADVANCED', 'searchable_advanced', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CORE_FIELD', 'core', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_REQUIRED', 'required', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CREDITS', 'credits', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody <?php if ($saveOrder) { ?> class="js-draggable" data-url="<?php echo $saveOrderingUrl; ?>" data-direction="<?php echo strtolower($listDirn); ?>" data-nested="false"<?php } ?>>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr data-draggable-group="1">
                        <td class="order nowrap hidden-phone d-none d-sm-table-cell center text-center">
                            <?php
                            $disableClassName = '';
                            $disabledLabel = '';

                            if (!$saveOrder)
                            {
                                $disabledLabel = JText::_('JORDERINGDISABLED');
                                $disableClassName = 'inactive tip-top';
                            }
                            ?>
                            <span class="sortable-handler <?php echo $disableClassName; ?>" title="<?php echo $disabledLabel; ?>">
                                <i class="icon-menu"></i>
                            </span>
                            <input type="text" style="display:none" name="order[]" size="5" value="<?php echo isset($item->ordering) ? $item->ordering : 0; ?>" class="width-20 text-area-order " />
                        </td>
                        <td class="nowrap hidden-phone d-none d-sm-table-cell center text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="nowrap center text-center"><?php echo JHtml::_('jgrid.published', $item->published, $i, 'fields.'); ?></td>
                        <td class="nowrap"><a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=field.edit&id=$item->id"); ?>"><?php echo $this->escape($item->name); ?></a></td>
                        <td class="nowrap center text-center">
                        <?php
                        if ($item->type == 'section_break')
                        {
                            $break_type = $this->config->get('break_type');
                            
                            echo JText::_( 'COM_RSDIRECTORY_FIELDS_' . strtoupper($break_type) );
                        }
                        else
                        {
                            echo JText::_( 'COM_RSDIRECTORY_FIELDS_' . strtoupper($item->type) );
                        }
                        ?>
                        </td>
                        <td class="small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center">
                        <?php
                        if ( isset($item->searchable_simple) )
                        {
                            echo JText::_($item->searchable_simple ? 'JYES' : 'JNO');
                        }
                        else
                        {
                            echo '-';
                        }
                        ?>
                        </td>
                        <td class="small nowrap hidden-phone hidden-tablet d-none d-md-table-cell center text-center">
                        <?php
                        if ( isset($item->searchable_advanced) )
                        {
                            if ($item->searchable_advanced)
                            {
                                if ($item->searchable_advanced == 1)
                                {
                                    echo JText::_('JYES');
                                }
                                else
                                {
                                    echo JText::_( 'COM_RSDIRECTORY_FIELDS_' . strtoupper($item->searchable_advanced) );
                                }
                            }
                            else
                            {
                                echo JText::_('JNO');
                            }
                        }
                        else
                        {
                            echo '-';
                        }
                        ?>
                        </td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell center text-center"><?php echo JText::_( empty($item->core) ? 'JNO' : 'JYES' ); ?></td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell center text-center"><?php echo JText::_( empty($item->required) ? 'JNO' : 'JYES' ); ?></td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell center text-center"><?php echo is_numeric($item->credits) ? $item->credits : '-'; ?></td>
                        <td class="nowrap hidden-phone d-none d-sm-table-cell center text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="11"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
        <input id="field_type_id" type="hidden" name="field_type_id" value="" /><!-- Used when creating a new field. -->
       <?php
           echo JHtml::_('bootstrap.renderModal', 'rsdirectoryAddNewField', array(
                   'title'       => JText::_('COM_RSDIRECTORY_ADD_NEW_FIELD_MODAL_TITLE'),
                   'url' 	     => JRoute::_('index.php?option=com_rsdirectory&view=fieldtypes&tmpl=component', false),
                   'height'      => 500,
                   'backdrop'    => 'static')
           );

           echo JHtml::_('bootstrap.renderModal', 'rsdirectoryAssignToForm', array(
                   'title'       => JText::_('COM_RSDIRECTORY_ASSIGN_TO_FORM_MODAL_TITLE'),
                   'url' 	     => JRoute::_('index.php?option=com_rsdirectory&view=forms&layout=modal&tmpl=component', false),
                   'height'      => 500,
                   'backdrop'    => 'static')
           );
       ?>
            
    </div><!-- .span10 -->
</form>