<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$app = JFactory::getApplication();

if ( $app->isClient('site') )
{
    JSession::checkToken('get') or die( JText::_('JINVALID_TOKEN') );
}

$function = $app->input->getCmd('function', 'jSelectField');
$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

?>

<div class="rsdir">
	<form id="adminForm" class="form-inline" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=fields&layout=modal&tmpl=component&function=' . $function . '&' . JSession::getFormToken() . '=1'); ?>" method="post">

		<?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
			
		<table class="table table-striped table-condensed">
			<thead>
				<tr>
					<th class="title">
						<?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_NAME', 'f.name', $listDirn, $listOrder); ?>
					</th>
					<th width="20%" class="center nowrap">
						<?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TYPE', 'ft.type', $listDirn, $listOrder); ?>
					</th>
					<th width="5%" class="center nowrap">
						<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'f.id', $listDirn, $listOrder); ?>
					</th>
				</tr>
			</thead>
			<tbody>
			<?php foreach ($this->items as $i => $item) { ?>
				<tr class="row<?php echo $i % 2; ?>">
					<td>
						<a class="pointer" onclick="<?php if (empty($item->dependency)) { ?>if (window.parent) window.parent.<?php echo $this->escape($function);?>('<?php echo $item->id; ?>', '<?php echo $this->escape( addslashes($item->name) ); ?>');<?php } else { ?>alert('<?php echo JText::_('COM_RSDIRECTORY_CANNOT_SELECT_FIELD',true); ?>');<?php } ?>">
							<?php echo $this->escape($item->name); ?>
						</a>
					</td>
					<td class="center">
						<?php echo JText::_( 'COM_RSDIRECTORY_FIELDS_' . strtoupper($item->type) ); ?>
					</td>
					<td class="center">
						<?php echo $item->id; ?>
					</td>
				</tr>
				<?php } ?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="15">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
		</table>
			
		<div>
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="boxchecked" value="0" />
			<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
			<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
			<?php echo JHtml::_('form.token'); ?>
		</div>
			
	</form>
</div><!-- .rsdir -->