<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * The Fields view.
 */
class RSDirectoryViewFields extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * @param mixed $tpl
     */
    function display($tpl = null)
    {
        $this->state = $this->get('State');
        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->filterForm	= $this->get('FilterForm');
        $this->activeFilters= $this->get('ActiveFilters');

        // Get the layout.
        $layout = $this->getLayout();
            
        if ($layout != 'modal')
        {
            $this->addToolbar();
        } else  {
            // Remove these filters from the modal
            $this->filterForm->removeField('field_type', 'filter');
            $this->filterForm->removeField('core_field', 'filter');
            $this->filterForm->removeField('required', 'filter');
            $this->filterForm->removeField('searchable_simple', 'filter');
            $this->filterForm->removeField('searchable_advanced', 'filter');
            $this->filterForm->removeField('fullordering', 'list');
        }
            
        $this->config = RSDirectoryConfig::getInstance();
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access private
     */
    private function addToolbar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_FIELDS'), 'rsdirectory' );
            
        JToolbarHelper::addNew('field.add');
        JToolbarHelper::editList('field.edit');
        JToolBarHelper::divider();
        JToolBarHelper::publishList('fields.publish');
        JToolBarHelper::unpublishList('fields.unpublish');
        JToolBarHelper::divider();
        JToolBarHelper::deleteList( JText::_('COM_RSDIRECTORY_CONFIRM_DELETE'), 'fields.delete' );
        JToolBarHelper::divider();

        if (RSDirectoryHelper::isJ4())
        {
            $toolbar = JToolbar::getInstance('toolbar');
            $toolbar->popupButton('batch')
                ->text('COM_RSDIRECTORY_ASSIGN_TO_FORM')
                ->selector('rsdirectoryAssignToForm')
                ->listCheck(true);
        }
        else
        {
            $title = JText::_('COM_RSDIRECTORY_ASSIGN_TO_FORM');

            $dhtml = '<button class="btn btn-small" onclick="if(document.adminForm.boxchecked.value==0){alert(\'' . JText::_('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST') . '\');}else{ Joomla.submitbutton(\'fields.assign2form\')};"><i class="icon-checkbox-partial" title="' . $title . '"></i> ' . $title . '</button>';

            JToolBar::getInstance('toolbar')->appendButton('Custom', $dhtml, 'assign2form');
        }

        RSDirectoryToolbarHelper::addToolbar('fields');
    }
}