<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if (isset($this->fieldset->description) && !empty($this->fieldset->description)) { ?>
    <?php echo JText::_($this->fieldset->description); ?>
<?php } ?>
<?php

$placeholders = '';


if (in_array($this->fieldset->name, array('layouts', 'entry_submit', 'snippet', 'contact', 'metadata')))
{
    if ($this->fieldset->name == 'contact') {
        $placeholders .= '<h4 class="mt-3">' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_CONTACT_TITLE') . '</h4>' .
        '<div>{contact.name}</div>' .
        '<div>{contact.email}</div>';

        if($this->use_contact_phone_number)
        {
            $placeholders .=  '<div>{contact.phone_number}</div>';
        }

        if($this->use_contact_link_url)
        {
            $placeholders .=  '<div>{contact.link}</div>';
        }

        $placeholders .='<div>{contact.message}</div>';

    }

    $placeholders .= RSDirectoryHelper::getGlobalPlaceholdersHTML() .
        RSDirectoryHelper::getUserPlaceholdersHTML();

    if ($this->fieldset->name == 'contact') {
        $placeholders .= RSDirectoryHelper::getCreditsPlaceholdersHTML();
    }

    $placeholders .= RSDirectoryHelper::getEntryGeneralPlaceholdersHTML() .
        '<h4 class="mt-3">' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_CUSTOM_FIELDS_TITLE') . '</h4>' .
        RSDirectoryHelper::getCustomFieldsPlaceholdersHTML(0, $this->id);
}

foreach ($this->fields as $field)
{
    // show the placeholders here for the layouts fieldset
    if ($field->fieldname == 'placeholders' && !empty($placeholders))
    {
        if ($this->fieldset->name == 'snippet')
        {
            $placeholders = '<div id="entry_snippet_layout" data-showon=\'[{"field":"jform[use_entry_snippet]","values":["1"],"sign":"=","op":""},{"field":"jform[use_entry_snippet_auto]","values":["0"],"sign":"=","op":"AND"}]\'><h4>' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_TITLE') . '</h4>' .
                '<div>{snippet.images} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_IMAGES') . '</div>' .
                '<div>{snippet.price_value} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_PRICE_VALUE') . '</div>' .
                '<div>{snippet.currency} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_CURRENCY') . '</div>'.
                '<div>{snippet.price_valid_until} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_PRICE_VALID_UNTIL') . '</div>'.
                '<div>{snippet.review_rating_value} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_REVIEW_RATING_VALUE') . '</div>'.
                '<div>{snippet.review_body} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_REVIEW_BODY') . '</div>'.
                '<div>{snippet.review_author_name} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_REVIEW_AUTHOR_NAME') . '</div>'.
                '<div>{snippet.aggregate_rating_value} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_AGGREGATE_RATING_VALUE') . '</div>'.
                '<div>{snippet.aggregate_review_count} - ' . JText::_('COM_RSDIRECTORY_PLACEHOLDERS_SNIPPET_AGGREGATE_REVIEW_COUNT') . '</div></div>'.$placeholders;
        }
        $this->form->setValue('placeholders', null, $placeholders);
    }
    echo $this->form->renderField($field->fieldname);
}

