<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Form view.
 */
class RSDirectoryViewForm extends JViewLegacy
{
    public function display($tpl = null)
    {
        // Get the JInput object.
        $jinput = JFactory::getApplication()->input;
            
        // Get the form id.
        $id = $jinput->getInt('id');

        // Hide the menu
        JFactory::getApplication()->input->set('hidemainmenu', true);
            
        if ($id)
        {
            // Get the form.
            $form = JTable::getInstance('Form', 'RSDirectoryTable');
            $form->load($id);
                
            if (!$form->id)
            {
                throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
            }
        }
            
            
        $this->addToolBar();
        $this->id = $id;
        $this->category_id = $jinput->getInt('category_id');
        $this->tabs = $this->get('RSTabs');
        $this->form      = $this->get('Form');
        $this->fieldsets = $this->form->getFieldsets();

        $config = RSDirectoryConfig::getInstance();
        $this->use_contact_phone_number = $config->get('use_contact_phone_number');
        $this->use_contact_link_url = $config->get('use_contact_link_url');
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        if ( JFactory::getApplication()->input->getInt('id') )
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_EDIT_FORM'), 'rsdirectory' );
        }
        else
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_ADD_FORM'), 'rsdirectory' );
        }

        RSDirectoryToolbarHelper::addToolbar('forms');
            
        JToolBarHelper::apply('form.apply');
        JToolBarHelper::save('form.save');
        JToolBarHelper::save2new('form.save2new');
        JToolBarHelper::save2copy('form.save2copy');
        JToolBarHelper::cancel('form.cancel');
    }
}