<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=forms'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
            
        <table id="forms-list" class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TITLE', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th width="10%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JText::_('COM_RSDIRECTORY_FORM_FIELDS'); ?>
                    </th>
                    <th width="1%" class="nowrap hidden-phone d-none d-sm-table-cell center text-center">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="nowrap">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=form.edit&id=$item->id"); ?>">
                                <?php echo $this->escape($item->title); ?>
                            </a>
                        </td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=fields&filter_form=$item->id"); ?>">
                                <?php echo JText::_('COM_RSDIRECTORY_FORM_FIELDS'); ?>
                            </a>
                        </td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="4"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>