<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * The Forms view.
 */
class RSDirectoryViewForms extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        $layout = $this->getLayout();
            
        if ($layout == 'default')
        {
            $this->addToolbar();
            $this->state = $this->get('State');
            $this->filterForm	= $this->get('FilterForm');
            $this->activeFilters= $this->get('ActiveFilters');

            $this->items = $this->get('Items');
            $this->pagination = $this->get('Pagination');
        }
        else if ($layout == 'modal')
        {
            // load the btngroup adapter class
            $btnGroup = new RsDirectoryAdapterBtnGroup('forms');

            // Get the forms.
            $forms = RSDirectoryHelper::getForms();

            foreach ($forms as $form)
            {
                $btnGroup->addButton($form->title, array('onclick'=>"window.parent.assign2Form($form->id)"));

            }
                
            $this->rsmodalitems = $btnGroup;
        }
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access private
     */
    private function addToolbar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_FORMS'), 'rsdirectory' );
            
        JToolbarHelper::addNew('form.add');
        JToolbarHelper::editList('form.edit');
        JToolBarHelper::divider();
        JToolBarHelper::deleteList( JText::_('COM_RSDIRECTORY_CONFIRM_DELETE'), 'forms.delete' );

        RSDirectoryToolbarHelper::addToolbar('forms');
    }
}