<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if ( task == 'group.cancel' || document.formvalidator.isValid( document.getElementById('group') ) ) {";
$script[] = "Joomla.submitform( task, document.getElementById('group') );";
$script[] = "}";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));
?>

<div class="rsdir">
    <form id="group" class="form-validate" action="<?php echo JRoute::_( 'index.php?option=com_rsdirectory&view=group&layout=edit&id=' . (int)$this->id ); ?>" method="post">
            
         <?php
		
        foreach($this->fieldsets as $fieldset) {
			// set the title of the tab
			$this->rstabs->addTitle('COM_RSDIRECTORY_'.strtoupper($fieldset->name), $fieldset->name);
			
			// set the tab content
			$tabContent = '';
			foreach ($this->form->getFieldset($fieldset->name) as $field) {
				$tabContent .= $this->form->renderField($field->fieldname);
			}
			// add the content
			$this->rstabs->addContent( $tabContent );

		}
		// render the tabs
		$this->rstabs->render();
		
        ?>
            
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token') . "\n"; ?>
            
    </form><!-- #group -->
</div>