<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Group view.
 */
class RSDirectoryViewGroup extends JViewLegacy
{
    public function display($tpl = null)
    {
        // Get the group id.
        $id = JFactory::getApplication()->input->getInt('id');

        // Hide the menu
        JFactory::getApplication()->input->set('hidemainmenu', true);
            
        if ($id)
        {
            // Get the group.
            $group = JTable::getInstance('Group', 'RSDirectoryTable');
            $group->load($id);
                
            if (!$group->id)
            {
                throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
            }
        }
            
            
        $this->addToolBar();
        $this->id = $id;
        $this->form = $this->get('Form');
        $this->fieldsets = $this->form->getFieldsets();
		$this->rstabs = $this->get('RSTabs');
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        if ( JFactory::getApplication()->input->getInt('id') )
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_EDIT_GROUP'), 'rsdirectory' );
        }
        else
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_ADD_GROUP'), 'rsdirectory' );
        }
            
        require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/toolbar.php';
        RSDirectoryToolbarHelper::addToolbar('groups');
            
        JToolBarHelper::apply('group.apply');
        JToolBarHelper::save('group.save');
        JToolBarHelper::save2new('group.save2new');
        JToolBarHelper::save2copy('group.save2copy');
        JToolBarHelper::cancel('group.cancel');
    }
}