<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Groups view.
 */
class RSDirectoryViewGroups extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * 
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        $this->addToolbar();
        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->state = $this->get('State');
        $this->filterForm	= $this->get('FilterForm');
        $this->activeFilters= $this->get('ActiveFilters');
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_GROUPS'), 'rsdirectory' );
            
        JToolbarHelper::addNew('group.add');
        JToolbarHelper::editList('group.edit');
        JToolBarHelper::divider();
        JToolBarHelper::publishList('groups.publish');
        JToolBarHelper::unpublishList('groups.unpublish');
        JToolBarHelper::divider();
        JToolBarHelper::deleteList( JText::_('COM_RSDIRECTORY_CONFIRM_DELETE'), 'groups.delete' );

        RSDirectoryToolbarHelper::addToolbar('groups');
    }
}