<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if ( task == 'rating.cancel' || document.formvalidator.isValid( document.getElementById('review') ) ) {";
$script[] = "Joomla.submitform( task, document.getElementById('review') );";
$script[] = "}";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));
?>

<div class="rsdir">
    <form id="review" class="form-validate" action="<?php echo JRoute::_( 'index.php?option=com_rsdirectory&view=rating&layout=edit&id=' . (int)$this->id ); ?>" method="post">
        <?php
        if ( !empty($this->item) )
        {
            ?>
            <table class="table table-striped">
                <tbody>
                    <tr>
                        <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_ENTRY'); ?></th>
                        <td>
                            <a href="<?php echo JRoute::_('index.php?option=com_rsdirectory&task=entry.edit&id=' . $this->item->entry_id); ?>">
                                <?php echo $this->escape($this->item->title); ?>
                            </a>
                        </td>
                    </tr>
                    <tr>
                        <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_ENTRY_AUTHOR'); ?></th>
                        <td>
                            <a href="<?php echo JRoute::_('index.php?option=com_users&task=user.edit&id=' . $this->item->entry_author_id); ?>">
                                <?php echo $this->escape($this->item->entry_author); ?>
                            </a>
                        </td>
                    </tr>
                    <tr>
                        <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_IP'); ?></th>
                        <td><?php echo $this->escape($this->item->ip); ?></td>
                    </tr>
                    <tr>
                        <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_DATE_CREATED'); ?></th>
                        <td><?php echo $this->item->created_time; ?></td>
                    </tr>
                </tbody>
            </table>
            <?php
        }

        echo $this->form->renderFieldset('general');
        ?>
            
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token') . "\n"; ?>
    </form><!-- #review -->
</div><!-- .rsdir -->