<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Rating view.
 */
class RSDirectoryViewRating extends JViewLegacy
{
    public function display($tpl = null)
    {
        // Hide the menu
        JFactory::getApplication()->input->set('hidemainmenu', true);

        // Get the review id.
        if ( $id = JFactory::getApplication()->input->getInt('id') )
        {
            // Get the review.
            if ( !$this->item = $this->get('Item') )
            {
                throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
            }
        }
            
            
        $this->addToolBar();
        $this->id = $id;
        $this->form = $this->get('Form');
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        if ( JFactory::getApplication()->input->getInt('id') )
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_EDIT_REVIEW'), 'rsdirectory' );
        }
        else
        {
            JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_ADD_REVIEW'), 'rsdirectory' );
        }

        RSDirectoryToolbarHelper::addToolbar('ratings');
            
        JToolBarHelper::apply('rating.apply');
        JToolBarHelper::save('rating.save');
        JToolBarHelper::save2new('rating.save2new');
        JToolBarHelper::save2copy('rating.save2copy');
        JToolBarHelper::cancel('rating.cancel');
    }
}