<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

 // No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=ratings'); ?>" method="post">
    <?php echo RsdirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
            
        <table class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell text-center">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">

                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRY', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone  d-none d-md-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRY_AUTHOR', 'entry_author', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_RATING', 'score', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone center" width="20%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_SUBJECT', 'subject', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone  d-none d-md-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_REVIEW_AUTHOR', 'review_author', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone  d-none d-md-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_NAME', 'name', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone  d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_CREATED', 'created_time', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone  d-none d-md-table-cell center text-center" width="1%">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="center text-center"><?php echo JHtml::_('jgrid.published', $item->published, $i, 'ratings.'); ?></td>
                        <td class="center text-center">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=rating.edit&id=$item->id"); ?>" class="btn btn-secondary">
                                <?php echo JText::_('COM_RSDIRECTORY_EDIT'); ?>
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=entry.edit&id=$item->entry_id"); ?>">
                                <?php echo $this->escape($item->title); ?>
                            </a>
                        </td>
                        <td class="small nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center">
                            <a href="<?php echo JRoute::_("index.php?option=com_users&task=user.edit&id=$item->entry_author_id"); ?>">
                                <?php echo $this->escape($item->entry_author); ?>        
                            </a>
                        </td>
                        <td class="small nowrap hidden-phone d-none d-md-table-cell center text-center" nowrap>
                            <div class="rsdir-listing-rating" data-rating="<?php echo $item->score; ?>"></div>
                        </td>
                        <td class="small hidden-phone d-none d-sm-table-cell">
                            <?php
                            if (empty($item->subject)) {
                                echo JText::_('COM_RSDIRECTORY_REVIEW_NO_SUBJECT_PROVIDED');
                            } else {
                                echo $this->escape($item->subject);
                            }
                            ?>
                        </td>
                        <td class="small nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center">
                            <a href="<?php echo JRoute::_("index.php?option=com_users&task=user.edit&id=$item->review_author_id"); ?>">
                                <?php echo $this->escape($item->review_author); ?>        
                            </a>
                        </td>
                        <td class="small nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center">
                            <?php
                                if (empty($item->name)) {
                                    echo JText::_('COM_RSDIRECTORY_REVIEW_NO_NAME_PROVIDED');
                                } else {
                                    echo $this->escape($item->name);
                                }
                            ?>
                        </td>
                        <td class="small nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center"><?php echo JHtml::_( 'date', $item->created_time, JText::_('DATE_FORMAT_LC4') ); ?></td>
                        <td class="hidden-tablet hidden-phone d-none d-md-table-cell center text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="11">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>