<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Ratings view.
 */
class RSDirectoryViewRatings extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * 
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        $this->addToolbar();
        $this->state = $this->get('State');

        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->filterForm	= $this->get('FilterForm');
        $this->activeFilters= $this->get('ActiveFilters');

		RSDirectoryHelper::loadRaty('.rsdir-listing-rating');

        JHtml::_('script', 'com_rsdirectory/script.js', array('relative' => true, 'version' => 'auto'));
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_REVIEWS'), 'rsdirectory' );
            
        JToolbarHelper::addNew('rating.add');
        JToolbarHelper::editList('rating.edit');
        JToolBarHelper::divider();
        JToolBarHelper::publishList('ratings.publish');
        JToolBarHelper::unpublishList('ratings.unpublish');
        JToolBarHelper::divider();
        JToolBarHelper::deleteList( JText::_('COM_RSDIRECTORY_CONFIRM_DELETE'), 'ratings.delete' );

        RSDirectoryToolbarHelper::addToolbar('ratings');
    }
}