<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=reportedentries'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
            
        <table class="adminlist table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">

                    </th>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRY', 'title', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone center d-none d-md-table-cell text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRY_AUTHOR', 'entry_author', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone center d-none d-sm-table-cell text-center" width="20%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_REASON', 'reason', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone center d-none d-md-table-cell text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_REPORT_AUTHOR', 'report_author', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone center d-none d-md-table-cell text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_NAME', 'name', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone center d-none d-md-table-cell text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_EMAIL', 'email', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone center d-none d-md-table-cell text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_CREATED', 'created_time', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet center hidden-phone d-none d-md-table-cell text-center" width="1%">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr>
                        <td class="center hidden-phone d-none d-sm-table-cell text-center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="center text-center"><?php echo $this->markRead($item->published, $i, 'reportedentries.'); ?></td>
                        <td class="center text-center">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=reportedentry.edit&id=$item->id"); ?>" class="btn btn-secondary">
                                <?php echo JText::_('COM_RSDIRECTORY_VIEW'); ?>
                            </a>
                        </td>
                        <td class="nowrap">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=entry.edit&id=$item->entry_id"); ?>">
                                <?php echo $this->escape($item->title); ?>
                            </a>
                        </td>
                        <td class="center small nowrap hidden-tablet hidden-phone d-none d-md-table-cell text-center">
                            <?php if ($item->entry_author_id) { ?>
                            <a href="<?php echo JRoute::_("index.php?option=com_users&task=user.edit&id=$item->entry_author_id"); ?>">
                                <?php echo $this->escape($item->entry_author); ?>
                            </a>
                            <?php } else { ?>
                            -
                            <?php } ?>
                        </td>
                        <td class="small nowrap hidden-phone d-none d-sm-table-cell text-center"><?php echo $this->escape($item->reason); ?></td>
                        <td class="center small nowrap hidden-tablet hidden-phone d-none d-md-table-cell text-center">
                            <?php if ($item->entry_author_id) { ?>
                            <a href="<?php echo JRoute::_("index.php?option=com_users&task=user.edit&id=$item->report_author_id"); ?>">
                                <?php echo $this->escape($item->report_author); ?>
                            </a>
                            <?php } else { ?>
                            -
                            <?php } ?>
                        </td>
                        <td class="center small nowrap hidden-tablet hidden-phone d-none d-md-table-cell text-center"><?php echo $this->escape($item->name); ?></td>
                        <td class="center small nowrap hidden-tablet hidden-phone d-none d-md-table-cell text-center"><?php echo $this->escape($item->email); ?></td>
                        <td class="center small nowrap hidden-tablet hidden-phone d-none d-md-table-cell text-center"><?php echo JHtml::_( 'date', $item->created_time, JText::_('DATE_FORMAT_LC4') ); ?></td>
                        <td class="center hidden-tablet hidden-phone d-none d-md-table-cell text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="11"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>