<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
?>
<div class="rsdir">
    <form id="adminForm" name="adminForm" class="form-validate" action="index.php" method="post">
        <table class="table table-striped">
            <tbody>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_ENTRY'); ?></th>
                    <td>
                        <a href="<?php echo JRoute::_('index.php?option=com_rsdirectory&task=entry.edit&id=' . $this->item->entry_id); ?>">
                            <?php echo $this->escape($this->item->title); ?>
                        </a>
                    </td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_ENTRY_AUTHOR'); ?></th>
                    <td>
                        <?php if ($this->item->entry_author_id) { ?>
                        <a href="<?php echo JRoute::_('index.php?option=com_users&task=user.edit&id=' . $this->item->entry_author_id); ?>">
                            <?php echo $this->escape($this->item->entry_author); ?>
                        </a>
                        <?php } else { ?>
                        -
                        <?php } ?>
                    </td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_REPORT_AUTHOR'); ?></th>
                    <td>
                        <?php if ($this->item->entry_author_id) { ?>
                        <a href="<?php echo JRoute::_('index.php?option=com_users&task=user.edit&id=' . $this->item->report_author_id); ?>">
                            <?php echo $this->escape($this->item->report_author); ?>
                        </a>
                        <?php } else { ?>
                        -
                        <?php } ?>
                    </td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_NAME'); ?></th>
                    <td><?php echo $this->escape($this->item->name); ?></td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_EMAIL'); ?></th>
                    <td><?php echo $this->escape($this->item->email); ?></td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_IP'); ?></th>
                    <td><?php echo $this->escape($this->item->ip); ?></td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_DATE_CREATED'); ?></th>
                    <td><?php echo $this->item->created_time; ?></td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('JSTATUS'); ?></th>
                    <td>
                        <?php if ($this->item->published) { ?>
                        <span class="label label-success badge bg-success"><?php echo JText::_('COM_RSDIRECTORY_READ'); ?></span>
                        <?php } else { ?>
                        <span class="label label-warning badge bg-warning"><?php echo JText::_('COM_RSDIRECTORY_UNREAD'); ?></span>
                        <?php } ?>
                    </td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_REASON'); ?></th>
                    <td><?php echo $this->escape($this->item->reason); ?></td>
                </tr>
                <tr>
                    <th nowrap style="width: 1%"><?php echo JText::_('COM_RSDIRECTORY_MESSAGE'); ?></th>
                    <td><?php echo $this->escape($this->item->message); ?></td>
                </tr>
            </tbody>
        </table>

        <div>
            <input type="hidden" value="<?php echo $this->item->id; ?>" name="cid[]" />
            <input type="hidden" name="task" value="" />
            <input type="hidden" name="option" value="com_rsdirectory" />
            <?php echo JHtml::_('form.token'); ?>
        </div>
            
    </form>
</div><!-- .rsdir -->