<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Reported Entry view.
 */
class RSDirectoryViewReportedEntry extends JViewLegacy
{
    public function display($tpl = null)
    {
        // Get the entry report.
        $item = $this->get('Item');
            
        if (!$item)
        {
            throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
        }

	    // Hide the menu
	    JFactory::getApplication()->input->set('hidemainmenu', true);
            
        $this->addToolBar();
        $this->item = $item;
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_REPORTED_ENTRY'), 'rsdirectory' );

        if (RSDirectoryHelper::isJ4())
        {
            JToolBarHelper::custom('reportedentries.publish', 'publish', '', 'COM_RSDIRECTORY_MARK_AS_READ', false);
            JToolBarHelper::custom('reportedentries.unpublish', 'unpublish', '', 'COM_RSDIRECTORY_MARK_AS_UNREAD', false);
        }
        else
        {
            JToolBarHelper::publishList( 'reportedentries.publish', JText::_('COM_RSDIRECTORY_MARK_AS_READ'), true );
            JToolBarHelper::unpublishList( 'reportedentries.unpublish', JText::_('COM_RSDIRECTORY_MARK_AS_UNREAD') );
        }

        JToolBarHelper::cancel( 'reportedentry.cancel', JText::_('COM_RSDIRECTORY_CLOSE') );
            
        require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/toolbar.php';
        RSDirectoryToolbarHelper::addToolbar('reportedentries');
    }
}