<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * RSDirectory view.
 */
class RSDirectoryViewRSDirectory extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        // Add toolbar.
        $this->addToolbar();

        // add the specific style
        JHtml::_('stylesheet', 'com_rsdirectory/admin/dashboard.css', array('relative' => true, 'version' => 'auto'));
            
        $this->code = RSDirectoryConfig::getInstance()->get('code');
        $this->buttons = $this->get('Buttons');
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access private
     */
    private function addToolbar()
    {
        // Add the options button if the user is authorized.
        if ( JFactory::getUser()->authorise('core.admin', 'com_rsdirectory') )
        {
            JToolBarHelper::preferences('com_rsdirectory');
        }
            
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_DASHBOARD'), 'rsdirectory' );

        RSDirectoryToolbarHelper::addToolbar('dashboard');
    }
}