<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

if (!RSDirectoryHelper::isJ4())
{
	JHtml::_('formbehavior.chosen', 'select');
}

$script = array();
$script[] = "Joomla.submitbutton = function(task) {";
$script[] = "if ( task == 'tools.cancel' || document.formvalidator.isValid( document.getElementById('tools') ) ) {";
$script[] = "Joomla.submitform( task, document.getElementById('tools') );";
$script[] = "}";
$script[] = "}";

JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));
?>

<div class="rsdir">
    <div class="<?php echo RSDirectoryAdapterGrid::row(); ?>">
		<?php echo RSDirectoryAdapterGrid::sidebar(); ?>
			<form id="tools" class="form-validate" action="<?php echo JRoute::_('index.php?option=com_rsdirectory'); ?>" method="post" enctype="multipart/form-data">
					
				<?php
					
				// IMPORT
				$this->rstabs->addTitle('COM_RSDIRECTORY_IMPORT', 'import');
				$this->rstabs->addContent( $this->loadTemplate('import') );

				// REGENERATE TITLES
				$this->rstabs->addTitle('COM_RSDIRECTORY_REGENERATE_TITLES', 'regenerate-titles');
				$this->rstabs->addContent( $this->loadTemplate('regenerate_titles') );

				// BACKUP
				$this->rstabs->addTitle('COM_RSDIRECTORY_BACKUP', 'backup');
				$this->rstabs->addContent( $this->loadTemplate('backup') );

				// RESTORE
				$this->rstabs->addTitle('COM_RSDIRECTORY_RESTORE', 'restore');
				$this->rstabs->addContent( $this->loadTemplate('restore') );

				// Render the tabs.
				$this->rstabs->render();
					
				?>
				<div>
					<input type="hidden" name="task" value="" />
					<?php echo JHtml::_('form.token') . "\n"; ?>
				</div>

			</form><!-- #tools -->
        </div><!-- .span10 -->
    </div><!-- .row-fluid -->
</div><!-- .rsdir -->