<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');
?>

<?php if ( !empty($this->backup_errors) ) { ?>
<div class="alert alert-error">
    <?php echo implode('<br />', $this->backup_errors); ?>
</div>
<?php } ?>

<?php echo RsdirectoryAdapterGrid::progressBar(0,'', '0/0'); ?>

<div class="<?php echo RsdirectoryAdapterGrid::row();?>">
    <div class="<?php echo RsdirectoryAdapterGrid::column(6, 'mt-2');?>">
        <div class="alert alert-info<?php echo (RSDirectoryHelper::isJ4() ? ' mt-0' : '');?>">
            <h3><?php echo JText::_('COM_RSDIRECTORY_BACKUP_NOTE'); ?></h3>
            <ul>
                <li><?php echo JText::_('COM_RSDIRECTORY_BACKUP_NOTE_GENERAL'); ?></li>
                <li><?php echo JText::_('COM_RSDIRECTORY_BACKUP_NOTE_FILES'); ?></li>
            </ul>
        </div>
        <div class="control-group">

            <div class="control-label">
                <label>
                    <?php echo JText::_('COM_RSDIRECTORY_BACKUP_SPLIT_LARGE_TABLES'); ?>
                    <br/><span class="text-info"><em><small><?php echo JText::_('COM_RSDIRECTORY_BACKUP_SPLIT_BY_DESC'); ?></small></em></span>
                </label>
            </div>

            <div class="controls">
                <input type="number" id="rsdir_limit_rows" class="input-block-level form-control" value="1000" min="100" step="100"/>
            </div>
        </div>

        <button id="backup-start" class="btn btn-primary"<?php echo empty($this->backup_errors) ? '' : ' disabled="disabled"'; ?>><?php echo JText::_('COM_RSDIRECTORY_BACKUP_START_BUTTON'); ?></button>
        <button id="backup-stop" class="btn btn-danger rsdir-hide"><?php echo JText::_('COM_RSDIRECTORY_BACKUP_STOP_BUTTON'); ?></button>
    </div>
    
    <div class="<?php echo RsdirectoryAdapterGrid::column(6, 'mt-2');?>">
            
        <h3><?php echo JText::_('COM_RSDIRECTORY_BACKUP_CACHE'); ?></h3>
            
        <div class="span8">
            <table id="cached-files" class="table table-striped">
                <thead>
                    <tr>
                        <th><input id="checkall-cached-files" type="checkbox" class="form-check-input" /></th>
                        <th width="5%">#</th>
                        <th><?php echo JText::_('COM_RSDIRECTORY_BACKUP_FILE'); ?></th>
                        <th><?php echo JText::_('JDATE'); ?></th>
                        <th><?php echo JText::_('COM_RSDIRECTORY_RESTORE'); ?></th>
                    </tr>
                </thead>
                <?php if ($this->backup_cached_files) { ?>
                <tbody>
                <?php
                foreach ($this->backup_cached_files as $i => $file)
                {
                    echo RSDirectoryHelper::getBackupCachedFileRowHTML($file, $i + 1); 
                }
                ?>
                </tbody>
                <?php } ?>
                <tfoot<?php echo $this->backup_cached_files ? ' class="hide"' : ''; ?>>
                    <tr>
                        <td colspan="5"><?php echo JText::_('COM_RSDIRECTORY_BACKUP_NO_CACHED_FILES'); ?></td>
                    </tr>
                </tfoot>
            </table>
                
            <button id="backup-delete-files" class="btn btn-danger<?php echo $this->backup_cached_files ? '' : ' hide'; ?>"><?php echo JText::_('COM_RSDIRECTORY_BACKUP_DELETE_FILES'); ?></button>
            <?php echo JHtml::_('image', 'com_rsdirectory/loader.gif', '', 'id="backup-delete-files-loader" class="hide" width="16" height="16"', true); ?>
        </div>
            
    </div>
</div>