<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if ( empty($this->import_options) )
{
	?>
		
	<div class="alert alert-warning"><?php echo JText::_('COM_RSDIRECTORY_NO_IMPORT_PLUGIN_WARNING'); ?></div>
		
	<?php
		
	return;
}

$data = $this->data;

echo RsdirectoryAdapterGrid::progressBar(0,'', '0/0');
?>

<div class="<?php echo RsdirectoryAdapterGrid::row();?>">
	<div class="<?php echo RsdirectoryAdapterGrid::column(6, 'mt-2');?>">
		<?php
			$options = array();
			foreach ($this->import_options as $option) {
				$options[] = $option->value.'|'.$option->text;
			}
			$options = implode("\n", $options);

			$import_options = new stdClass();
			$import_options->name = "import_from";
			$import_options->type = 'radio';
			$import_options->has_options = true;
			$import_options->values = $options;

			$import_options->label = JText::_('COM_RSDIRECTORY_IMPORT_FROM');
			echo RSDirectoryFieldHelper::showCustomField($import_options);

		JPluginHelper::importPlugin('rsdirectory');
		JFactory::getApplication()->triggerEvent('onRsdirectoryDisplayImportFieldset');
		?>
			
		<button id="import-start" class="btn btn-primary"><?php echo JText::_('COM_RSDIRECTORY_IMPORT_BUTTON'); ?></button>
		<button id="import-stop" class="btn btn-danger hide"><?php echo JText::_('COM_RSDIRECTORY_IMPORT_STOP_BUTTON'); ?></button>
			
	</div>
	<div id="import-log" class="<?php echo RsdirectoryAdapterGrid::column(6, 'mt-2');?>">
			
		<h3><?php echo JText::_('COM_RSDIRECTORY_IMPORT_LOG'); ?></h3>
			
		<table class="table">
			<tfoot>
				<tr>
					<td><?php echo JText::_('COM_RSDIRECTORY_IMPORT_LOG_EMPTY'); ?></td>
				</tr>
			</tfoot>
		</table>
	</div>
</div>