<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');
?>

<?php if ( !empty($this->restore_errors) ) { ?>
<div class="alert alert-error">
    <?php echo implode('<br />', $this->restore_errors); ?>
</div>
<?php } ?>

<?php echo RsdirectoryAdapterGrid::progressBar(0,'', '0/0'); ?>

<div class="<?php echo RsdirectoryAdapterGrid::row();?>">
	<div class="<?php echo RsdirectoryAdapterGrid::column(6, 'mt-2');?>">
			
		<?php
			
		foreach ( $this->form->getFieldset('restore') as $field )
		{
			if ( in_array($field->fieldname, $this->restore_hidden_fields) )
			{
				echo $this->form->renderField($field->fieldname);
			}
			else
			{
				if ($field->fieldname == 'restore_confirm')
				{
					echo '<div class="alert alert-error"><p>' . JText::_('COM_RSDIRECTORY_RESTORE_WARNING') . "</p>$field->input</div>";
				}
				else
				{
					echo $this->form->renderField($field->fieldname);
				}
			}
		}
			
		?>
			
		<button id="restore-start" class="btn btn-primary" disabled="disabled"><?php echo JText::_('COM_RSDIRECTORY_RESTORE_UPLOAD_AND_RESTORE_BUTTON'); ?></button>
		<button id="restore-stop" class="btn btn-danger hide"><?php echo JText::_('COM_RSDIRECTORY_RESTORE_STOP_BUTTON'); ?></button>
			
		<iframe id="restore_upload_target" name="restore_upload_target" src="" style="width: 0; height: 0; border: none;"></iframe>
			
	</div>
	<div id="restore-log" class="<?php echo RsdirectoryAdapterGrid::column(6, 'mt-2');?>">
			
		<h3><?php echo JText::_('COM_RSDIRECTORY_RESTORE_LOG'); ?></h3>	
			
		<table class="table">
			<tfoot>
				<tr>
					<td><?php echo JText::_('COM_RSDIRECTORY_RESTORE_LOG_EMPTY'); ?></td>
				</tr>
			</tfoot>
		</table>
	</div>
</div>