<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Transaction view.
 */
class RSDirectoryViewTransaction extends JViewLegacy
{
    public function display($tpl = null)
    {
        // Get the transaction.
        $item = $this->get('Item');

        // Hide the menu
        JFactory::getApplication()->input->set('hidemainmenu', true);
            
        if (!$item)
        {
            throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
        }
            
        $this->addToolBar();
        $this->item = $item;
            
        parent::display($tpl);
    }
        
    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_TRANSACTION'), 'rsdirectory' );
            
        JToolBarHelper::publish( 'transactions.publish', JText::_('COM_RSDIRECTORY_MARK_AS_FINALIZED') );
        JToolBarHelper::unpublish( 'transactions.unpublish', JText::_('COM_RSDIRECTORY_MARK_AS_PENDING') );
        JToolBarHelper::cancel( 'transaction.cancel', JText::_('COM_RSDIRECTORY_CLOSE') );

        RSDirectoryToolbarHelper::addToolbar('transactions');
    }
}