<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );
$use_invoice = RSDirectoryConfig::getInstance()->get('use_general_invoice', 0);

?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=transactions'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        <div class="d-grid">
        <div class="table-responsive">
        <table class="adminlist table table-striped fs-6">
            <thead>
                <tr>
                    <th width="1%" class="hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('grid.checkall'); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
                    </th>
					<th class="nowrap text-center">
						<?php echo JText::_('COM_RSDIRECTORY_TRANSACTION_DETAILS'); ?>
					</th>
                    <?php if ($use_invoice) { ?>
                        <th class="nowrap text-center">
                            <?php echo JText::_('COM_RSDIRECTORY_INVOICE'); ?>
                        </th>
                    <?php } ?>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CREDIT_PACKAGE_TITLE', 'credit_title', $listDirn, $listOrder); ?>
                    </th>
					<th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="6%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CREDITS', 'credits', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_USER', 'user', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center" width="20%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRY', 'entry_title', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRY_PAID', 'entry_paid', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_GATEWAY', 'gateway', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_CURRENCY', 'currency', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_PRICE', 'price', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TAX', 'tax', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TOTAL', 'total', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_DATE_CREATED', 'date_created', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center" width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_DATE_FINALIZED', 'date_finalized', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet center hidden-phone d-none d-md-table-cell" width="1%">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>

            <?php if ($this->items) { ?>
                <tbody>
                <?php foreach ($this->items as $i => $item) {; ?>
                    <tr>
                        <td class="center text-center hidden-phone d-none d-sm-table-cell"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="center text-center"><?php echo $this->markFinalized($item->status == 'finalized' ? 1 : 0, $i, 'transactions.'); ?></td>
						<td class="nowrap text-center">
							<a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=transaction.edit&id=$item->id"); ?>" class="btn btn-small btn-sm btn-outline-dark">
								<?php echo JText::_('COM_RSDIRECTORY_DETAILS'); ?>
							</a>
						</td>
                        <?php if ($use_invoice) { ?>
                            <td class="nowrap text-center">
                                <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=transaction&layout=view&format=pdf&user_id=$item->user_id&id=$item->id"); ?>" class="btn btn-small btn-sm btn-outline-dark">
                                    <?php echo JText::_('COM_RSDIRECTORY_DOWNLOAD'); ?>
                                </a>
                            </td>
                        <?php } ?>
                        <td class="nowrap hidden-phone d-none d-sm-table-cell">
                            <?php echo $this->escape($item->credit_title); ?>
                        </td>
						<td class="center text-center nowrap hidden-phone d-none d-sm-table-cell"><?php echo $item->credits ? $this->escape($item->credits) : JText::_('COM_RSDIRECTORY_UNLIMITED'); ?></td>
                        <td class="center text-center nowrap hidden-tablet hidden-phone d-none d-md-table-cell">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=user.edit&id=$item->user_id"); ?>">
                                <?php echo $this->escape($item->user); ?>
                            </a>
                        </td>
                        <td class="center v nowrap hidden-tablet hidden-phone d-none d-md-table-cell">
                            <?php if ( empty($item->entry_id) ) { ?>
                            -
                            <?php } else { ?>
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=entry.edit&id=$item->entry_id"); ?>">
                                <?php echo $this->escape($item->entry_title); ?>
                            </a>
                            <?php } ?>
                        </td>
                        <td class="center text-center small nowrap hidden-tablet hidden-phone d-none d-md-table-cell">
                            <?php echo JText::_($item->entry_paid ? 'JYES' : 'JNO'); ?>
                        </td>
                        <td class="center text-center nowrap hidden-phone d-none d-md-table-cell"><?php echo JText::_( 'COM_RSDIRECTORY_TRANSACTION_GATEWAY_' . strtoupper($item->gateway) ); ?></td>
                        <td class="center text-center nowrap"><?php echo $this->escape($item->currency); ?></td>
                        <td class="center text-center nowrap"><?php echo $this->escape($item->price); ?></td>
                        <td class="center text-center nowrap"><?php echo $this->escape($item->tax); ?></td>
                        <td class="center text-center nowrap"><?php echo $this->escape($item->total); ?></td>
                        <td class="center text-center nowrap hidden-tablet hidden-phone d-none d-md-table-cell"><?php echo JHtml::_( 'date', $item->date_created, JText::_('DATE_FORMAT_LC4') ); ?></td>
                        <td class="center text-center nowrap hidden-tablet hidden-phone d-none d-md-table-cell">
                        <?php echo $item->date_finalized == '0000-00-00 00:00:00' ? '-' : JHtml::_( 'date', $item->date_finalized, JText::_('DATE_FORMAT_LC4') ); ?>
                        </td>
                        <td class="center text-center hidden-tablet hidden-phone d-none d-md-table-cell"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>

            <tfoot>
                <tr>
                    <td colspan="<?php echo $use_invoice ? 17 : 16; ?>"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
        </div>
        </div>
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>