<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * User view.
 */
class RSDirectoryViewUser extends JViewLegacy
{
    public function display($tpl = null)
    {
        // Get the user data.
        if ( !$this->item = $this->get('Item') )
        {
            throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
        }

        // Hide the menu
        JFactory::getApplication()->input->set('hidemainmenu', true);

        $this->addToolBar();
        $this->id = JFactory::getApplication()->input->getInt('id');
        $this->form = $this->get('Form');

        parent::display($tpl);
    }

    /**
     * Add toolbar.
     *
     * @access protected
     */
    protected function addToolBar()
    {
        // Set title.
        JToolBarHelper::title( JText::_('COM_RSDIRECTORY_PAGE_EDIT_USER'), 'rsdirectory' );

        RSDirectoryToolbarHelper::addToolbar('users');

        JToolBarHelper::apply('user.apply');
        JToolBarHelper::save('user.save');
        JToolBarHelper::cancel('user.cancel');
    }
}