<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$listOrder = $this->escape( $this->state->get('list.ordering') );
$listDirn = $this->escape( $this->state->get('list.direction') );

?>

<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&view=users'); ?>" method="post">
    <?php echo RSDirectoryAdapterGrid::sidebar(); ?>
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        <table class="adminlist table table-striped">
            <thead>
                <tr>
                    <th>
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_NAME', 'name', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_USERNAME', 'username', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_AVAILABLE_CREDITS', 'credits', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_SPENT_CREDITS', 'spent_credits', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="10%">
                        <?php echo JText::_('COM_RSDIRECTORY_CREDITS_HISTORY'); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_TRANSACTIONS', 'transactions_count', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_ENTRIES', 'entries_count', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_REVIEWS', 'reviews_count', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-tablet hidden-phone d-none d-md-table-cell center text-center" width="10%">
                        <?php echo JHtml::_('searchtools.sort', 'COM_RSDIRECTORY_REPORTS', 'reports_count', $listDirn, $listOrder); ?>
                    </th>
                    <th class="nowrap hidden-phone d-none d-sm-table-cell center text-center" width="1%">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
            </thead>
                
            <?php if ($this->items) { ?>
                <tbody>
                <?php foreach ($this->items as $i => $item) { ?>
                    <tr>
                        <td class="nowrap">
                            <a href="<?php echo JRoute::_("index.php?option=com_rsdirectory&task=user.edit&id=$item->id"); ?>">
                                <?php echo $this->escape($item->name); ?>
                            </a>    
                        </td>
                        <td class="center text-center"><?php echo $this->escape($item->username); ?></td>
                        <td class="center text-center">
                        <?php
                        if ($item->unlimited_credits)
                        {
                            echo JText::_('COM_RSDIRECTORY_UNLIMITED');
                        }
                        else
                        {
                            echo $item->credits ? $item->credits : 0;
                        }
                        ?>
                        </td>
                        <td class="center text-center"><?php echo $item->spent_credits ? $item->spent_credits : 0; ?></td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center">
                            <a class="<?php echo RSDirectoryHelper::getTooltipClass(); ?>" href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=creditshistory&filter_user_id=$item->id"); ?>" title="<?php echo RSDirectoryHelper::getTooltipText( JText::sprintf( 'COM_RSDIRECTORY_CREDITS_HISTORY_FOR', $this->escape($item->name) ) ); ?>">
                                <?php echo JText::_('COM_RSDIRECTORY_CREDITS_HISTORY'); ?>
                            </a>
                        </td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center">
                            <a class="<?php echo RSDirectoryHelper::getTooltipClass(); ?>" href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=transactions&filter_user_id=$item->id"); ?>" title="<?php echo RSDirectoryHelper::getTooltipText( JText::sprintf( 'COM_RSDIRECTORY_TRANSACTIONS_MADE_BY', $this->escape($item->name) ) ); ?>">
                                <?php echo empty($item->transactions_count) ? 0 : $item->transactions_count; ?>
                            </a>
                        </td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center">
                            <a class="<?php echo RSDirectoryHelper::getTooltipClass(); ?>" href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=entries&filter_author_id=$item->id"); ?>" title="<?php echo RSDirectoryHelper::getTooltipText( JText::sprintf( 'COM_RSDIRECTORY_ENTRIES_POSTED_BY', $this->escape($item->name) ) ); ?>">
                                <?php echo empty($item->entries_count) ? 0 : $item->entries_count; ?>
                            </a>
                        </td>
                        <td class="hidden-tablet hidden-phone d-none d-md-table-cell center text-center">
                            <a class="<?php echo RSDirectoryHelper::getTooltipClass(); ?>" href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=ratings&filter_reviews_author_id=$item->id"); ?>" title="<?php echo RSDirectoryHelper::getTooltipText( JText::sprintf( 'COM_RSDIRECTORY_REVIEWS_POSTED_BY', $this->escape($item->name) ) ); ?>">
                                <?php echo empty($item->reviews_count) ? 0 : $item->reviews_count; ?>
                            </a>
                        </td>
                        <td class="hidden-tablet hidden-phone d-none d-md-table-cell center text-center">
                            <a class="<?php echo RSDirectoryHelper::getTooltipClass(); ?>" href="<?php echo JRoute::_("index.php?option=com_rsdirectory&view=reportedentries&filter_reports_author_id=$item->id"); ?>" title="<?php echo RSDirectoryHelper::getTooltipText( JText::sprintf( 'COM_RSDIRECTORY_REPORTS_POSTED_BY', $this->escape($item->name) ) ); ?>">
                                <?php echo empty($item->reports_count) ? 0 : $item->reports_count; ?>        
                            </a>
                        </td>
                        <td class="hidden-phone d-none d-sm-table-cell center text-center"><?php echo (int) $item->id; ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            <?php } ?>
                
            <tfoot>
                <tr>
                    <td colspan="10"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
            
        <?php echo JHtml::_('form.token'); ?>
        <input type="hidden" name="task" value="" />
    </div><!-- .span10 -->
</form>