/**
 * Tooltip.
 */
var rs_tooltip = function()
{
    var id = 'rs_tt';
    var top = 3;
    var left = 3;
    var maxw = 400;
    var speed = 10;
    var timer = 20;
    var endalpha = 95;
    var alpha = 0;
    var tt, t, c, b, h;
    var ie = document.all ? true : false;
        
    return {
        show: function(v, w)
        {
            if (tt == null)
            {
                tt = document.createElement('div');
                tt.setAttribute('id', id);
                t = document.createElement('div');
                t.setAttribute('id', id + 'top');
                c = document.createElement('div');
                c.setAttribute('id', id + 'cont');
                b = document.createElement('div');
                b.setAttribute('id', id + 'bot');
                tt.appendChild(t);
                tt.appendChild(c);
                tt.appendChild(b);
                document.body.appendChild(tt);
                tt.style.opacity = 0;
                tt.style.filter = 'alpha(opacity=0)';
                document.onmousemove = this.pos;
            }
                
            tt.style.display = 'block';
            c.innerHTML = document.getElementById(v).innerHTML;
            tt.style.width = w ? w + 'px' : 'auto';
                
            if (!w && ie)
            {
                t.style.display = 'none';
                b.style.display = 'none';
                tt.style.width = tt.offsetWidth;
                t.style.display = 'block';
                b.style.display = 'block';
            }
                
            if (tt.offsetWidth > maxw)
            {
                tt.style.width = maxw + 'px'
            }
                
            h = parseInt(tt.offsetHeight) + top;
            clearInterval(tt.timer);
            tt.timer = setInterval( function(){rs_tooltip.fade(1);}, timer );
        },
        pos: function(e)
        {
            var u = ie ? event.clientY + document.documentElement.scrollTop : e.pageY;
            var l = ie ? event.clientX + document.documentElement.scrollLeft : e.pageX;
            tt.style.top = (u - h) + 'px';
            tt.style.left = (l + left) + 'px';
        },
        fade: function(d)
        {
            var a = alpha;
            if ( (a != endalpha && d == 1) || (a != 0 && d == -1) )
            {
                var i = speed;
                if (endalpha - a < speed && d == 1)
                {
                    i = endalpha - a;
                }
                else if (alpha < speed && d == -1)
                {
                    i = a;
                }
                alpha = a + (i * d);
                tt.style.opacity = alpha * .01;
                tt.style.filter = 'alpha(opacity=' + alpha + ')';
            }
            else
            {
                clearInterval(tt.timer);
                
                if (d == -1)
                {
                    tt.style.display = 'none';
                }
            }
        },
        hide: function()
        {
            clearInterval(tt.timer);
            tt.timer = setInterval( function(){rs_tooltip.fade(-1);}, timer );
        }
    };
}();

/**
 * Update owner reply.
 */
window.updateOwnerReply = function(review_id, owner_reply)
{
    // Get the review element.
    var review = jQuery('.rsdir-review[data-review-id="' + review_id +'"]');
        
    // Remove the old owner reply.
    review.find('.rsdir-owner-reply').remove();
        
    var text = Joomla.JText._('COM_RSDIRECTORY_EDIT_OWNER_REPLY');
        
    if (owner_reply)
    {
        // Add the new owner reply.
        review.find('.rsdir-review-body').after(owner_reply);
    }
    else
    {
        text = Joomla.JText._('COM_RSDIRECTORY_ADD_OWNER_REPLY');
    }
        
    review.find('.rsdir-edit-owner-reply').html(text);

    var modal = jQuery('#rsdir-owner-reply-modal');

    if (modal.length) {
        modal.modal('hide');
    } else {
        jQuery.magnificPopup.close();
    }
};

if (typeof RSDirectory !== 'object') {
    var RSDirectory = {};
}

RSDirectory.parseJSON = function (data) {
    if (typeof data !== 'object') {
        var match = data.match(/{.*}/);
        return jQuery.parseJSON(match[0]);
    }
    return jQuery.parseJSON(data);
};

// Proceed if jQuery is defined.
if (typeof jQuery !== 'undefined')
{
    jQuery.noConflict();
        
    var total_credits = 0;
    var form_fields = {};
        
    /**
     * Update total credits.
     */
    function updateTotalCreditsCost()
    {
        // because of the multiple credits fields the total_credits might return negative values if the credits have already been paid
        var total_credits_display = total_credits;
        if (total_credits_display < 0) {
            total_credits_display = 0;
        }

        var admin_form = jQuery('#adminForm');
        var available_credits = admin_form.find('.rsdir-available-credits').length ? admin_form.find('.rsdir-available-credits').html() : 'skip';

        if (available_credits != 'skip')
        {
            available_credits = parseInt(available_credits);

            if (total_credits_display > available_credits)
            {
                admin_form.find('.rsdir-total-credits').parent().removeClass('alert-info').addClass('alert-danger');
            }
            else
            {
                admin_form.find('.rsdir-total-credits').parent().removeClass('alert-danger').addClass('alert-info');
            }
        }

        admin_form.find('.rsdir-total-credits').html(total_credits_display);
    }
        
    /**
     * Update the total credits after the user modified a text input, text area or calendar
     */
    function updateTextCreditsCost(elem, val)
    {
		var field = jQuery(elem);
            
        // Get the form field id.
        var form_field_id = field.parents('.rsdir-field-wrapper').attr('class').match(/rsdir-field-wrapper-(\d+)/)[1];
            
        if (typeof form_fields[form_field_id] === 'undefined')
            return;
            
        var form_field = form_fields[form_field_id];
        val = jQuery.trim(val);

        total_credits += calculateCredits(form_field, false, val);
            
        updateTotalCreditsCost();
    }
        
    /**
     * Method to clear form field cost
     */
    function clearFormFieldCost(form_field_id)
    {
        if (typeof form_fields[form_field_id] === 'undefined')
            return;
            
        var form_field = form_fields[form_field_id];

        total_credits += calculateCredits(form_field, false, null, true);

        updateTotalCreditsCost();
    }

    /**
     * Method to calculate the cost of each field at display and on change
     */
    function calculateCredits(form_field, first_run, input_value, clear) {

        var credits = 0;
        var current, selected;

        current = form_field.current_values.length ? form_field.current_values : null;
        // Some fields do not have this attribute set
        if (form_field.selected_values)
        {
            selected = form_field.selected_values.length ? form_field.selected_values : null;
        }

        switch(form_field.field_type) {
            case 'publishing_period' :
            case 'promoted' :
                // there will be only one entry
                if (current)
                {
                    current = current[0];
                }

                if (selected)
                {
                    selected = selected[0];
                }

                if (first_run)
                {
                    if (selected && selected != current)
                    {
                        credits += form_field.multiple_credits[selected];
                    }
                }
                else
                {
                    if (current != input_value)
                    {

                        if (selected && current != selected)
                        {

                            if (typeof form_field.multiple_credits[selected] != 'undefined')
                            {
                                credits -= form_field.multiple_credits[selected];
                            }
                        }

                        if (input_value.length > 0 && input_value != '-1')
                        {
                            credits += form_field.multiple_credits[input_value];
                        }

                    }
                    else if (current != selected)
                    {
                        if (typeof form_field.multiple_credits[selected] != 'undefined')
                        {
                            credits -= form_field.multiple_credits[selected];
                        }
                    }

                    form_field.selected_values = [input_value];
                }
                break;

            case 'images':
            case 'image_upload':
            case 'fileupload':
                // there will be only one entry
                if (current)
                {
                    current = current[0];
                }

                var wrapper = jQuery('.rsdir-field-wrapper-'+form_field.field_id);
                var currentImages = wrapper.find('.rsdir-images-list');
                var currentFiles = wrapper.find('.rsdir-files-list');
				var files_loaded = 0;

                if (first_run)
                {
                    if (form_field.credits_per_file)
                    {
                        // determine if the entry is not expired so that we do not count these files
                        if (current)
                        {
                            files_loaded = current;
                        }

                        // if there are images already loaded (usually at renew)
                        if (currentImages.length && files_loaded)
                        {
                            if (files_loaded == 'exist' || currentImages.length > files_loaded)
                            {
                                jQuery(currentImages).find('.rsdir-file').each(function () {
                                    credits += form_field.credits_per_file;
                                });
                            }

                            credits += form_field.credits;
                        }
                        // if there are files already loaded (usually at renew)
                        if (currentFiles.length && files_loaded)
                        {

                            if (files_loaded == 'exist' || currentFiles.length > files_loaded)
                            {
                                jQuery(currentFiles).find('.rsdir-file').each(function () {
                                    credits += form_field.credits_per_file;
                                });
                            }

                            credits += form_field.credits;
                        }
                    }
                }
                else
                {
                    if (current)
                    {
                        files_loaded = current;
                    }

                    // if there are images already loaded (usualy at renew)
                    if (currentImages.length && files_loaded)
                    {
                        jQuery(currentImages).find('.rsdir-file').each(function(){
                            input_value++
                        });
                    }
                    // if there are files already loaded (usualy at renew)
                    if (currentFiles.length && files_loaded)
                    {
                        jQuery(currentFiles).find('.rsdir-file').each(function(){
                            input_value++
                        });
                    }

                    if (input_value < 2)
                    {
                        credits += form_field.credits;
                    }
                    
                    credits += form_field.credits_per_file;
                }
                break;

            case 'dropdown':
            case 'country':
            case 'checkboxgroup':
            case 'radiogroup':
                if (first_run)
                {
                    if (selected)
                    {
                        for (j = 0; j < selected.length; j++)
                        {
                            if ((!current || (current && current.indexOf(selected[j]) < 0)) && typeof form_field.multiple_credits[selected[j]] != 'undefined')
                            {
                                credits += form_field.multiple_credits[selected[j]];
                            }
                            else if ((!current || (current && current.indexOf(selected[j]) < 0)) && typeof form_field.multiple_credits[selected[j]] == 'undefined')
                            {
                                credits += form_field.credits;
                            }
                        }
                    }
                }
                else
                {
                    // handle the clear part
                    var clear_credits = (typeof clear != 'undefined' && clear) ? true : false;

                    if (!clear_credits) {
						// in some cases the input value is null (multiple selection - unset)
						if (input_value === null) {
                            input_value = [];
                        } else {
							// convert the input value to array
							if (typeof input_value != 'object') {
								input_value = jQuery.trim(input_value);
								input_value = input_value == '' ? [] : [input_value];
							} else if (typeof input_value[0] == 'object') {
								//this case is for checkboxes and radioboxes
								var current_values = [];
								for (var j = 0; j < input_value.length; j++) {
									var current_value = jQuery(input_value[j]);
									current_value = jQuery.trim(current_value.val());
									if (current_value != '') {
										current_values.push(current_value);
									}
								}
								input_value = current_values;
							}
						}
                    } else {
                        input_value = [];
                    }


                    // removed default credit options
                    var removed_default = false;

                    // added default credit options
                    var added_default = false;

                    // check if is in multiple and selected exists
                    if (selected) {
                        for (var j = 0; j < selected.length; j++) {
                            // check the current values to remove them from the credits
                            if (current && typeof current[selected[j]] != 'undefined') {
                                // check to see if is in multiple credits
                                if (typeof form_field.multiple_credits[selected[j]] != 'undefined') {
                                    credits -= form_field.multiple_credits[selected[j]];
                                }
                                else {
                                    removed_default.push(selected[j]);
                                }
                            } else {
                                // if no current is defined but the selected exists need to remove it
                                if (typeof form_field.multiple_credits[selected[j]] != 'undefined') {
                                    credits -= form_field.multiple_credits[selected[j]];
                                }
                                else {
                                    removed_default = true;
                                }
                            }
                        }
                    }

                    // handle the new selection and add the credits
                    for (var j = 0; j < input_value.length; j++)
                    {
                        if (typeof form_field.multiple_credits[input_value[j]] != 'undefined')
                        {
                            credits += form_field.multiple_credits[input_value[j]];
                        }
                        else
                        {
                            added_default = true;
                        }
                    }

                    // case study the removed vs. added default credit options
                    if (removed_default)
                    {
                        credits -= form_field.credits;
                    }

                    if (added_default)
                    {
                        credits += form_field.credits;
                    }

                    // add the new selection
                    form_field.selected_values = input_value;
                }
                break;

            default:
                // there will be only one entry
                if (current)
                {
                    current = current[0];
                }

                if (selected)
                {
                    selected = selected[0];
                }

                if (first_run)
                {
                    if (current) {
                        credits = form_field.credits;
                    }
                }
                else
                {
                    if (input_value && !current)
                    {
                        credits = form_field.credits;
                        form_field.current_values= [1];
                    }
                    else if(!input_value && current)
                    {
                        credits = -form_field.credits;
                        form_field.current_values= [0];
                    }
                }
                break;
        }

        return credits;
    }
        
    function addToFavorites(button)
    {
        var data = {
            id: button.attr('data-entry-id')
        };
        data[rsdir.token] = 1;
            
        jQuery.ajax(
        {
            type: 'POST',
            dataType: 'JSON',
            url: rsdir.base + 'index.php?option=com_rsdirectory&task=entry.addToFavoritesAjax&random=' + Math.random(),
            data: data,
            success: function(json)
            {
                if (typeof json.ok !== 'undefined')
                {
                    if ( button.hasClass('rsdir-entry-faved') )
                    {
                        button.removeClass('rsdir-entry-faved');
                        button.find('i').removeClass('fa-heart').addClass('fa-heart-o');
                        button.attr( 'title', Joomla.JText._('COM_RSDIRECTORY_ENTRY_ADD_TO_FAVORITES') );
                    }
                    else
                    {
                        button.addClass('rsdir-entry-faved');
                        button.find('i').removeClass('fa-heart-o').addClass('fa-heart');
                        button.attr( 'title', Joomla.JText._('COM_RSDIRECTORY_ENTRY_REMOVE_FROM_FAVORITES') );
                    }
                }
                else if (json.error)
                {
                    // Output the error.
                    alert(json.error);
                }
            }
        });
    }

    function submitcheckCredits(btn) {
        var form = btn.parents('form');
        var loader = form.find('.rsdir-form-loader');

        loader.removeClass('hide');

        var data = {
            cost: total_credits
        };
        data[rsdir.token] = 1;

        var response = 'none';
        jQuery.ajax(
            {
                type: 'POST',
                dataType: 'JSON',
                async: false,
                url: rsdir.base + 'index.php?option=com_rsdirectory&task=entry.checkCreditsAjax&random=' + Math.random(),
                data: data,
                success: function(json)
                {
                    loader.addClass('hide');

                    if (json.ok == 0)
                    {
                        form.find('.insufficient-credits').removeClass('hide');
                    }
                    else
                    {
                        btn.unbind('click.checkCredits');

                        var confirm_label = jQuery('.finalize-confirm-label');

                        if (total_credits > 0 && confirm_label.length > 0)
                        {
                            confirm_label.removeClass('hide');
                        }
                        else
                        {

                            response = 'submit';
                        }
                    }
                }
            });

        return response;
    }

    function pathToFile(str)
    {
        var eOffset = str.lastIndexOf('.');

        return {
            name: str.substring(0, eOffset),
            extension: str.substring((eOffset+1), str.length)
        };
    }

    function ajaxValidate(btn) {
        var form = btn.parents('form');
        var loader = form.find('.rsdir-form-loader');

        loader.removeClass('hide');

		// Trigger content editors
		var field;
		for (var i in Joomla.editors.instances) {
			if (Joomla.editors.instances.hasOwnProperty(i)) {
				try
				{
					field = form.find('#' + i);
					if (field.length > 0)
					{
						// Update value
						field.val(Joomla.editors.instances[i].getValue());
					}
				}
				catch (err) {}
			}
		}

        var data = form.serialize();

        var images = form.find('.rsdir-images');
        var file_uploads = form.find('.rsdir-fileupload');

        // grab all the images
        var images_array = [];
        images.each(function(index, field) {
            if (jQuery(field)[0].files.length)
            {
                var input_name = jQuery(field).attr('name');
                input_name = input_name.replace('fields', 'files');

                var file = jQuery(field)[0].files[0];
                var file_data = pathToFile(file.name);
                images_array.push(encodeURIComponent(input_name)+'='+encodeURIComponent(file_data.name+'.'+file_data.extension+'|'+file.size));
            }
        });

        // grab all the files
        var files_array = [];
        file_uploads.each(function(index, field) {
            if (jQuery(field)[0].files.length)
            {
                var input_name = jQuery(field).attr('name');
                input_name = input_name.replace('fields', 'files');

                var file = jQuery(field)[0].files[0];
                var file_data = pathToFile(file.name);
                files_array.push(encodeURIComponent(input_name)+'='+encodeURIComponent(file_data.name+'.'+file_data.extension+'|'+file.size));
            }
        });

        // remove the task
        data = data.replace('&task=&', '&');
        data = data.replace('&task=entry.save&', '&');

        // append the images
        if (images_array.length) {
            images_array = images_array.join('&');
            data += '&'+images_array;
        }

        // append the files
        if (files_array.length) {
            files_array = files_array.join('&');
            data += '&'+ files_array;
        }

        var status = true;
        jQuery.ajax(
            {
                type: 'POST',
                dataType: 'JSON',
                async: false,
                url: rsdir.base + 'index.php?option=com_rsdirectory&task=entry.validateAjax&random=' + Math.random(),
                data: data,
                success: function(json)
                {
                    loader.addClass('hide');

                    status = json.status;


                    var consent = jQuery('#submit_consent');
                    var captcha = jQuery('.rsdir-captcha-wrapper');

                    // The error classes must be removed before validation
                    jQuery('.rsdir-field-wrapper ').removeClass('error');

                    if (!status)
                    {
                        // handle the normal fields and the consent if any
                        if (json.error_fields.length)
                        {
                            jQuery.each(json.error_fields, function(index, id)
                            {
                                jQuery('.rsdir-field-wrapper-'+id).addClass('error');
                                if (isNaN(id) && consent.length)
                                {
                                    consent.parents('.control-group').addClass('error');
                                }
                            });
                        }
                        else
                        {
                            jQuery('#rsdir-details-fields').find('.rsdir-field-wrapper ').removeClass('error');
                            if (consent.length)
                            {
                                consent.parents('.control-group').removeClass('error');
                            }
                        }

                        // handle the registration fields
                        if (json.error_registration_fields.length)
                        {
                            jQuery.each(json.error_registration_fields, function(index, id)
                            {
                                jQuery('#fields_reg_'+id).parents('.control-group').addClass('error');
                            });
                        }
                        else
                        {
                            jQuery('#rsdir-reg-fields').find('.control-group ').removeClass('error');
                        }

                        // handle captha
                        if (json.error_captcha && captcha.length)
                        {
                            captcha.addClass('error');
                        } else if (captcha.length)
                        {
                            captcha.removeClass('error');
                        }

                        // show the messages in a modal
                        if (json.messages.length)
                        {
                            if (typeof jQuery.magnificPopup !== 'undefined')
                            {
                                jQuery.magnificPopup.open({
                                    type: 'inline',
                                    preloader: true,
                                    overflowY: 'scroll',
                                    items: {
                                        src: '<div class="rsdir-error-messages-popup">' +
                                        '<div class="magnific-header"><h3>' + Joomla.JText._('JERROR_ERROR') + '</h3></div>' +
                                        '<div class="magnific-popup-body"><div class="alert alert-danger">' + json.messages.join('<br/>') + '</div></div>' +
                                        '<div class="magnific-popup-footer"></div>' +
                                        '<button title="' + Joomla.JText._('COM_RSDIRECTORY_CLOSE') + '" type="button" class="mfp-close">&times;</button>' +
                                        '</div>'
                                    }
                                });
                            } else {
                                var modal_error_html = '<div id="rsdir-error-modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="rsdir-error-modal" aria-hidden="true">';

                                if (rsdir.isJ4)
                                {
                                    modal_error_html += '<div class="modal-dialog modal-lg"><div class="modal-content">';
                                }

                                modal_error_html += '<div class="modal-header">';

                                if (rsdir.isJ4)
                                {
                                    modal_error_html += '<h3 class="modal-title">' + Joomla.JText._('JERROR_ERROR') + '</h3>' +
                                        '<button type="button" class="btn-close novalidate" data-bs-dismiss="modal" aria-label="Close"></button>';
                                }
                                else
                                {
                                    modal_error_html += '<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>' +
                                        '<h3>' + Joomla.JText._('JERROR_ERROR') + '</h3>';
                                }

                                modal_error_html += '</div>'+
                                   '<div class="modal-body">'+
                                        '<div class="alert alert-danger">' + json.messages.join('<br/>') + '</div>'+
                                   '</div>'+
                                   '<div class="modal-footer">'+
                                        '<button class="btn btn-secondary" type="button" data-'+(rsdir.isJ4 ? 'bs-' : '')+'dismiss="modal" aria-hidden="true">' + Joomla.JText._('COM_RSDIRECTORY_CLOSE') + '</button>'+
                                   '</div>';

                                if (rsdir.isJ4)
                                {
                                    modal_error_html += '</div></div>';
                                }

                                modal_error_html += '</div>';

                                jQuery('#adminForm').append(modal_error_html);

                                jQuery('#rsdir-error-modal').modal('show');
                                jQuery('#rsdir-error-modal').on('hidden', function () {
                                    jQuery('#rsdir-error-modal').remove();
                                })
                            }
                        }
                    }
                    else
                    {
                        if (consent.length)
                        {
                            consent.parents('.control-group').removeClass('error');
                        }
                        if (captcha.length)
                        {
                            captcha.removeClass('error');
                        }
                    }
                }
            });

        return status;
    }
        
    /**
     * Document on ready.
     */
    jQuery(function($)
    {
        $('.rsdir-payment-method').find('input[type="radio"]').each(function()
        {
            if ($(this).is(':checked'))
            {
               var bank_container = $(this).val() + '_bank';
               if ($('#'+bank_container).length)
               {
                   $('#'+bank_container).show();
               }
            }

            $(this).on('click', function(){
                var bank_container = $(this).val() + '_bank';

                if ($(this).is(':checked') && $('#'+bank_container).length)
                {
                    $('.rsdir-bank-selection').hide();
                    $('#'+bank_container).show();
                }
                else
                {
                    if ($('.rsdir-bank-selection').length)
                    {
                        $('.rsdir-bank-selection').hide();
                    }
                }
            })
        });
        /**
         * Set the publishing interval change event.
         */
        $('input.rsdir-publishing-period,select.rsdir-publishing-period, input.rsdir-promoted-period,select.rsdir-promoted-period').change( function(e)
        {
            var field = $(this);
                
            // Get the form field id.
            var form_field_id = field.parents('.rsdir-field-wrapper').attr('class').match(/rsdir-field-wrapper-(\d+)/)[1];
                
            if (typeof form_fields[form_field_id] === 'undefined')
                return;
                
            var form_field = form_fields[form_field_id];

            if (field.hasClass('rsdir-publishing-period')) {
                correlateValuesWithPromoted(form_field, field, false);
            }
                
            // Get the selected value.
            var value = field.val();

            total_credits += calculateCredits(form_field, false, value);
            
            updateTotalCreditsCost();
        });
            
        var paid_fields = $('.rsdir-paid-field');
            
        paid_fields.on( 'change', '.rsdir-dropdown', function()
        {
            var field = $(this);
                
            // Get the form field id.
            var form_field_id = field.parents('.rsdir-field-wrapper').attr('class').match(/rsdir-field-wrapper-(\d+)/)[1];
                
            if (typeof form_fields[form_field_id] === 'undefined')
                return;

            // Get the selected value.
            var value = field.val();

            total_credits += calculateCredits(form_fields[form_field_id], false, value);
            
            updateTotalCreditsCost();
        });
            
        paid_fields.on( 'change', '.rsdir-checkbox,.rsdir-radio,.rsdir-promoted-entry-checkbox', function()
        {
            var field = $(this);
                
            // Get the field wrapper element.
            var field_wrapper = field.parents('.rsdir-field-wrapper');
                
            // Get the form field id.
            var form_field_id = field_wrapper.attr('class').match(/rsdir-field-wrapper-(\d+)/)[1];
                
            if (typeof form_fields[form_field_id] === 'undefined')
                return;
                
            var form_field = form_fields[form_field_id];
                
            // Is at least one checkbox checked?
            var checked = field_wrapper.find('input:checked').length;

            if (form_field.field_type === 'checkboxgroup' || form_field.field_type === 'radiogroup')
            {
                total_credits += calculateCredits(form_field, false, field_wrapper.find('input:checked'));
            }
            else
            {
                total_credits += calculateCredits(form_field, false, checked);
            }

            updateTotalCreditsCost();
        });
            
        paid_fields.on( 'keyup change', '.rsdir-textbox,.rsdir-textarea,.rsdir-calendar-input', function()
        {
            if (!$(this).hasClass('rsdir-map-address') || ($(this).hasClass('rsdir-map-address') && $(this).attr('id') === 'rsdir-map-address')) {
				updateTextCreditsCost( this, $(this).val() );
			}
        });
            
        paid_fields.on( 'change', '.rsdir-year-dropdown,.rsdir-month-dropdown,.rsdir-day-dropdown', function()
        {
            var parent_element = $(this).parents('.rsdir-field-wrapper');
                
            // Get the form field id.
            var form_field_id = parent_element.attr('class').match(/rsdir-field-wrapper-(\d+)/)[1];
                
            if (typeof form_fields[form_field_id] === 'undefined')
                return;
                
            var form_field = form_fields[form_field_id];
                
            var fields = parent_element.find('select');
                
            var length = fields.length;
                
            var selected = 0;
                
            $(fields).each(function()
            {
                if ( $(this).val() != 0 )
                {
                   selected++; 
                }
            });

            var status = length === selected;

            total_credits += calculateCredits(form_field, false, status);

            updateTotalCreditsCost();
        });
            
        paid_fields.on( 'change', 'input[type="file"]', function()
        {
            var field = $(this);
                
            if ( field.val() )
            {
                var parent_element = field.parents('.rsdir-field-wrapper');
                var form_field_id = parent_element.attr('class').match(/rsdir-field-wrapper-(\d+)/)[1];
                    
                if ( typeof form_fields[form_field_id] === 'undefined' || field.data('charged') )
                    return;
                    
                field.data('charged', 1);
                    
                var form_field = form_fields[form_field_id];
                    
                var files_count = 0;
                    
                parent_element.find('input[type="file"]').each(function(index, element)
                {
                    if ( jQuery(element).val() )
                    {
                        files_count++
                    }
                });
                
                total_credits += calculateCredits(form_field, false, files_count);

                updateTotalCreditsCost();
            }
        });
       
        // Update total credits cost.
        for (var i in form_fields)
        {
            if (form_fields.hasOwnProperty(i))
            {
                // if there is the promoted field do the correlation with the promoted if this is an edit
                if (form_fields[i].field_type == 'publishing_period') {
                    var publishing_period_field =  $('input.rsdir-publishing-period,select.rsdir-publishing-period');
                    correlateValuesWithPromoted(form_fields[i], publishing_period_field, false, true);
                }

                total_credits += calculateCredits(form_fields[i], true);
            }
        }

        updateTotalCreditsCost();
		
        // Get the review form.
        var review_form = $('#rsdir-review-form');
            
        /**
         * Set the review form submit event.
         */
        review_form.submit(function(e)
        {
            // Prevent the default action.
            e.preventDefault();
                
            if (submitted)
                return false;
                
            // Get the form object.
            var form = $(this);
                
            var name = form.find('input[name="jform[name]"]');
            var email = form.find('input[name="jform[email]"]');
            var subject = form.find('input[name="jform[subject]"]');
            var review = form.find('textarea[name="jform[review]"]');
            var score = form.find('input[name="jform[score]"]');
            var consent = form.find('#submit_consent').length ? form.find('#submit_consent') : false;

                
            // Remove previous errors.
            form.find('.control-group').removeClass('error');
            if (rsdir.isJ4)
            {
                form.find('.alert-danger').remove();
            }
            else {
                form.find('.alert-error').remove();
            }
                
            // Initialize the error messages array.
            var errors = [];

            if (consent && !consent.is(':checked')) {
                consent.parent().parent().addClass('error');
                errors.push(Joomla.JText._('COM_RSDIRECTORY_CONSENT_DEFAULT_ERROR'));
            }
                
            if ( name.length && !$.trim( name.val() ) )
            {
                name.parent().addClass('error');
                errors.push( Joomla.JText._('COM_RSDIRECTORY_NAME_REQUIRED') );
            }
            
            if ( email.length && !$.trim( email.val() ) )
            {
                email.parent().addClass('error');
                errors.push( Joomla.JText._('COM_RSDIRECTORY_EMAIL_REQUIRED') );
            }
                
            if ( subject.length && !$.trim( subject.val() ) )
            {
                subject.parent().addClass('error');
                errors.push( Joomla.JText._('COM_RSDIRECTORY_SUBJECT_REQUIRED') );
            }
                
            if ( review.length && !$.trim( review.val() ) )
            {
                review.parent().addClass('error');
                errors.push( Joomla.JText._('COM_RSDIRECTORY_REVIEW_REQUIRED') );
            }
                
            if ( score.length && !$.trim( score.val() ) )
            {
                score.parents('.control-group').addClass('error');
                errors.push( Joomla.JText._('COM_RSDIRECTORY_SCORE_REQUIRED') );
            }
                
            if (errors.length)
            {
                form.prepend( '<div class="alert alert-'+(rsdir.isJ4 ? 'danger' : 'error')+'">' + errors.join("<br />" ) + '</div>');
                return false;
            }
                
            var submitted = true;
                
            // Get the loader image.
            var loader = $('#rsdir-review-loader');
                
            // Get the submit button.
            var submit = $('#rsdir-review-submit');
                
            // Show the loader image.
            loader.removeClass('hide');
                
            // Hide the submit button.
            submit.addClass('hide');
                
            $.ajax(
            {
                type: 'POST',
                dataType: 'JSON',
                url: rsdir.base + 'index.php?option=com_rsdirectory&task=rating.postReviewAjax&random=' + Math.random(),
                data: form.serializeArray(),
                success: function(json)
                {
                    if (typeof json.ok !== 'undefined')
                    {
                        var message = '<div class="alert alert-success">' + json.ok + '</div>';

                        if (typeof json.rating !== 'undefined')
                        {                            
							$('#rsdir-ratings-count-text').html(json.rating.text);
							$('#rsdir-ratings-avg-rating').attr('data-rating', json.rating.avg_rating);
							
                            // Initialize the rating.
                            $('.rsdir-detail-rating').raty(
                            {
                                readOnly: true,
                                score: function()
                                {
                                    return $(this).attr('data-rating');
                                },
								starType: 'i'
                            });
                        }

                        if (typeof json.review !== 'undefined')
                        {
                            var review = $(json.review);
                                
                            // Initialize the rating.
                            review.find('.rsdir-detail-rating').raty(
                            {
                                readOnly: true,
                                score: function()
                                {
                                    return $(this).attr('data-rating');
                                },
								starType: 'i'
                            });
                                
                            $('#no-reviews').remove();
                            $('#reviews-list').prepend(review).prepend(message);
                            form.remove();
                            $('html, body').animate({
                                scrollTop: $('#reviews').offset().top
                            }, 500);
                        }
                        else
                        {
                            // Replace the review form with a success message.
                            form.parent().append(message);
                            form.css('display','none');
                        }
                    }
                    else
                    {
                        if (typeof json.error_messages !== 'undefined')
                        {
                            var errors = [];
                                
                            $.each(json.error_messages, function(index, message)
                            {
                                errors.push(message);
                            });
                                
                            form.prepend( '<div class="alert alert-'+(rsdir.isJ4 ? 'danger' : 'error')+'">' + errors.join("<br />") + '</div>' );
                        }

                        if (typeof json.error_fields !== 'undefined')
                        {
                            $.each(json.error_fields, function(index, field_name)
                            {
                                if (field_name === 'submit_consent') {
                                    form.find('#'+field_name).parents('.control-group').addClass('error');
                                } else {
                                    form.find('[name="jform[' + field_name + ']"]').parents('.control-group').addClass('error');
                                }
                            });
                        }
						
						var hasCaptcha = form.find('#rsdir-captcha-refresh').length;
						if (hasCaptcha) {
							rsdirRefreshCaptcha(form.find('#rsdir-captcha-refresh'));
						} else if (typeof Recaptcha !== 'undefined') {
							Recaptcha.reload();
						} 
						
                        submitted = false;
                            
                        // Hide the loader image.
                        loader.addClass('hide');
                            
                        // Show the submit button.
                        submit.removeClass('hide');
                    }
                }
            });
        });
            
        review_form.filter('.rsdir-rating-form').find('.rsdir-rate-entry').on('click', 'i', function()
        {
            review_form.submit();
        });
            
        $('.rsdir-listing-delete').click(function(e)
        {
            e.preventDefault();
                
            if ( !confirm( Joomla.JText._('COM_RSDIRECTORY_ENTRY_DELETION_CONFIRMATION') ) )
                return false;
                
            var parent_element = $(this).parents('.rsdir-listing');
                
            var data = {
                id: $(this).attr('data-entry-id')
            };
            data[rsdir.token] = 1;
                
            $.ajax(
            {
                type: 'POST',
                dataType: 'JSON',
                url: rsdir.base + 'index.php?option=com_rsdirectory&task=entry.deleteAjax&random=' + Math.random(),
                data: data,
                success: function(json)
                {
                    if (typeof json.ok !== 'undefined')
                    {
                        parent_element.fadeOut(1000, function()
                        {
                            parent_element.remove();
                        });
                    }
                    else if (typeof json.error !== 'undefined')
                    {
                        // Output the error.
                        alert(json.error);
                    }
                }
            });
        });
            
        $('.rsdir-entry-fav').click(function(e)
        {
            addToFavorites( $(this) );
        });
            
        // Get the big thumbs wrapper.
        var big_thumbs = $('#rsdir-big-thumbs');
            
        // Get the small thumbs wrapper.
        var small_thumbs = $('#rsdir-small-thumbs');
            
        small_thumbs.find('.thumbnail').click(function()
        {
            var index = small_thumbs.find('.thumbnail').index(this);
                
            big_thumbs.find('.thumbnail').addClass('hidden-desktop hidden-tablet d-sm-block d-md-none');
                
            big_thumbs.find('.thumbnail').eq(index).removeClass('hidden-desktop hidden-tablet d-sm-block d-md-none');
        });

        $('#rsdir-print-entry').click(function()
        {
            var url = window.location.href.replace(window.location.hash, '');
                
            url += ( url.indexOf('?') === -1 ? '?' : '&' ) + 'tmpl=component&print=1';
                
            window.open(
                url,
                'print-entry',
                'width=770,height=800,scrollbars=yes'
            );
        });

        $('#rsdir-detail-delete-entry').click(function(e)
        {
            e.preventDefault();
                
            if ( !confirm( Joomla.JText._('COM_RSDIRECTORY_ENTRY_DELETION_CONFIRMATION') ) )
                return false;
                
            var parent = $(this).parents('.rsdir-listing');
                
            var data = {
                id: $(this).attr('data-entry-id')
            };
            data[rsdir.token] = 1;
                
            $.ajax(
            {
                type: 'POST',
                dataType: 'JSON',
                url: rsdir.base + 'index.php?option=com_rsdirectory&task=entry.deleteAjax&message=1&random=' + Math.random(),
                data: data,
                success: function(json)
                {
                    if (typeof json.ok !== 'undefined')
                    {
                        $('.item-page ').replaceWith('<div class="alert alert-success">' + json.message + '</div>');
                    }
                    else if (typeof json.error !== 'undefined')
                    {
                        // Output the error.
                        alert(json.error);
                    }
                }
            });
        });
            
        $('.media-more').click(function(e)
        {
            // Prevent default action.
            e.preventDefault();
                
            // Get the parent element.
            var parent_element = $(this).parent('.media-group-wrapper');
                
            // Hide this button.
            $(this).addClass('hide');
                
            // Show the "less" button.
            parent_element.find('> .media-less').removeClass('hide');
                
            // Show the hidden elements.
            parent_element.find('> .media-group').removeClass('hide');
        });
            
        $('.media-less').click(function(e)
        {
            // Prevent default action.
            e.preventDefault();
                
            // Get the parent element.
            var parent_element = $(this).parent('.media-group-wrapper');
                
            // Hide this button.
            $(this).addClass('hide');
                
            // Show the "more" button.
            parent_element.find('> .media-more').removeClass('hide');
                
            // Hide the media group.
            parent_element.find('> .media-group').addClass('hide');
        });
            
        $('.rsdir-filter').on( 'click', '.rsdir-filter-more', function(e)
        {
            e.preventDefault();
                
            var btn = $(this);
            var parent_element = btn.parents('.rsdir-filter');
            var toggle = parent_element.find('.rsdir-filter-toggle');
                
            if ( toggle.hasClass('hide') )
            {
                toggle.removeClass('hide');
                btn.html( Joomla.JText._('COM_RSDIRECTORY_SHOW_LESS') );
            }
            else
            {
                toggle.addClass('hide');
                btn.html( Joomla.JText._('COM_RSDIRECTORY_SHOW_MORE') );
            }
        });
            
        $('.rsdir-iframe-modal, .rsdir-report-magnific-popup, .rsdir-owner-reply-magnific-popup, #rsdir-report-modal, #rsdir-owner-reply-modal').find('.btn-primary').click(function()
        {
            var first_form = $(this).parent().parent().find('iframe').contents().find('form')[0];
            first_form.submit();
        });



        $('#reviews-list').on( 'click', '.rsdir-edit-owner-reply', function()
        {
            var btn = $(this);

            var is_magnific = btn.hasClass('is-magnific');

            if (is_magnific) {
                $('#rsdir-owner-reply-header').html(btn.html());

                $('#rsdir-owner-reply-magnific-popup').find('iframe').attr('src', btn.data('iframe-src'));
                $.magnificPopup.open({
                    type: 'inline',
                    preloader: true,
                    overflowY: 'scroll',
                    items: {
                        src: '#rsdir-owner-reply-magnific-popup',
                        callbacks: {
                            beforeOpen: function () {
                                $('#rsdir-owner-reply-magnific-popup').show();
                            },
                            close: function () {
                                $('#rsdir-owner-reply-magnific-popup').hide();
                            }
                        }
                    }
                });

            } else {

                var modal = $('#rsdir-owner-reply-modal');

                modal.find('iframe').attr('src', btn.data('iframe-src'));

                modal.find('.modal-header').find('h3').html(btn.html());

                modal.modal('show');
            }
        });

        $('.rsdir-form-validate').on('click.validateFields', function (e){
            e.preventDefault();

            var btn = $(this);

            if (btn.attr('id') == 'rsdir-check-credits') {
                btn.unbind('click.validateFields');
                return;
            }

            if(ajaxValidate(btn)) {
                Joomla.submitbutton('entry.save');
            }

        });

        $('#rsdir-check-credits').on( 'click.checkCredits', function(e)
        {
            e.preventDefault();
                
            var btn = $(this);

            var validate = btn.hasClass('rsdir-form-validate');

            if (!validate || (validate && ajaxValidate(btn))) {
                var response = submitcheckCredits(btn);

                if (response == 'submit') {
                    Joomla.submitbutton('entry.save');
                } else {
                    btn.unbind('click.checkCredits').click(function()
                    {
                        Joomla.submitbutton('entry.save');
                    });
                }
            }
        });
            
        var buyCreditsForm = $('#buyCreditsForm');
            
        buyCreditsForm.find(':radio').on( 'change', function()
        {
            var credit_package = buyCreditsForm.find(':radio[name="jform[credit_package]"]:checked');
            var payment_method = buyCreditsForm.find(':radio[name="jform[payment_method]"]:checked');
            var entry_id = buyCreditsForm.find(':input[name="jform[entry_id]"]');
                
            if (credit_package.length > 0 && payment_method.length > 0)
            {
                var data = {
                    credit_package: credit_package.val(),
                    payment_method: payment_method.val(),
                    entry_id: entry_id.val()
                };
                data[rsdir.token] = 1;
                
				buyCreditsForm.find('.buy-credits-price').html('...');
				buyCreditsForm.find('.buy-credits-tax').html('...');
				buyCreditsForm.find('.buy-credits-total').html('...');
				buyCreditsForm.find('[type=submit]').prop('disabled', true);
				
                $.ajax(
                {
                    type: 'POST',
                    dataType: 'JSON',
                    url: rsdir.base + 'index.php?option=com_rsdirectory&task=credits.calculatePriceAjax&random=' + Math.random(),
                    data: data,
                    success: function(json)
                    {
                        buyCreditsForm.find('.buy-credits-price').html(json.price);
                        buyCreditsForm.find('.buy-credits-tax').html(json.tax);
                        buyCreditsForm.find('.buy-credits-total').html(json.total);
						
						buyCreditsForm.find('[type=submit]').prop('disabled', false);
                    }
                });
            }
        });

        $('#finalize_confirm_layout').find('input[type="checkbox"]').on( 'change', function()
        {
            $('#finalize-confirm-btn').attr( 'disabled', !$(this).prop('checked') );
        });
            
        buyCreditsForm.find(':radio[name="jform[credit_package]"]').change(function()
        {
            buyCreditsForm.find('.rsdir-credit-package.rsdir-selected').removeClass('rsdir-selected');
            $(this).parents('.rsdir-credit-package').addClass('rsdir-selected');
        });
		
		$('.rsdir-filter.dependency-parent').on( 'change', ':input', function()
        {
            var field = $(this);
            var dependency_parent = field.parents('.dependency-parent');
            var loader = field.parents('.control-group').find('.rsdir-loader');

            // Initialize the options object.
            var options = {};

            field.parents('form').find('.options').each(function(index, element)
            {
                options[$(element).attr('name')] = $(element).val();
            });

            var data = {
                parent_id: dependency_parent.data('id'),
                value: field.val(),
                filters: 1,
                options: options
            };
            data[rsdir.token] = 1;

            // Show the loader.
            loader.removeClass('hide');

            // Send the AJAX request.
            $.ajax(
                {
                    type: 'POST',
                    url: rsdir.base + 'index.php?option=com_rsdirectory&task=field.getDependencyOptionsAjax&random=' + Math.random(),
                    data: data,
                    dataType: 'json',
                    success: function(response)
                    {
                        $.each(response, function(field_id, field_data)
                        {
                            if (typeof clearFormFieldCost === 'function')
                            {
                                clearFormFieldCost(field_id);
                            }

                            if (typeof field_data.items_group !== 'undefined')
                            {
                                // Get the child elements.
                                var items_group = $('.rsdir-filter-' + field_id).find('.rsdir-items-group');

                                // Add the new items.
                                items_group.html(field_data.items_group);
                            }
                            else if (typeof field_data.options !== 'undefined')
                            {
                                // Get child element.
                                var element = $( document.getElementById('fields' + field_id) );

                                // Remove all options but the 1st.
                                element.find('*:gt(0)').remove();

                                // Append the new options.
                                element.append(field_data.options);

                                // Trigger chosen update.
                                element.trigger('liszt:updated');
                            }
                        });

                        // Show the loader.
                        loader.addClass('hide');
                    }
                });
        });
		
		// the submit for the contact modal
        var contactMagnific = $('#rsdir-contact-btn-magnific');
        if (contactMagnific.length && typeof contactMagnific.magnificPopup !== 'undefined') {
            contactMagnific.magnificPopup({
                type: 'ajax',
                alignTop: true,
                overflowY: 'scroll',
                callbacks: {
                    parseAjax: function (m_response) {
                        var response = m_response.data;
                        response = RSDirectory.parseJSON(response);
                        var popup_html = $('#rsdir-contact-magnific-popup').clone(true);

                        if (response.success) {
                            popup_html.find('.magnific-popup-body').html(response.data.form);

                            popup_html.find('#rsdir-captcha-refresh').click(function()
                            {
                                rsdirRefreshCaptcha(this);
                            });

                        } else {
                            popup_html.find('magnific-popup-body').append(showAjaxErrors(response.data.errors, 'error'));
                        }
                        popup_html.css('display','block');

                        m_response.data = popup_html;
                    },
                    afterClose  : function() {
                        // refresh the captcha for the review form if exists
                        if ($('#rsdir-review-form').find('#rsdir-captcha').length) {
                            rsdirRefreshCaptcha($('#rsdir-review-form').find('#rsdir-captcha-refresh'));
                        }
                    }
                }
            });
        }

        var contactModal = $('#rsdir-contact-modal');
        contactModal.on('show show.bs.modal', function () {
            var container = $(this);
            $('#rsdir-contact-modal').find('.btn-primary').css('display','');

            $.ajax(
                {
                    type: 'GET',
                    url: rsdir.base + 'index.php?option=com_rsdirectory&task=contact.showForm',
                    dataType: 'json',
                    beforeSend: function() {
                        rsdirAddLoader(container.find('.modal-body'), 150);
                    },
                    success: function(response)
                    {
                        if (response.success) {
                            container.find('.modal-body').empty();
                            container.find('.modal-body').append(response.data.form);
                            $('#rsdir-captcha-refresh').click(function()
                            {
                                rsdirRefreshCaptcha(this);
                            });

                        } else {
                            container.find('.modal-body').append(showAjaxErrors(response.data.errors, 'error'));
                        }

                        rsdirRemoveLoader();
                    }
            });
        });
		
		$('#rsdir-contact-modal, #rsdir-contact-magnific-popup').find('.btn-primary').click(function()
        {
            var modal_type = $('#rsdir-contact-magnific-popup').length ? 1 : 0;

			var container = modal_type ? $('#rsdir-contact-magnific-popup') : $('#rsdir-contact-modal');

            var innnerBody = modal_type ? 'magnific-popup-body' : 'modal-body';
			
			var formData = {name: $('#jform_name').val(),email: $('#jform_email').val(), message: $('#jform_message').val()};
			
			if (container.find('[name="jform[captcha]"]').length) {
				formData.captcha = $('[name="jform[captcha]"]').val();
			}
			
			if (container.find('#recaptcha_response_field').length) {
				formData.recaptcha_response_field = container.find('#recaptcha_response_field').val();
			}

            var checkFormFields = {};
            $.extend( checkFormFields, formData );

            if ($('#jform_phone_number').length)
            {
                var is_phone_required = $('#jform_phone_number').attr('required');
                formData.phone_number = $('#jform_phone_number').val();

                if (typeof is_phone_required !== typeof undefined && is_phone_required !== false)
                {
                    checkFormFields.phone_number = formData.phone_number;
                }
            }

            if ($('#jform_link').length)
            {
                var is_link_required = $('#jform_link').attr('required');
                formData.link = $('#jform_link').val();

                if (typeof is_link_required !== typeof undefined && is_link_required !== false)
                {
                    checkFormFields.link = formData.link;
                }
            }

            var consent = container.find('#submit_contact_consent');

            if (consent.length) {
                if (consent.is(':checked'))
                {
                    formData.consent = consent.val();
                    checkFormFields.consent = '1';
                }
                else
                {
                    checkFormFields.consent = '';
                }
            }
			
			if (!checkContactFields(checkFormFields)) {
				return false;
			}
			
			if (container.find('#recaptcha_response_field').length) {
				formData.recaptcha_challenge_field = container.find('#recaptcha_challenge_field').val();
			}
			
			if (container.find('.g-recaptcha-response').length) {
				formData.g_recaptcha_response = container.find('.g-recaptcha-response').val();
			}

            var data = {
				jform : formData
			};
			
			$.ajax(
            {
                type: 'POST',
                url: rsdir.base + 'index.php?option=com_rsdirectory&task=contact.save&entry_id='+$('#rsdir-contact-entry-id').val(),
				data: data,
                dataType: 'json',
				beforeSend: function() {
					// set the loader
					removePreviousAlerts();
					rsdirAddLoader(container.find('.'+innnerBody+' .control-group:first-child'), 20, 'before');
				},
                success: function(response)
                {
					// remove the loader
					rsdirRemoveLoader();
					if (response.success) {
						// display the message of success
						container.find('.'+innnerBody).children().css('display','none');
						container.find('.'+innnerBody).append(showAjaxErrors(response.data.message, 'success'));
                        container.find('.btn-primary').css('display','none');
					} else {
						// display the errors
						if (typeof response.data.errors.warning !== 'undefined') {
							container.find('.'+innnerBody+' .control-group:first-child').before(showAjaxErrors(response.data.errors.warning, 'warning'));
						} else if (typeof response.data.errors.error !== 'undefined') {
							container.find('.'+innnerBody+' .control-group:first-child').before(showAjaxErrors(response.data.errors.error, 'error'));
						}
						// check for built-in captcha
						if (container.find('#rsdir-captcha').length) {
							rsdirRefreshCaptcha(container.find('#rsdir-captcha-refresh'));
						} else if (typeof grecaptcha !== 'undefined' && typeof rsdir_new_captcha_load !== 'undefined' && container.find('#g-recaptcha-contact').length) {
                            grecaptcha.reset(rsdir_new_captcha_load);
						}
					}			
                }
            });
			
        });

        contactModal.on('hidden', function () {
			$(this).find('.modal-body').children().css('display','none');
			$(this).find('.modal-body').empty();
            // refresh the built in captcha
            if ($('#rsdir-review-form').find('#rsdir-captcha').length) {
                rsdirRefreshCaptcha($('#rsdir-review-form').find('#rsdir-captcha-refresh'));
            }
		});
		
		$('#rsdir-contact-modal, #rsdir-report-modal').on('hide', function () {
			$('body').removeClass('rsdir-disbale-scroll');
		});
		
		$('#rsdir-contact-modal, #rsdir-report-modal').on('show', function(){
			jQuery('body').addClass('rsdir-disbale-scroll');
		});


        // report Magnific modal
        var reportMagnific = $('#rsdir-report-btn-magnific');
        if (reportMagnific.length && typeof reportMagnific.magnificPopup !== 'undefined') {
            reportMagnific.magnificPopup({
                type: 'inline',
                preloader: false,
                overflowY: 'scroll',
                callbacks: {
                    beforeOpen: function() {
                        var magnificContainer = $('#rsdir-report-magnific-popup');
                        magnificContainer.show();

                        var inner_iframe = $('#rsdir-report-magnific-popup').find('iframe');
                        var inner_doc = inner_iframe[0].contentDocument || inner_iframe[0].contentWindow.document;


                        if ($(inner_doc).find('#rsdir-captcha').length) {
                            rsdirRefreshCaptcha('#rsdir-captcha-refresh', inner_doc);
                        }
                    },
                    close: function() {
                        $('#rsdir-report-magnific-popup').hide();

                        // refresh the built in captcha
                        if ($('#rsdir-review-form').find('#rsdir-captcha').length) {
                            rsdirRefreshCaptcha($('#rsdir-review-form').find('#rsdir-captcha-refresh'));
                        }
                    }
                }
            });
        }

        // report normal modal
        var reportModal = $('#rsdir-report-modal');
        if (reportModal.length) {
            reportModal.on('hide', function () {
                if ($('#rsdir-review-form').find('#rsdir-captcha').length) {
                    rsdirRefreshCaptcha($('#rsdir-review-form').find('#rsdir-captcha-refresh'));
                }
            });

            reportModal.on('shown', function () {
                var inner_iframe = $(this).find('iframe');
                var inner_doc = inner_iframe[0].contentDocument || inner_iframe[0].contentWindow.document;


                if ($(inner_doc).find('#rsdir-captcha').length) {
                    rsdirRefreshCaptcha('#rsdir-captcha-refresh', inner_doc);
                }
            });
        }
         
    }); // On ready.

	// ajax helper functions
	function rsdirAddLoader(element, height, type) {
		var html = '<div class="rsdir-loader" style="height:'+height+'px"></div>';
		if (typeof type === 'undefined') {
			element.append(html);
		} else {
			element[type](html);
		}
	}
	
	function rsdirRemoveLoader() {
		jQuery('.rsdir-loader').remove();
	}
	
	function showAjaxErrors(errors, type) {
	    var errorContainer = document.createElement('div');
	    errorContainer.classList.add('rsdir-contact-alert');
	    errorContainer.classList.add('alert');
	    errorContainer.classList.add('alert-' + type);

	    var errorString, counter;
	    for (counter in errors)
        {
            if (errors.hasOwnProperty(counter))
            {
                errorString = document.createElement('p');
                errorString.innerHTML = errors[counter];
                errorContainer.appendChild(errorString);
            }
        }

	    try
        {
            window.setTimeout(function() {
                errorContainer.scrollIntoView();
            }, 100);
        }
        catch (err) {}

	    return errorContainer;
	}
	
	function removePreviousAlerts() {
		jQuery('.rsdir-contact-alert').remove();
	}
	
	// check the fields
	function checkContactFields(fields) {
		var status = true;
		jQuery.each( fields, function( key, value ) {
            if (value.trim() === '' && key !== 'email') {
                if (key === 'recaptcha_response_field') {
					jQuery('#recaptcha-contact-div').parents('.control-group').addClass('error');
				} else if (key === 'consent'){
                    jQuery('#submit_contact_consent').parents('.control-group').addClass('error');
				} else {
					jQuery('[name="jform['+key+']"]').parents('.control-group').addClass('error');
				}
				 status = false;
			} else if (key === 'email') {
				var regex = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
				
				if (!regex.test(value)) {
					jQuery('[name="jform['+key+']"]').parents('.control-group').addClass('error');
					status = false;
				} else {
					jQuery('[name="jform['+key+']"]').parents('.control-group').removeClass('error');
				}
			} else {
                if (key === 'consent'){
                    jQuery('#submit_contact_consent').parents('.control-group').removeClass('error');
                } else {
                    jQuery('[name="jform[' + key + ']"]').parents('.control-group').removeClass('error');
                }
			}
		});
		
		return status;
	}
	
	function showRecaptcha(element, publicKey, theme) {
		Recaptcha.destroy();
		Recaptcha.create(publicKey, element, {
            theme: theme,
            callback: Recaptcha.focus_response_field
		});
	}
}


RSDirectory.removeData = function(button) {
    jQuery(button).fadeOut({
        complete: function() {
            jQuery('#rsdirectory_remove_data_and_close_account').fadeIn();
        }
    });
};

RSDirectory.requestRemoveData = function(button) {
    jQuery(button).prop('disabled', true).addClass('disabled');
    var container = jQuery('#rsdirectory_remove_data_and_close_account');

    var url = Joomla.getOptions('system.paths').root + '/index.php';
    var token = Joomla.getOptions('csrf.token');
    var data = {
        'option': 'com_rsdirectory',
        'task': 'removedata.request'
    };
    data[token] = 1;
    jQuery.post(url, data, function(response){
        container.fadeOut({
            complete: function() {
                container.find('.alert-warning').removeClass('alert-warning').addClass('alert-info');
                container.find('.alert').text(response);
                container.fadeIn();
            }
        })
    });
};
