<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');
?>
<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<div class="rsdir-categories<?php echo $this->pageclass_sfx;?>">
				
			<?php if ( $this->params->get('show_page_heading') ) { ?>
				<div class="page-header">
					<h1><?php echo $this->escape( $this->params->get('page_heading') ); ?></h1>
				</div>
			<?php } ?>
				
			<?php if ( !JFactory::getApplication()->getMenu()->getActive() ) { ?>
				<div class="page-header">
					<h1><?php echo JText::_('COM_RSDIRECTORY_CATEGORIES'); ?></h1>
				</div>
			<?php } ?>
				
			<?php if ( $this->params->get('show_base_title') || $this->params->get('show_base_description') || $this->params->get('show_base_thumbnail') ) { ?>
			<div class="media">
				<?php
					
				if ( $this->params->get('show_base_thumbnail') )
				{
					if ( $this->parent && $file = RSDirectoryHelper::getCategoryThumbObject(0, $this->parent->id) )
					{
						?>

						<div class="thumbnail <?php echo $this->params->get('base_thumbnail_position', 'right') == 'left' ? RsdirectoryAdapterGrid::float('left') : RsdirectoryAdapterGrid::float('right'); ?>">
							<img src="<?php echo RSDirectoryHelper::getImageURL($file->hash, 'small'); ?>" alt="<?php echo $this->escape($this->parent->title); ?>" width="<?php echo $this->escape($this->small_thumbnail_width); ?>" height="<?php echo $this->escape($this->small_thumbnail_height); ?>" />
						</div>
							
						<?php
					}
				}
					
				?>
					
				<div class="media-body">
						
					<?php if ( $this->parent && $this->parent->id > 1 && $this->params->get('show_base_title') ) { ?>
					<h4 class="media-heading"><?php echo $this->escape($this->parent->title); ?></h4>
					<?php } ?>
						
					<?php
						
					if ( $this->params->get('show_base_description') )
					{
						// If there is a description in the menu parameters use that.
						if ( $this->params->get('categories_description' ) )
						{
							echo  JHtml::_('content.prepare', $this->params->get('categories_description'), '', 'com_rsdirectory.categories');
						}
						else if ($this->parent && $this->parent->description)
						{
							echo JHtml::_('content.prepare', $this->parent->description, '', 'com_rsdirectory.categories');
						}
					}
						
					?>
				</div>
			</div>
			<?php } ?>
				
			<?php
				
			if ($this->items)
			{
				$span =  ( 12 / $this->params->get('num_columns', 3) );
					
				// Get the subcategories max level.
				$maxLevelcat = $this->params->get('maxLevelcat', 2);
					
				// Get the description character limit.
				$subcat_desc_limit = $this->params->get('subcat_desc_limit', 50);
					
				?>
					
				<div class="rsdir-categories-list">
					
				<?php foreach ($this->items as $row) { ?>
						
					<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
						
					<?php foreach ($row as $item) { ?>
						
						<?php $item->params = (object) json_decode($item->params); ?>
						
						<div class="<?php echo RsdirectoryAdapterGrid::column($span); ?>">
								
							<div class="media">
									
								<?php if ( $this->params->get('show_subcategories_thumbnails', 1) && !empty($item->thumbnail_url) ) { ?>
								<img class="<?php echo RsdirectoryAdapterGrid::float('left');?>" src="<?php echo $item->thumbnail_url; ?>" alt="<?php echo $this->escape($item->title); ?>" width="<?php echo $this->escape($this->width); ?>" height="<?php echo $this->escape($this->height); ?>" />
								<?php } ?>

								<div class="media-body">
									<h5 class="media-heading" <?php if(!empty($item->params->color)) { echo 'style="background-color: ' . $this->escape($item->params->color) . ';"'; } ?>>
										<?php if (!empty($item->params->icon)) { ?>
											<i class="<?php echo $this->escape($item->params->icon); ?>"></i>
										<?php } ?>
										<a href="<?php echo RSDirectoryRoute::getCategoryEntriesURL($item->id, $item->title, $this->Itemid); ?>"><?php echo $this->escape($item->title); ?></a>
										<?php echo $this->params->get('show_cat_num_articles_cat') ? ' (' . RSDirectoryHelper::countEntriesFromCategory($item->id) . ')' : ''; ?>
									</h5>
										
									<?php
										
									if ( $this->params->get('show_subcat_desc_cat') )
									{
										if ($subcat_desc_limit)
										{
											$description = $this->escape( RSDirectoryHelper::cut( strip_tags($item->description), $subcat_desc_limit ) );
										}
										else
										{
											$description = $item->description;
										}
											
										if ($description)
										{
											?>
											<p><?php echo $description; ?></p>
											<?php
										}
									}
										
									if ( ($maxLevelcat > 1 || $maxLevelcat == -1) && $children = $item->getChildren() )
									{
										$this->subcategories = &$children;
										$this->level		 = 1;
										
										echo $this->loadTemplate('subcategories');
									}
										
									?>
								</div>
							</div>
								
						</div>
							
					<?php } ?>
						
					</div>
						
				<?php } ?>
					
				</div><!-- .rsdir-categories-list -->
					
			<?php } ?>
				
		</div><!-- .rsdir-categories -->
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->