<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if (!$this->subcategories)
	return;
	
// Get the subcategory levels.
$subcategory_levels = $this->params->get('maxLevelcat', 2);
	
// Get the subcategories count.
$subcategories_count = $this->params->get('subcategories_count');
	
// Get the description character limit.
$subcat_desc_limit = $this->params->get('subcat_desc_limit', 0);
   
// Get the Itemid. 
$Itemid = $this->params->get('itemid');
	
$hide = false;
	
$is_numeric = is_numeric($subcategories_count);
	
foreach ($this->subcategories as $i => $item)
{
	$item->params = (object) json_decode($item->params);
	if ( $is_numeric && !$hide && $i == $subcategories_count)
	{
		$hide = true;
		?>
		<div class="media-group-wrapper"><div class="media-group hide">
		<?php
	}
		
	?>
		
	<div class="media">
		<?php if ( $this->params->get('show_subcategories_thumbnails') && !empty($item->thumbnail_url) ) { ?>        
		<img class="<?php echo RsdirectoryAdapterGrid::float('left');?>" src="<?php echo $item->thumbnail_url; ?>" alt="<?php echo $this->escape($item->title); ?>" width="<?php echo $this->escape( $this->params->get('subcategories_thumbnails_width', 1) ); ?>" height="<?php echo $this->escape( $this->params->get('subcategories_thumbnails_height') ); ?>" />
		<?php } ?>
			
		<div class="media-body">
			<div class="media-heading" <?php if(!empty($item->params->color)) { echo 'style="background-color: ' . $this->escape($item->params->color) . ';"'; } ?>>
				<?php if (!empty($item->params->icon)) { ?>
					<i class="<?php echo $this->escape($item->params->icon); ?>"></i>
				<?php } ?>
				<a href="<?php echo RSDirectoryRoute::getCategoryEntriesURL($item->id, $item->title, $Itemid); ?>"><?php echo $this->escape($item->title); ?></a>
				<?php echo $this->params->get('show_cat_num_articles_cat') ? ' (' . RSDirectoryHelper::countEntriesFromCategory($item->id) . ')' : ''; ?>
			</div>
			<?php
				
			if ( $this->params->get('show_subcat_desc_cat', 0) )
			{
				if ($subcat_desc_limit)
				{
					$description = $this->escape( RSDirectoryHelper::cut( strip_tags($item->description), $subcat_desc_limit ) );
				}
				else
				{
					$description = $item->description;    
				}
					
				if ($description)
				{
					?>
					<p><?php echo $description; ?></p>
					<?php
				}
			}
				
			if ( ( $subcategory_levels == - 1 || $this->level + 1 < $subcategory_levels ) && $children = $item->getChildren() )
			{
				$this->level++;
				$this->subcategories = &$children;
				
				echo $this->loadTemplate('subcategories');
			}
				
			?>
		</div>
	</div>
		
	<?php
		
	if ( $is_numeric && $hide && $item == end($this->subcategories) )
	{
		?>
		</div>
		<a class="media-more" href="#"><i class="fa fa-chevron-down"></i><?php echo JText::_('COM_RSDIRECTORY_SHOW_MORE'); ?></a>
		<a class="media-less hide" href="#"><i class="fa fa-chevron-up"></i><?php echo JText::_('COM_RSDIRECTORY_SHOW_LESS'); ?></a>
		</div><!-- .media-group -->
		<?php
	}
}