<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$show_login = $this->params->get('display_login_form', 1);
?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row();?>">
		<div class="<?php echo htmlspecialchars($this->pageclass_sfx); ?>">
				
			<?php if ( $this->params->get('show_page_heading', 1) ) { ?>
				<div class="page-header">
					<h1><?php echo $this->escape( $this->params->get('page_heading') ); ?></h1>
				</div>
			<?php } ?>
				
			<?php foreach ($this->messages_list as $type => $messages) { ?>
				<?php if ($messages) { ?>
				<div class="alert alert-<?php echo $type; ?>">
					<?php echo implode('<br />', $messages); ?>
				</div>
				<?php } ?>
			<?php } ?>
				
			<?php if ( empty($this->payment_form_data) ) { ?>
				
			<?php if ( empty($this->user->id) ) { ?>
				
			<div class="alert alert-info">
				<?php echo $show_login ? JText::_('COM_RSDIRECTORY_ENTRY_GUEST') : JText::_('COM_RSDIRECTORY_ENTRY_GUEST_WITHOUT_LOGIN'); ?>
			</div>

				<?php if ($show_login) { ?>
					<form action="<?php echo JRoute::_( 'index.php', true, false ); ?>" method="post">
						<fieldset>
							<legend><?php echo JText::_('COM_RSDIRECTORY_LOGIN_FORM'); ?></legend>
							<?php
								if (!empty($this->login_form))
								{
									foreach ($this->login_form->getFieldsets() as $fieldset)
									{

										if ($fields = $this->login_form->getFieldset($fieldset->name))
										{
											foreach ($fields as $field)
											{
												echo $field->renderField();
											}
										}
									}
								}
							?>
							<button type="submit" class="btn btn-primary"><?php echo JText::_('JLOGIN'); ?></button>
						</fieldset>
						<div>
							<input type="hidden" name="option" value="com_users" />
							<input type="hidden" name="task" value="user.login" />
							<input type="hidden" name="return" value="<?php echo base64_encode( JUri::getInstance()->toString() );?>" />
							<?php echo JHtml::_('form.token'); ?>
						</div>
					</form>
				<?php } ?>
			<?php } ?>

			<form id="buyCreditsForm" action="<?php echo htmlspecialchars( JUri::getInstance()->toString() ); ?>" method="post">
					
				<?php if ( empty($this->user->id) ) { ?>
				<fieldset>
					<legend><?php echo JText::_('COM_RSDIRECTORY_USER_DETAILS'); ?></legend>
					<?php
					if (!empty($this->userdetails_form))
					{
						foreach ($this->userdetails_form->getFieldsets() as $fieldset)
						{

							if ($fields = $this->userdetails_form->getFieldset($fieldset->name))
							{
								foreach ($fields as $field)
								{
									$options = array();
									if (is_array($this->error_reg_fields) && in_array($field->fieldname, $this->error_reg_fields))
									{
										$options['class'] = 'error';
									}
									// set the value from the post data
									$field->value = !empty($this->data['reg'][$field->fieldname]) ? $this->data['reg'][$field->fieldname] : '';

									echo $field->renderField($options);
								}
							}
						}
					}
					?>
				</fieldset>
				<?php } ?>
					
				<?php if ( !empty($this->entry_summary) ) { ?>

				<h4><?php echo JText::_('COM_RSDIRECTORY_SUMMARY'); ?></h4>
					
				<table class="table table-striped">
					<thead>
						<tr>
							<th></th>
							<th width="80" class="center"><?php echo JText::_('COM_RSDIRECTORY_CREDITS'); ?></th>
						</tr>
					</thead>
					<tbody>
						<?php foreach ($this->entry_summary as $item) { ?>
						<tr class="info">
							<th><?php echo $this->escape($item->text); ?></th>
							<td class="center">
								<?php if ( empty($item->is_total) ) { ?>
								<?php echo $item->credits; ?>
								<?php } else { ?>
								<strong><?php echo $this->escape($item->credits); ?></strong>
								<?php } ?>
							</td>
						</tr>
						<?php } ?>
					</tbody>
				</table>
					
				<?php } ?>
					
				<?php if ($this->credit_packages) { ?>
					<h4><?php echo JText::_('COM_RSDIRECTORY_CREDIT_PACKAGES'); ?></h4>

					<?php
					foreach ($this->credit_packages as $credit_package)
					{
						$credit_pack_field 					  = new stdClass();
						$credit_pack_field->name 			  = "credit_package";
						$credit_pack_field->type 			  = 'radio';
						$credit_pack_field->id 				  = 'credit-package-'.$this->escape($credit_package->id);
						$credit_pack_field->label 			  = '';
						$credit_pack_field->controlgroupclass = 'rsdir-credit-package'.(empty($credit_package->class) ? '' : " $credit_package->class");
						$credit_pack_field->has_options = true;
						if (!empty($this->data['credit_package']))
						{
							$credit_pack_field->value = $this->data['credit_package'];
						}
						if (!isset($credit_pack_field->values))
						{
							$credit_pack_field->values = array();
						}
						$credit_pack_field->values[] = $credit_package->id.'|<strong>'.$this->escape($credit_package->title).'</strong> <span class="'.RsdirectoryAdapterGrid::badgeClass('info').'">'.($credit_package->credits ? JText::plural('COM_RSDIRECTORY_NUMBER_OF_CREDITS', $credit_package->credits) : JText::_('COM_RSDIRECTORY_UNLIMITED_CREDITS')).'</span> <span class="'.RsdirectoryAdapterGrid::badgeClass('success').'">'.$this->escape( RSDirectoryHelper::formatPrice($credit_package->price) ).'</span>';
						$credit_pack_field->group_additional = $credit_package->description;

						echo  RSDirectoryFieldHelper::showCustomField($credit_pack_field);
					}
					?>
						
				<?php } ?>
					
				<?php if ($this->payment_methods) { ?>

					<h4><?php echo JText::_('COM_RSDIRECTORY_PAYMENT_METHOD'); ?></h4>

					<?php
						foreach ($this->payment_methods as $i => $payment_method)
						{
							$payment_method_field 				= new stdClass();
							$payment_method_field->name 		= "payment_method";
							$payment_method_field->type 		= 'radio';
							$payment_method_field->class 		= 'rsdir-payment-method';
							$payment_method_field->id 			= 'payment_method-'.$this->escape($payment_method->value);
							$payment_method_field->label 		= '';
							$payment_method_field->has_options  = true;

							if (!empty($this->data['payment_method']))
							{
								$payment_method_field->value = $this->data['payment_method'];
							}
							else if (empty($this->data['payment_method']) && $i == 0)
							{
								$payment_method_field->value = $payment_method->value;
							}

							if (!isset($payment_method_field->values))
							{
								$payment_method_field->values = array();
							}

							$payment_method_field->values[] = $this->escape($payment_method->value).'|<strong>'.$this->escape($payment_method->text).'</strong>'.($payment_method->tax_text ? ' <span class="'.RsdirectoryAdapterGrid::badgeClass('warning').'">'.$this->escape( JText::sprintf('COM_RSDIRECTORY_TAX_TEXT', $payment_method->tax_text) ).'</span>' : '');

							if (isset($payment_method->banks) && !empty($payment_method->banks))
							{
								$selected_bank = (!empty($this->data['payment_method']) && $payment_method->value == $this->data['payment_method'] && isset($this->data['payment_method_bank'])) ? $this->data['payment_method_bank'] : array();

								// build the banks select for the payment method
								$payment_method_banks_field 			 = new stdClass();
								$payment_method_banks_field->type 		 = 'list';
								$payment_method_banks_field->name 		 = $this->escape($payment_method->value);
								$payment_method_banks_field->label 		 = JText::_('COM_RSDIRECTORY_PAYMENT_METHOD_SELECT_BANK');
								$payment_method_banks_field->has_options = true;

								if (!isset($payment_method_banks_field->values))
								{
									$payment_method_banks_field->values = array();
								}

								foreach ($payment_method->banks as $bank)
								{
									$payment_method_banks_field->values[] = $bank['id'].'|'.$bank['name'].((!empty($selected_bank) && $selected_bank[$payment_method->value] == $bank['id']) ? '[c]' : '');
								}

								$payment_method_banks_field = RSDirectoryFieldHelper::showCustomField($payment_method_banks_field, array(), 'payment_method_bank', true);

								$payment_method_banks_output = '<div id="'.$this->escape($payment_method->value).'_bank" class="rsdir-bank-selection" style="display:none"><hr/>'.$payment_method_banks_field->label.$payment_method_banks_field->input.'<hr/></div>';

								// add the select tot he control group of payment method
								$payment_method_field->group_additional = $payment_method_banks_output;
							}

							echo  RSDirectoryFieldHelper::showCustomField($payment_method_field);
						}
					?>

				<?php } ?>
					
				<table class="table">
					<tbody>
						<tr class="info">
							<th width="90%"><?php echo JText::_('COM_RSDIRECTORY_PRICE'); ?></th>
							<td class="buy-credits-price<?php echo (RSDirectoryHelper::isJ4() ? ' table-info' : '');?>"><?php echo $this->escape($this->price->price); ?></td>
						</tr>
						<tr class="info">
							<th><?php echo JText::_('COM_RSDIRECTORY_TAX'); ?></th>
							<td class="buy-credits-tax<?php echo (RSDirectoryHelper::isJ4() ? ' table-info' : '');?>"><?php echo $this->escape($this->price->tax); ?></td>
						</tr>
						<tr class="info">
							<th><?php echo JText::_('COM_RSDIRECTORY_TOTAL'); ?></th>
							<td<?php echo (RSDirectoryHelper::isJ4() ? ' class="table-info"' : '');?>>
								<strong class="buy-credits-total"><?php echo $this->escape($this->price->total); ?></strong>
							</td>
						</tr>
					</tbody>
				</table>
					
				<button class="btn btn-primary" type="submit"><?php echo JText::_('JSUBMIT'); ?></button>
				<div>
					<?php echo JHtml::_('form.token') . "\n"; ?>
					<input type="hidden" name="task" value="credits.purchase" />
					<?php echo empty($this->entry) ? '' : '<input type="hidden" name="jform[entry_id]" value="' . $this->entry->id . '" />'; ?>
				</div>
			</form>
			<?php } else { ?>
				<?php JFactory::getApplication()->triggerEvent('onRsdirectoryshowForm', $this->payment_form_data); ?>
			<?php } ?>
				
		</div>
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->