<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if (!RSDirectoryHelper::isJ4())
{
	JHtml::_('behavior.caption');
}

$params = $this->params;

?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<?php if (strlen($this->pageclass_sfx)) { ?>
		<div class="<?php echo $this->escape($this->pageclass_sfx); ?>">
		<?php } ?>
			<div class="<?php echo RsdirectoryAdapterGrid::column(12); ?>">
			<?php if ( $params->get('show_page_heading') ) { ?>
				<div class="page-header">
					<h1><?php echo $this->escape( $params->get('page_heading') ); ?></h1>
				</div>
			<?php } ?>

            <?php if ($params->get('use_alphabetical') && $this->letters) { ?>
                <div class="well well-large rsdir-letters">
                    <?php foreach ($this->letters as $letter => $link) { ?>
						<?php						
						$classes = array('alpha-link');
						if (!$link)
						{
							$classes[] = 'alpha-no-link';
						}
						if (strlen($this->currentLetter) && (string) $this->currentLetter === (string) $letter)
						{
							$classes[] = 'selected';
						}
						?>
						<div class="<?php echo implode(' ', $classes); ?>">
							<?php if ($link) { ?>
								<a href="<?php echo $link; ?>"><?php echo $this->escape(RSDirectoryHelper::mb_strtoupper($letter)); ?></a>
							<?php } else { ?>
								<?php echo $this->escape(RSDirectoryHelper::mb_strtoupper($letter)); ?>
							<?php } ?>
						</div>
                    <?php } ?>
					<?php if ($this->resetUrl) { ?>
						<div class="clearfix"></div>
						<a href="<?php echo JRoute::_($this->resetUrl, false); ?>" class="btn btn-danger <?php echo RsdirectoryAdapterGrid::float('right'); ?>"><?php echo JText::_('COM_RSDIRECTORY_ALPHABETICAL_RESET'); ?></a>
						<div class="clearfix"></div>
					<?php } ?>
                </div>
            <?php } ?>
				
			<?php if ( $params->get('show_ordering') ) { ?>
				<form id="adminForm" action="<?php echo $this->escape( JUri::getInstance()->toString() ); ?>" method="post">
					<fieldset class="control-group rsdir-filter-bar">
						<?php echo $this->sort_field; ?>
					</fieldset>
				</form>
			<?php } ?>
			
			<?php if (!$this->items) { ?>
				<div class="alert alert-info"><?php echo JText::_('COM_RSDIRECTORY_NO_ENTRIES_FOUND'); ?></div>	
			<?php } ?>

			<?php echo $this->loadTemplate('items'); ?>
			</div>
		<?php if (strlen($this->pageclass_sfx)) { ?>
		</div>
		<?php } ?>
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->