<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$columns = (int) $this->params->get('columns', 1); // Possible values: 1, 2, 3
$columns = $columns < 1 || $columns > 3 ? 1 : $columns;
$chunks  = is_array($this->items) ? array_chunk($this->items, $columns) : array();
$size    = 12 / $columns;
?>

<div class="rsdir-listings">
    <?php
    if ($this->items)
    {
		foreach ($chunks as $chunk => $items)
		{
			$num = count($items);
			if ($num == $columns) {
                $adjustedSize = $size;
            } else {
                $adjustedSize = round(12 / $num);
            }
			?>
			<div class="<?php echo RsdirectoryAdapterGrid::row(); ?> rsdir-<?php echo $columns; ?>-columns">
			<?php
			foreach ($items as $i => $item)
			{
				$this->item = $item;
				$this->published = $item->published && JFactory::getDate($item->published_time)->toUnix() <= JFactory::getDate()->toUnix();
				$this->expired = $item->expiry_time != '0000-00-00 00:00:00' && JFactory::getDate($item->expiry_time)->toUnix() < JFactory::getDate()->toUnix();
					
				$listing_class = array('rsdir-listing clearfix');
					
				if ($item->promoted)
				{
					$listing_class[] = 'rsdir-listing-promoted';
				}
					
				if (!$this->published)
				{
					$listing_class[] = 'rsdir-listing-unpublished';
				}
					
				if ($this->expired)
				{
					$listing_class[] = 'rsdir-listing-expired';
				}
				?>
				<div class="<?php echo RsdirectoryAdapterGrid::column($adjustedSize); ?>">
					<div class="<?php echo implode(' ', $listing_class); ?>">
						<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
						<?php
							
						// Get the listing url.
						$this->item_url = RSDirectoryRoute::getEntryURL($item->id, $item->title);
							
						// Get the title string.
						$this->title_str = $this->escape($item->title);

						$this->adjustedSize = $adjustedSize;
							
						if ($this->images_listing_detail_position == 'right')
						{
							echo $this->loadTemplate('details');
							echo $this->loadTemplate('thumbnail');
						}
						else
						{
							echo $this->loadTemplate('thumbnail');
							echo $this->loadTemplate('details');
						}
							
						?>
						</div>
					</div><!-- .rsdir-listing -->
				</div><!-- .span -->
				<?php 
			}
			?>
			</div><!-- .row-fluid -->
			<?php
		}
    }
    ?>
</div>

<?php $pagesTotal = isset($this->pagination->pagesTotal) ? $this->pagination->pagesTotal : $this->pagination->get('pages.total'); ?>
<?php if ( $this->params->def('show_pagination', 2) == 1  || ( $this->params->get('show_pagination') == 2 && $pagesTotal > 1 ) ) { ?>
<div class="pagination">
        
    <?php if ( $this->params->def('show_pagination_results', 1) ) { ?>
    <p class="counter <?php echo RsdirectoryAdapterGrid::float('right'); ?>">
        <?php echo $this->pagination->getPagesCounter(); ?>
    </p>
    <?php  } ?>
        
    <?php echo $this->pagination->getPagesLinks(); ?>
</div>
<?php } ?>