<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$images_field = RSDirectoryHelper::findFormField('images', $this->form_fields);

if ( empty($this->images) || !$images_field )
	return;

$config = $this->config;

// Add Magnific Popup script for gallery
RSDirectoryHelper::loadMagnificPopup();
?>

<div id="rsdir-gallery" class="<?php echo RsdirectoryAdapterGrid::column(4); ?>">
    <div class="thumbnails" style="max-width: <?php echo $this->escape( $config->get('big_thumbnail_width') ); ?>px;">
            
		<div id="rsdir-big-thumbs">
		<?php
		// Display the big thumbs.
		foreach ($this->images as $i => $image)
		{
			$src = RSDirectoryHelper::getImageURL($image->hash, 'big');
				
			?>    
				
			<div class="thumbnail<?php echo $i ? ' hidden-desktop hidden-tablet d-sm-block d-md-none' : ''; ?>">
				<a class="rsdir-img" href="<?php echo RSDirectoryHelper::getImageURL($image->hash); ?>">
					<img<?php echo RSDirectoryHelper::isJ4() ? ' class="img-thumbnail"' : ''; ?> src="<?php echo $src; ?>" alt="<?php echo $this->escape($image->original_file_name); ?>" />
				</a>
			</div>
				
			<?php
		}
		?>
		</div><!-- #rsdir-big-thumbs -->
			
		<?php
		// Display the small thumbs only if there are at least 2.
		if ( isset($this->images[1]) )
		{
		?>
		<div id="rsdir-small-thumbs" class="mt-2">
			<div class="<?php echo RsdirectoryAdapterGrid::row(); ?> hidden-phone d-none d-sm-none d-md-flex">
			<?php
			foreach ($this->images as $i => $image)
			{
				if ($i % 4 == 0)
				{
					?>
					</div>
					<div class="<?php echo RsdirectoryAdapterGrid::row(); ?> hidden-phone d-none d-sm-none d-md-flex">
					<?php
				}
					
				$src = RSDirectoryHelper::getImageURL($image->hash, 'small');
					
				?>
					
				<div class="thumbnail <?php echo RsdirectoryAdapterGrid::column(3, 'col-3'); ?>" style="max-width: <?php echo $this->escape( $config->get('small_thumbnail_width') ); ?>px;">
					<img<?php echo RSDirectoryHelper::isJ4() ? ' class="img-thumbnail"' : ''; ?> src="<?php echo $src; ?>" alt="<?php echo $this->escape($image->original_file_name); ?>" />
				</div>
					
				<?php
			}
			?>
			</div>
		</div><!-- #rsdir-small-thumbs -->
		<?php } ?>
            
    </div><!-- .thumbnails -->
		
	<?php if ( empty($this->print) && !empty($this->contact) ) { ?>
	<div class="rsdir-contact-wrapper">
		<?php echo $this->contact; ?>
	</div>
	<?php } ?>
</div><!-- #rsdir-gallery -->