<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$enable_owner_reply = RSDirectoryConfig::getInstance()->get('enable_owner_reply');
$created_time 		= RSDirectoryHelper::formatDate($this->review->created_time);;

$email	= $this->review->author_email ? $this->review->author_email : $this->review->email;
$name	= $this->review->author_name ? $this->review->author_name : $this->review->name;
?>
<div class="rsdir-review media" data-review-id="<?php echo $this->review->id; ?>">
	<img class="thumbnail <?php echo (RSDirectoryHelper::isJ4() ? 'float-start me-2' : 'pull-left');?> media-object" src="https://gravatar.com/avatar/<?php echo hash('md5', $email); ?>" alt="<?php echo $this->escape($name); ?>" />
	<div class="media-body">
		<?php if (!empty($this->review->subject)) { ?>
			<h5 class="media-heading"><?php echo $this->escape($this->review->subject); ?></h5>
		<?php } ?>
		<div class="rsdir-detail-rating-wrapper control-group">
		<?php
			if ( trim($created_time) )
			{
				if ( RSDirectoryConfig::getInstance()->get('date_and_time_display') == 'human_readable' )
				{
					if (empty($name)) {
						echo JText::sprintf( 'COM_RSDIRECTORY_LISTING_META_AUTHOR_TIME_SINCE_NONAME', $created_time );
					} else {
						echo JText::sprintf( 'COM_RSDIRECTORY_LISTING_META_AUTHOR_TIME_SINCE', $this->escape($name), $created_time );
					}
				}
				else
				{
					if (empty($name)) {
						echo JText::sprintf('COM_RSDIRECTORY_LISTING_META_AUTHOR_TIME_NONAME', $created_time);
					} else {
						echo JText::sprintf('COM_RSDIRECTORY_LISTING_META_AUTHOR_TIME', $this->escape($name), $created_time);
					}
				}
			}
			else
			{
			   if (empty($name)) {
					echo JText::_('COM_RSDIRECTORY_LISTING_META_AUTHOR_NOW_NONAME');
				} else {
					echo JText::sprintf('COM_RSDIRECTORY_LISTING_META_AUTHOR_NOW', $this->escape($name));
				}
			}

			if ($this->review->score)
			{
			   echo ' | ' . JText::_('COM_RSDIRECTORY_RATING_LABEL');
			   echo '<div class="rsdir-detail-rating" data-rating="' . $this->escape($this->review->score) . '"></div>';
			}
		?>
        </div>
        <p class="rsdir-review-body"><?php echo nl2br( $this->escape($this->review->review) ); ?></p>
		<?php
        if ( trim($this->review->owner_reply) )
        {
			$this->owner_reply = $this->review->owner_reply;
			echo $this->loadTemplate('owner_reply');
        }
		?>
		
        <?php 
			if ($enable_owner_reply && JFactory::getUser()->id == $this->review->entry_author_id) {
		?>
				<div class="clearfix">
				<a class="rsdir-edit-owner-reply btn <?php echo (RSDirectoryHelper::isJ4() ? ' btn-secondary float-end' : 'pull-right'); ?><?php echo ($this->config->get('use_magnific_popup', '0') ? ' is-magnific' : ''); ?>" data-iframe-src="<?php echo RSDirectoryRoute::getURL('ownerreply', '', 'review_id='.$this->review->id.'&tmpl=component'); ?>"><?php echo JText::_( trim($this->review->owner_reply) ? 'COM_RSDIRECTORY_EDIT_OWNER_REPLY' : 'COM_RSDIRECTORY_ADD_OWNER_REPLY' ); ?></a>
				</div>
        <?php } ?>
	</div>
</div>
<hr class="rsdir-sep" />