<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if ($this->print)
    return;

// Display the reviews list.
if ($this->enable_reviews)
{
    $config = $this->config;
        
    ?>
    <div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<div class="<?php echo RsdirectoryAdapterGrid::column(12); ?>">
			<h4 id="reviews" class="rsdir-detail-section-title"><?php echo JText::_('COM_RSDIRECTORY_REVIEWS'); ?></h4>

			<div id="reviews-list">
			<?php
			if ($this->reviews)
			{
				foreach ($this->reviews as $review)
				{
					$this->review = $review;
					echo $this->loadTemplate('review');
				}

				if ($this->load_more)
				{
					?>

					<div class="rsdir-load-more">
						<div class="btn btn-primary"><?php echo JText::_('COM_RSDIRECTORY_SHOW_MORE'); ?></div>
						<img class="rsdir-loader hide" src="<?php echo JUri::root(true); ?>/media/com_rsdirectory/images/loader.gif" width="16" height="16" alt="<?php echo JText::_('COM_RSDIRECTORY_SHOW_MORE'); ?>" />
					</div>

					<?php
				}
			}
			else
			{
			?>
				<p id="no-reviews"><?php echo JText::_('COM_RSDIRECTORY_NO_REVIEWS'); ?></p>
			<?php } ?>
			</div>

			<?php

			if ( $this->entry->user_id == $this->user->id && $config->get('enable_owner_reply') )
			{
			?>
				<?php if ($config->get('use_magnific_popup', '0')) { ?>
					<div id="rsdir-owner-reply-magnific-popup" class="rsdir-owner-reply-magnific-popup mfp-hide">
						<div class="magnific-header">
							<h3 id="rsdir-owner-reply-header"></h3>
						</div>
						<div class="magnific-popup-body">
							<iframe style="height: <?php echo $this->escape($this->config->get('owner_reply_modal_body_height', 600)) ;?>px;"></iframe>
						</div>
						<div class="magnific-popup-footer">
							<button class="btn btn-primary"><?php echo JText::_('JSUBMIT'); ?></button>
						</div>
						<button title="<?php echo JText::_('COM_RSDIRECTORY_CLOSE'); ?>" type="button" class="mfp-close">&times;</button>
					</div>
				<?php
			}
			else
			{
					echo JHtml::_('bootstrap.renderModal',
						'rsdir-owner-reply-modal',
						array(
							'title'       => '',
							'height'      => 500,
							'backdrop'    => 'static',
							'closeButton' => true,
							'bodyHeight'  => $config->get('owner_reply_modal_body_height_bootstrap', 60),
							'modalWidth'  => 50,
							'footer'      => '<button class="btn btn-secondary" data-'.(RSDirectoryHelper::isJ4() ? 'bs-' : '').'dismiss="modal" aria-hidden="true">'.JText::_('COM_RSDIRECTORY_CLOSE').'</button><button class="btn btn-primary" type="button">'.JText::_('JSUBMIT').'</button>'
						),
						'<iframe></iframe>'
					);
				}
			}
			?>
		</div>
	</div>
<?php
}
    
// Display the review/rating form.
if ( $this->can_vote_own_entry && ( ($this->enable_reviews && $this->can_post_reviews) || ($this->enable_ratings && $this->can_cast_votes) ) )
{
	?>
	 <div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<div class="<?php echo RsdirectoryAdapterGrid::column(12); ?>">
			<?php
			if (!$this->has_review)
			{
				if ($this->enable_reviews && $this->can_post_reviews)
				{
					?>

					<form id="rsdir-review-form" action="#" method="post">

						<?php if ($this->enable_ratings && $this->can_cast_votes) {
							RSDirectoryHelper::loadRaty('.rsdir-rate-entry', array('scoreName' => 'jform[score]', 'readOnly' => 'false'));
						?>
						<div class="control-group">
							<label><?php echo JText::_('COM_RSDIRECTORY_RATE_THIS'); ?></label>
							<div class="rsdir-rate-entry"></div>
						</div>
						<?php } ?>

						<?php if ($this->user->guest) { ?>

							<?php if ($this->directory_config->get('enable_reviews_name', 1)) { ?>
								<div class="control-group">
									<label for="jform_name"<?php echo RsdirectoryAdapterGrid::formLabel(true); ?>><?php echo JText::_('COM_RSDIRECTORY_NAME'); ?></label>
									<input type="text" name="jform[name]" id="jform_name"<?php echo RsdirectoryAdapterGrid::formControl(true); ?> />
								</div>
							<?php } ?>
							<?php if ($this->directory_config->get('enable_reviews_email', 1)) { ?>
								<div class="control-group">
									<label for="jform_email"<?php echo RsdirectoryAdapterGrid::formLabel(true); ?>><?php echo JText::_('COM_RSDIRECTORY_EMAIL'); ?></label>
									<input type="text" name="jform[email]" id="jform_email"<?php echo RsdirectoryAdapterGrid::formControl(true); ?> />
								</div>
							<?php } ?>
						<?php } ?>

						<?php if ($this->directory_config->get('enable_reviews_subject', 1)) { ?>
							<div class="control-group">
								<label for="jform_subject"<?php echo RsdirectoryAdapterGrid::formLabel(true); ?>><?php echo JText::_('COM_RSDIRECTORY_SUBJECT'); ?></label>
								<input type="text" name="jform[subject]" id="jform_subject"<?php echo RsdirectoryAdapterGrid::formControl(true); ?> />
							</div>
						<?php } ?>
						<div class="control-group">
							<label for="jform_review"<?php echo RsdirectoryAdapterGrid::formLabel(true); ?>><?php echo JText::_('COM_RSDIRECTORY_REVIEW'); ?></label>
							<textarea class="<?php echo !RSDirectoryHelper::isJ4() ? 'input-xxlarge' : '' ?><?php echo RsdirectoryAdapterGrid::formControl(); ?>" cols="60" rows="10" name="jform[review]" id="jform_review"></textarea>
						</div>
						<?php

							if ($this->review_captcha) {
								echo RSDirectoryHelper::buildCaptcha('review', '<div class="control-group"><label>'.JText::_('COM_RSDIRECTORY_CAPTCHA_LABEL').'</label>%s</div>');
							}
						?>


						<?php if ($this->use_consent_review) { ?>
							<div class="control-group">
								<?php
								$label = '<label class="'.(RSDirectoryHelper::isJ4() ? 'form-check-label' : 'checkbox').'" for="submit_consent">{rsdir_radio} &nbsp;'.JText::_('COM_RSDIRECTORY_CONSENT_DEFAULT_SUBMIT').'</label>';
								$input = '<input type="checkbox"'.(RSDirectoryHelper::isJ4() ? ' class="form-check-input"' : '').' id="submit_consent" value="1" name="i_consent_to_privacy_policy_and_submit_my_details"/>';

								echo RsdirectoryAdapterGrid::checkbox($input, $label);
								?>
							</div>
						<?php } ?>

						<div class="clearfix">
							<img id="rsdir-review-loader" class="hide" src="<?php echo JUri::root(true); ?>/media/com_rsdirectory/images/loader.gif" width="16" height="16" alt="<?php echo JText::_('COM_RSDIRECTORY_SHOW_MORE'); ?>" />
							<button id="rsdir-review-submit" class="btn btn-primary"><?php echo JText::_('JSUBMIT'); ?></button>
						</div>

						<?php echo JHtml::_('form.token') . "\n"; ?>
						<input type="hidden" name="jform[entry_id]" value="<?php echo $this->entry->id; ?>" />

					</form>

					<?php
				}
				else if ($this->enable_ratings && $this->can_cast_votes)
				{
					RSDirectoryHelper::loadRaty('.rsdir-rate-entry', array('scoreName' => 'jform[score]', 'readOnly' => 'false'));
					?>

					<form id="rsdir-review-form" class="rsdir-rating-form" action="#" method="post">
						<label><?php echo JText::_('COM_RSDIRECTORY_RATE_THIS'); ?></label>
						<div class="rsdir-rate-entry"></div>
						<img id="rsdir-review-loader" class="hide" src="<?php echo JUri::root(true); ?>/media/com_rsdirectory/images/loader.gif" width="16" height="16" alt="<?php echo JText::_('COM_RSDIRECTORY_RATE_THIS'); ?>" />
						<div>
							<?php echo JHtml::_('form.token') . "\n"; ?>
							<input type="hidden" name="jform[entry_id]" value="<?php echo $this->entry->id; ?>" />
						</div>
					</form>

					<?php
				}
			}
			else if (!$this->has_posted_review)
			{
				?>

				<div class="alert alert-info">
					<?php echo JText::_('COM_RSDIRECTORY_REVIEW_AWAITING_MODERATION'); ?>
				</div>

				<?php
			}
			?>
		</div>
	</div>
	<?php
}