<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');

?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row()?>">
		<div class="item-page <?php echo !empty($this->pageclass_sfx) ? htmlspecialchars($this->pageclass_sfx) : ''; ?>">
				
			<?php if ( !empty($this->params) ) { ?> 
				<?php if ( $this->params->get('show_page_heading') ) { ?>
				<div class="page-header">
					<h1><?php echo $this->escape( $this->params->get('page_heading') ); ?></h1>
				</div>
				<?php } ?>
			<?php } ?>
				
			<?php if ($this->display_form && $this->form && !$this->user->id) { ?>
			<?php if ($this->params->get('display_login_form', 1)) { ?>
			<div class="alert alert-info">
				<?php echo JText::_('COM_RSDIRECTORY_ENTRY_GUEST'); ?>
			</div>
				
			<form action="<?php echo JRoute::_( 'index.php', true, false ); ?>" method="post">
				<fieldset>
					<legend><?php echo JText::_('COM_RSDIRECTORY_LOGIN_FORM'); ?></legend>
					<?php
					$login_form = RSDirectoryHelper::getLoginForm();
					if (!empty($login_form))
					{
						foreach ($login_form->getFieldsets() as $fieldset)
						{

							if ($fields = $login_form->getFieldset($fieldset->name))
							{
								foreach ($fields as $field)
								{
									echo $field->renderField();
								}
							}
						}
					}
					?>
					<button type="submit" class="btn btn-primary"><?php echo JText::_('JLOGIN'); ?></button>
				</fieldset>
				<div>
					<input type="hidden" name="option" value="com_users" />
					<input type="hidden" name="task" value="user.login" />
					<input type="hidden" name="return" value="<?php echo base64_encode($this->login_return);?>" />
					<?php echo JHtml::_('form.token'); ?>
				</div>
			</form>
			<?php } ?>
			<?php } ?>
				
			<form id="adminForm" action="<?php echo htmlspecialchars( JUri::getInstance()->toString() ); ?>" method="post" enctype="multipart/form-data">
					
				<div class="clearfix">
						
					<?php
						
					if ($this->display_form)
					{
						echo $this->loadTemplate('form');
					}
					else
					{
						echo $this->loadTemplate('category');
					}
						
					?>
						
					<div>
						<?php echo JHtml::_('form.token') . "\n"; ?>
					</div>
						
				</div><!-- .clearfix -->
					
			</form>
				
		</div><!-- .item-page -->
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->