<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if ($this->form)
{

	JText::script('COM_RSDIRECTORY_NUMBER_OF_DAYS_1');
	JText::script('COM_RSDIRECTORY_NUMBER_OF_DAYS');
	JText::script('COM_RSDIRECTORY_NUMBER_OF_CREDITS_1');
	JText::script('COM_RSDIRECTORY_NUMBER_OF_CREDITS');

	if (!$this->user->id)
	{
		?>

		<fieldset id="rsdir-reg-fields">
			<legend><?php echo JText::_('COM_RSDIRECTORY_USER_DETAILS'); ?></legend>

			<?php RSDirectoryFormField::outputRegFields(); ?>
		</fieldset>

		<fieldset id="rsdir-details-fields">
		<legend><?php echo JText::_('COM_RSDIRECTORY_ENTRY_DETAILS'); ?></legend>

		<?php
	}

	?>

	<?php
	if ($this->can_change_category)
	{
		echo $this->jform->getField('category_id')->renderField();
	}
	?>

	<?php

	$break_type = $this->config->get('break_type');

	if ($break_type == 'column_break')
	{
		echo $this->loadTemplate('column_break');
	}
	else if ($break_type == 'section_break')
	{
		echo $this->loadTemplate('section_break');
	}
	else if ($break_type == 'tab_break')
	{
		echo $this->loadTemplate('tab_break');
	}

	if ( empty($this->can_edit_all_entries) )
	{
	?>
		<?php if ($this->creditRequirementForm) { ?>
			<?php if (!empty($this->user->id)) { ?>
				<div class="rsdir-field-wrapper alert alert-info clearfix">
					<?php echo JText::sprintf('COM_RSDIRECTORY_TOTAL_CREDITS_WITH_AVAILABLE', '<span class="rsdir-total-credits">0</span>', '<span class="rsdir-available-credits">'.$this->user_credits.'</span>'); ?>
				</div>
			<?php } else { ?>
				<div class="rsdir-field-wrapper alert alert-info clearfix">
					<?php echo JText::sprintf('COM_RSDIRECTORY_TOTAL_CREDITS', '<span class="rsdir-total-credits">0</span>'); ?>
				</div>
			<?php } ?>
		<?php } ?>

		<?php
			if ( isset($this->entry) && empty($this->entry->paid) )
			{
				$finalize_field 					= new stdClass();
				$finalize_field->name 				= "fields[finalize]";
				$finalize_field->forcename 			= "fields[finalize]";
				$finalize_field->type 				= 'checkboxes';
				$finalize_field->controlgroupclass 	= 'finalize-confirm-label hide';
				$finalize_field->id 				= 'finalize-confirm';
				$finalize_field->label 				= '';
				$finalize_field->has_options  		= true;
				$finalize_field->values  			= array('1|'.JText::sprintf('COM_RSDIRECTORY_FINALIZE_CONFIRM_LABEL', '<span class="rsdir-total-credits">0</span>'));

				echo RSDirectoryFieldHelper::showCustomField($finalize_field);
			}
		?>

	<?php
	}
	else
	{

		echo $this->jform->getField('published_time')->renderField();

		if ($this->can_edit_all_entries && isset($this->entry) && $this->entry->user_id != $this->user->id)
		{
			$promoted_expiry = $this->jform->getField('promoted_expiry')->renderField(array('class'=>'rsdir-promoted-expiry'));
			if (($this->has_promoted && !empty($this->entry) && $this->entry->promoted))
			{
				echo $promoted_expiry;
			}
			else
			{
				echo str_replace('rsdir-promoted-expiry"', 'rsdir-promoted-expiry" style="display:none"', $promoted_expiry);
			}
		}

		echo $this->jform->getField('published')->renderField();

		if (isset($this->entry) && $this->entry->user_id != $this->user->id)
		{
			echo $this->jform->getField('charge')->renderField();
		}
	}

	if ( empty($this->entry) )
	{
		echo RSDirectoryFormField::getCaptchaField();
	}

	?>

	<div class="insufficient-credits alert alert-warning hide">
		<?php echo JText::_('COM_RSDIRECTORY_INSUFFICIENT_CREDITS_WARNING'); ?>
		<br />
	</div>

	<?php if($this->show_submit) { ?>
		<?php
			if ($this->use_consent)
			{
				$consent_field 					= new stdClass();
				$consent_field->name 				= "i_consent_to_privacy_policy_and_submit_my_details";
				$consent_field->forcename 			= "i_consent_to_privacy_policy_and_submit_my_details";
				$consent_field->type 				= 'checkboxes';
				$consent_field->controlgroupclass 	= ($this->consent_has_error ? 'error' : '');
				$consent_field->id 					= 'submit_consent';
				$consent_field->label 				= '';
				$consent_field->has_options  		= true;
				$consent_field->values  			= array('1|'.JText::_('COM_RSDIRECTORY_CONSENT_ENTRY_SUBMIT'));

				if (!empty($this->entry) || !empty($this->consent_is_checked))
				{
					$consent_field->value = 1;
				}

				echo RSDirectoryFieldHelper::showCustomField($consent_field);
			}
		?>

		<button<?php echo empty($this->can_edit_all_entries) ? ' id="rsdir-check-credits"' : ($this->use_ajax_validation ? '': ' onclick="Joomla.submitbutton(\'entry.save\');"'); ?> class="btn btn-primary<?php echo ($this->use_ajax_validation ? ' rsdir-form-validate': '');?>" type="button"><?php echo JText::_('JSUBMIT'); ?></button>
		<button class="insufficient-credits btn btn-primary hide" onclick="Joomla.submitbutton('entry.saveAndBuyCredits')" type="button"><?php echo JText::_('COM_RSDIRECTORY_BUY_CREDITS'); ?></button>
	<?php } ?>

	<?php if ( !empty($this->entry) ) { ?>
		<button class="btn" onclick="Joomla.submitbutton('entry.back')" type="button"><?php echo JText::_('COM_RSDIRECTORY_BACK'); ?></button>
	<?php } ?>
	<img class="rsdir-form-loader hide" src="<?php echo JUri::root(true); ?>/media/com_rsdirectory/images/loader.gif" alt="" width="16" height="11" />

	<?php if (!$this->user->id) { ?>
		</fieldset>
	<?php } ?>

<?php
}
else
{
?>
	<p><?php echo JText::_('COM_RSDIRECTORY_NO_FORM_ASSOCIATED_ERROR'); ?></p>
<?php
}
?>

<div>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="fields[id]" value="<?php echo empty($this->entry) ? 0 : $this->entry->id; ?>" />
</div>