<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if (!$this->form_fields)
    return;

    
$entry = isset($this->entry) ? $this->entry : null;
$entry_credits = $this->entry_credits;

$rstabs = new RsdirectoryAdapterTabs('com-rsdirectory-entry');


// Initialize the tabs array.
$tabs = array();

// Initialize the index.
$index = -1;

foreach ($this->form_fields as $form_field)
{
    if ($form_field->field_type == 'section_break')
    {
		$index++;
			
		$tabs[$index] = (object)array(
			'title' => $form_field->properties->get('form_caption'),
			'id' => "tab$form_field->id",
			'content' => '',
		);
			
		continue;
    }
        
    if ($index > -1)
    {
        $tabs[$index]->content .= RSDirectoryFormField::getInstance($form_field, $entry, $entry_credits)->generate($this->form->id);
    }
    else
    {
        echo RSDirectoryFormField::getInstance($form_field, $entry, $entry_credits)->generate($this->form->id);
    }
}

if ($tabs)
{
    echo '<div class="rsdir-tabs">';
        
    foreach ($tabs as $tab)
    {
		$rstabs->addTitle($tab->title, $tab->id);
		$rstabs->addContent($tab->content);
    }
        
    // Render the tabs.
    $rstabs->render();
       
    echo '</div><!-- .rsdir-tabs -->';
}