<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$config = $this->config;

?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row().(RSDirectoryHelper::isJ4() ? ' gx-0' : ''); ?> ">
		<form action="<?php echo htmlspecialchars( JUri::getInstance()->toString() ); ?>" method="post" class="rsdir-iframe-form">
			<?php
			foreach ( $this->form->getFieldset('general') as $field )
			{
				if ( in_array($field->fieldname, $this->skipped_fields) )
				{
					continue;
				}
					
				// Add a mark to the message label if it is required.
				if ( $field->fieldname == 'message' && in_array('reason', $this->skipped_fields) )
				{
					$this->form->setFieldAttribute('message', 'required', 'true');

				}
				echo $this->form->renderField($field->fieldname);
			}
			?>

			<?php echo RSDirectoryHelper::buildCaptcha('report'); ?>

			<?php
			if ($this->use_consent)
			{
				$consent_field 					= new stdClass();
				$consent_field->name 			= "i_consent_to_privacy_policy_and_submit_my_details";
				$consent_field->forcename 		= "i_consent_to_privacy_policy_and_submit_my_details";
				$consent_field->type 			= 'checkboxes';
				$consent_field->id 				= 'submit_consent';
				$consent_field->label 			= '';
				$consent_field->has_options  	= true;
				$consent_field->values  		= array('1|'.JText::_('COM_RSDIRECTORY_CONSENT_DEFAULT_SUBMIT'));


				echo RSDirectoryFieldHelper::showCustomField($consent_field);
				}
			?>
				
			<div>
				<input type="hidden" name="jform[entry_id]" value="<?php echo $this->entry_id; ?>" />
				<?php echo JHtml::_('form.token') . "\n"; ?>
				<input type="hidden" name="task" value="entryreport.save" />
			</div>
				
		</form>
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->