<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$params = $this->params;
$field = $this->field;

?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<div class="<?php echo $this->pageclass_sfx;?>">
				
			<?php if ( $params->get('show_page_heading') ) { ?>
				<div class="page-header">
					<h1><?php echo $this->escape( $params->get('page_heading') ); ?></h1>
				</div>
			<?php } ?>
				
			<?php
				
			if ( $params->get('show_description') )
			{
				echo $params->get('description');
			}
				
			if ($this->items)
			{
				$span = ( 12 / $params->get('num_columns', 3) );
					
				?>
					
				<div class="rsdir-categories-list">
					
				<?php foreach ($this->items as $row) { ?>
						
					<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
						
					<?php foreach ($row as $item) { ?>
							
						<div class="<?php echo RsdirectoryAdapterGrid::column($span); ?>">
								
							<div class="media">
									
								<div class="media-body">
									<?php if (is_array($item)) { ?>
										<?php foreach($item as $group => $elements) { ?>
											<h5 class="media-heading"><?php echo $this->escape($group); ?></h5>
												<div class="media">
													<div class="media-body">
													<?php foreach($elements as $element) { ?>
														<h5 class="media-heading">
															<?php
															$uri = new JUri( JRoute::_( "index.php?option=com_rsdirectory&view=entries" . ($this->Itemid ? "&Itemid=$this->Itemid" : '') ) );
															$uri->setVar( "f[$field->form_field_name]", urlencode($element->value) );
															?>
															<a href="<?php echo htmlspecialchars( $uri->toString() ); ?>"><?php echo $this->escape($element->text); ?></a>
															<?php echo $params->get('num_entries') ? ' (' . $element->entries_count . ')' : ''; ?>
														</h5>

														<?php if ($params->get('show_subcategories',1)) { ?>
															<?php RSDirectoryHelper::outputDependenciesChildHTML($element->parent, $element->value, $params, $this->Itemid); ?>
														<?php } ?>
													<?php } ?>
													</div>
												</div>
										<?php } ?>
									<?php } else { ?>
										<h5 class="media-heading">
											<?php
											$uri = new JUri( JRoute::_( "index.php?option=com_rsdirectory&view=entries" . ($this->Itemid ? "&Itemid=$this->Itemid" : '') ) );
											$uri->setVar( "f[$field->form_field_name]", urlencode($item->value) );
											?>
											<a href="<?php echo htmlspecialchars( $uri->toString() ); ?>"><?php echo $this->escape($item->text); ?></a>
											<?php echo $params->get('num_entries') ? ' (' . $item->entries_count . ')' : ''; ?>
										</h5>

										<?php if ($params->get('show_subcategories',1)) { ?>
										<?php RSDirectoryHelper::outputDependenciesChildHTML($item->parent, $item->value, $params, $this->Itemid); ?>
										<?php } ?>
									<?php } ?>
								</div>
							</div>
								
						</div>
							
					<?php } ?>
						
					</div>
						
				<?php } ?>
					
				</div><!-- .rsdir-categories-list -->
					
			<?php } ?>
				
		</div>
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->