<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Fields List view.
 */
class RSDirectoryViewList extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * 
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
		$state = $this->get('State');
			
		// Get the page/component configuration.
		$params = $state->params;
			
		// Get the field id.
		$id =  JFactory::getApplication()->input->getInt('id');
			
		$field = RSDirectoryHelper::getField($id);
			
		if (!$field)
		{
			throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
		}
			
		$this->params = $params;
		$this->pageclass_sfx = htmlspecialchars( $params->get('pageclass_sfx') );
		$this->items = $this->get('Items');
		$this->Itemid = $this->params->get('itemid');
		$this->id = $id;
		$this->field = $field;

		$this->prepareDocument();

		parent::display($tpl);
	}

	protected function prepareDocument() {
		$app = JFactory::getApplication();

		// Description
		if ($this->params->get('menu-meta_description')) {
			$this->document->setDescription($this->params->get('menu-meta_description'));
		}

		// Keywords
		if ($this->params->get('menu-meta_keywords')) {
			$this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		}

		// Robots
		if ($this->params->get('robots')) {
			$this->document->setMetadata('robots', $this->params->get('robots'));
		}

		// Add meta information from category, if one has been requested
		if (!empty($this->category)) {
			if (!empty($this->category->meta_description)) {
				$this->document->setMetaData('description', $this->category->meta_description);
			}
			if (!empty($this->category->meta_keywords)) {
				$this->document->setMetaData('keywords', $this->category->meta_keywords);
			}
		}

		// Add site name
		$title = $this->params->get('page_title', '');

		// Check for empty title and add site name if param is set
		if (empty($title))
		{
			$title = $app->get('sitename');
		}
		elseif ($app->get('sitename_pagetitles', 0) == 1)
		{
			$title = JText::sprintf('JPAGETITLE', $app->get('sitename'), $title);
		}
		elseif ($app->get('sitename_pagetitles', 0) == 2)
		{
			$title = JText::sprintf('JPAGETITLE', $title, $app->get('sitename'));
		}

		$this->document->setTitle($title);
	}
}