<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if (!RSDirectoryHelper::isJ4())
{
	JHtml::_('behavior.caption');
}

?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<div class="rsdir-tabs <?php echo $this->pageclass_sfx;?>">
			<?php if ( $this->params->get('show_page_heading') ) { ?>
			<div class="page-header">
				<h1><?php echo $this->escape( $this->params->get('page_heading') ); ?></h1>
			</div>
			<?php } ?>
				
			<?php if ( !JFactory::getApplication()->getMenu()->getActive() ) { ?>
			<div class="page-header">
				<h1><?php echo JText::_('COM_RSDIRECTORY_YOUR_ACCOUNT'); ?></h1>
			</div>
			<?php } ?>
				
			<?php
				
			// GENERAL.
			$this->rstabs->addTitle('COM_RSDIRECTORY_GENERAL', 'general');
			$this->rstabs->addContent( $this->loadTemplate('general') );
				
			// TRANSACTIONS.
			$this->rstabs->addTitle('COM_RSDIRECTORY_TRANSACTIONS', 'transactions');
			$this->rstabs->addContent( $this->loadTemplate('transactions') );
				
			// CREDITS HISTORY.
			$this->rstabs->addTitle('COM_RSDIRECTORY_CREDITS_HISTORY', JText::_('COM_RSDIRECTORY_SEF_MY_ACCOUNT_CREDITS_HISTORY'));
			$this->rstabs->addContent( $this->loadTemplate('credits_history') );

			if ($this->allow_self_anonymisation) {
				$this->rstabs->addTitle('COM_RSDIRECTORY_ANONYMISATION', 'anonymisation');
				$this->rstabs->addContent( $this->loadTemplate('anonymisation') );
			}
				
			// Render the tabs.
			$this->rstabs->render();
				
			?>
		</div>
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->