<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

?>

<table class="table table-striped">
    <thead>
		<tr>
			<th><?php echo JText::_('COM_RSDIRECTORY_VIEW'); ?></th>
			<?php if ($this->use_invoice) { ?>
				<th><?php echo JText::_('COM_RSDIRECTORY_INVOICE'); ?></th>
			<?php } ?>
			<th><?php echo JText::_('COM_RSDIRECTORY_TRANSACTION_DATE'); ?></th>
			<th class="hidden-phone d-none d-sm-table-cell"><?php echo JText::_('COM_RSDIRECTORY_CREDIT_PACKAGE'); ?></th>
			<th class="hidden-phone d-none d-sm-table-cell"><?php echo JText::_('COM_RSDIRECTORY_GATEWAY'); ?></th>
			<th class="hidden-phone d-none d-sm-table-cell"><?php echo JText::_('COM_RSDIRECTORY_ORDER_NUMBER'); ?></th>
			<th><?php echo JText::_('COM_RSDIRECTORY_TOTAL'); ?></th>
			<th class="hidden-phone d-none d-sm-table-cell"><?php echo JText::_('COM_RSDIRECTORY_CREDITS'); ?></th>
			<th class="hidden-phone d-none d-sm-table-cell"><?php echo JText::_('JSTATUS'); ?></th>
		</tr>
    </thead>
    <?php if ($this->transactions) { ?>
    <tbody>
		<?php foreach ($this->transactions as $transaction) { ?>
		<tr>
			<td><a href="<?php echo RSDirectoryRoute::getURL('transaction', '', "id=$transaction->id"); ?>" class="btn"><?php echo JText::_('COM_RSDIRECTORY_VIEW'); ?></a></td>
			<?php if ($this->use_invoice) { ?>
				<td><a href="<?php echo RSDirectoryRoute::getURL('transaction', 'view', "format=pdf&id=$transaction->id"); ?>" class="btn"><?php echo JText::_('COM_RSDIRECTORY_DOWNLOAD'); ?></a></td>
			<?php } ?>
			<td><?php echo RSDirectoryHelper::formatDate($transaction->date_created); ?></td>
			<td class="hidden-phone d-none d-sm-table-cell"><?php echo $this->escape($transaction->credit_title); ?></td>
			<td class="hidden-phone d-none d-sm-table-cell"><?php echo JText::_( 'COM_RSDIRECTORY_TRANSACTION_GATEWAY_' . strtoupper($transaction->gateway) ); ?></td>
			<td class="hidden-phone d-none d-sm-table-cell"><?php echo $transaction->gateway_order_number; ?></td>
			<td><?php echo RSDirectoryHelper::formatPrice($transaction->total); ?></td>
			<td class="hidden-phone d-none d-sm-table-cell"><?php echo $transaction->credits ? $this->escape($transaction->credits) : JText::_('COM_RSDIRECTORY_UNLIMITED'); ?></td>
			<td class="hidden-phone d-none d-sm-table-cell">
				<?php if ($transaction->status == 'finalized') { ?>
				<span class="<?php echo RsdirectoryAdapterGrid::badgeClass('success')?>"><?php echo JText::_( 'COM_RSDIRECTORY_TRANSACTION_STATUS_' . strtoupper($transaction->status) ); ?></span>
				<?php } else { ?>
				<span class="<?php echo RsdirectoryAdapterGrid::badgeClass('secondary')?>"><?php echo JText::_( 'COM_RSDIRECTORY_TRANSACTION_STATUS_' . strtoupper($transaction->status) ); ?></span>
				<?php } ?>
			</td>
		</tr>
		<?php } ?>
    </tbody>
    <?php } ?>
</table>