<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if (!RSDirectoryHelper::isJ4())
{
	JHtml::_('behavior.caption');
}

$params = $this->params;

?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<?php if (strlen($this->pageclass_sfx)) { ?>
		<div class="<?php echo $this->escape($this->pageclass_sfx); ?>">
		<?php } ?>
			<?php if ( $params->get('show_page_heading') ) { ?>
			<div class="page-header">
				<h1><?php echo $this->escape( $params->get('page_heading') ); ?></h1>
			</div>
			<?php } ?>
				
			<?php if ( !JFactory::getApplication()->getMenu()->getActive() ) { ?>
			<div class="page-header">
				<h1><?php echo JText::_('COM_RSDIRECTORY_YOUR_ENTRIES'); ?></h1>
			</div>
			<?php } ?>
			
			<?php if ( $params->get('show_ordering') ) { ?>
			<form id="adminForm" action="<?php echo $this->escape( JUri::getInstance()->toString() ); ?>" method="post">
				<fieldset class="control-group rsdir-filter-bar">
					<?php echo $this->sort_field; ?>
				</fieldset>
			</form>
			<?php } ?>
			
			<?php if (!$this->items) { ?>
				<div class="alert alert-info"><?php echo JText::_('COM_RSDIRECTORY_NO_MY_ENTRIES'); ?></div>	
			<?php } ?>

			<?php echo $this->loadTemplate('items'); ?>
		<?php if (strlen($this->pageclass_sfx)) { ?>
		</div>
		<?php } ?>
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->