<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$item = $this->item;
$form = $item->form;
$form_fields = $form->fields;

if ($form->listing_row_show_thumbnails || $form->listing_row_show_ratings || $form->listing_row_show_price)
{
    ?>
        
    <div class="<?php echo RsdirectoryAdapterGrid::column(3); ?> rsdir-listing-thumb-part">
		<div class="rsdir-listing-thumb-wrapper">
			<?php
				
			if ($form->listing_row_show_thumbnails)
			{
				if ( $images_field = RSDirectoryHelper::findFormField('images', $form_fields) )
				{
					// Get the images count.
					$image_count = empty($images_field->files) ? 0 : count($images_field->files);
						
					?>
						
					<div class="thumbnail" style="max-width: <?php echo $this->escape($this->width); ?>px;">
						<a href="<?php echo $this->item_url; ?>" title="<?php echo $this->title_str; ?>">
						<?php
						if ( empty($images_field->files) )
						{
							?>
							<i class="rsdir-no-image" style="height: <?php echo $this->escape($this->height); ?>px;"></i>    
							<?php
						}
						else
						{
							$src = RSDirectoryHelper::getImageURL($images_field->files[0]->hash, 'small');
								
							?>
							<img<?php echo RSDirectoryHelper::isJ4() ? ' class="img-thumbnail"' : ''; ?> src="<?php echo $src; ?>" alt="<?php echo $this->title_str; ?>" width="<?php echo $this->escape($this->width); ?>" height="<?php echo $this->escape($this->height); ?>" />
							<?php
						}
						?>
						</a>
						<?php if ($form->listing_row_show_images_number) { ?>
						<div class="rsdir-listing-images-count <?php echo RsdirectoryAdapterGrid::badgeClass('secondary');?>">
							<?php echo JText::plural('COM_RSDIRECTORY_NUMBER_OF_IMAGES', $image_count); ?>
						</div>
						<?php } ?>
					</div>
						
					<?php
				}
			}
			
			if ($form->listing_row_show_ratings)
			{
				RSDirectoryHelper::loadRaty('.rsdir-listing-rating');
				?>
					
				<div class="rsdir-listing-rating-wrap">
					<div class="rsdir-listing-rating" data-rating="<?php echo $item->avg_rating; ?>"><span><?php echo $item->avg_rating; ?></span></div>
					(<a href="<?php echo $this->item_url; ?>#reviews"><span><?php echo $item->ratings_count; ?></span></a>)
				</div>
					
				<?php
			}
				
			if ($form->listing_row_show_price)
			{
				if ( $price_field = RSDirectoryHelper::findFormField('price', $form_fields) )
				{
					?>
					<div class="rsdir-price-wrapper <?php echo RSDirectoryHelper::isJ4() ? 'card mb-3' : 'well well-small' ?> clearfix">
						<div class="rsdir-listing-price<?php echo RSDirectoryHelper::isJ4() ? ' card-body' : '' ?>">
							<i class="fa fa-tag"></i>
							<strong class="rsdir-listing-price-label hidden-phone hidden-tablet d-none d-md-inline-block">
								<?php echo $this->escape( $price_field->properties->get('listing_caption', JText::_('COM_RSDIRECTORY_LISTING_PRICE_LABEL')) ); ?>
							</strong>
							<?php echo RSDirectoryHelper::formatPrice($item->price); ?>
							<?php if ($item->expiry_time != '0000-00-00 00:00:00') { ?>
								<time datetime="<?php echo $this->escape($item->expiry_time); ?>"></time>
							<?php } ?>
						</div>
					</div>
					<?php
				}
			}
			
			if ($form->listing_row_show_favorites_button || $form->listing_row_show_entry_details_link) { ?>
			<div class="btn-group rsdir-details-container">
				<?php if ($form->listing_row_show_favorites_button) { ?>
					<a class="rsdir-entry-fav<?php echo $item->faved ? ' rsdir-entry-faved' : ''; ?> btn btn-light" data-entry-id="<?php echo $item->id; ?>" title="<?php echo JText::_($item->faved ? 'COM_RSDIRECTORY_ENTRY_REMOVE_FROM_FAVORITES' : 'COM_RSDIRECTORY_ENTRY_ADD_TO_FAVORITES'); ?>"><i class="<?php echo $item->faved ? 'fa fa-heart' : 'fa fa-heart-o'; ?>"></i></a>
				<?php } ?>
					
				<?php if ($form->listing_row_show_entry_details_link) { ?>
					<a class="btn btn-primary" href="<?php echo $this->item_url; ?>" title="<?php echo $this->title_str; ?>"><?php echo JText::_('COM_RSDIRECTORY_VIEW_DETAILS'); ?></a>
				<?php } ?>
			</div>
			<?php } ?>
				
		</div>
    </div>
        
<?php
}