<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

$params = $this->params;
$options = $this->options;

?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<div class="<?php echo htmlspecialchars($this->pageclass_sfx); ?>">
				
			<?php if ( $params->get('show_page_heading', 1) ) { ?>
				<div class="page-header">
					<h1><?php echo $this->escape( $params->get('page_heading') ); ?></h1>
				</div>
			<?php } ?>
				
			<form id="rsdir-radius-search" action="<?php echo htmlspecialchars( JUri::getInstance()->toString() ); ?>" method="post">
					
				<fieldset>
						
					<legend class="h2"><?php echo JText::_('COM_RSDIRECTORY_LOCATION'); ?></legend>
					<?php
						$location_field 			= new stdClass();
						$location_field->name 		= 'location';
						$location_field->forcename  = 'location';
						$location_field->type 		= 'text';
						$location_field->id 		= 'rsdir_location';
						$location_field->value  	= $this->escape($this->location);
						$location_field->label  	= JText::_('COM_RSDIRECTORY_LOCATION');
						$location_field->hint  		= JText::_('COM_RSDIRECTORY_LOCATION');
						$location_field->additional = 'autocomplete="off"';

						if (!RSDirectoryHelper::isJ4())
						{
							$location_field->class = 'input-xxlarge';
						}

						echo RSDirectoryFieldHelper::showCustomField($location_field);
					?>

					<div class="control-group clearfix">
						<?php
							$radius_field 			 = new stdClass();
							$radius_field->name 	 = 'radius';
							$radius_field->forcename = 'radius';
							$radius_field->type 	 = 'text';
							$radius_field->id 		 = 'rsdir_radius';
							$radius_field->class 	 = !RSDirectoryHelper::isJ4() ? 'input-mini' :'';
							$radius_field->value  	 = $this->escape($this->radius);
							$radius_field->label  	 = JText::_('COM_RSDIRECTORY_RADIUS');
							$radius_field->hint  	 = JText::_('COM_RSDIRECTORY_RADIUS');

							$radius_field = RSDirectoryFieldHelper::showCustomField($radius_field, array(), '', true);

							$units_field 			 	= new stdClass();
							$units_field->name 	 	 	= 'unit';
							$units_field->forcename  	= 'unit';
							$units_field->type 	 	 	= 'list';
							$units_field->id 		 	= 'rsdir_unit';
							$units_field->class 		= !RSDirectoryHelper::isJ4() ? 'input-mini' :'';
							$units_field->value  	 	= $this->escape($this->unit);
							$units_field->has_options  	= true;
							$units_field->label  	 	= '';
							$units_field->values  	 	= array('km' => JText::_('COM_RSDIRECTORY_KM'), 'mi' => JText::_('COM_RSDIRECTORY_MI'));

							$units_field = RSDirectoryFieldHelper::showCustomField($units_field, array(), '', true);

							if (RSDirectoryHelper::isJ4())
							{
								$radius_template = '[radius-label]<div class="input-group mb-3">[radius-input]<div class="input-group-text p-0">[radius-select]</div></div>';
							}
							else
							{
								$radius_template = '[radius-label][radius-input][radius-select]';
							}

							echo str_replace(array('[radius-label]', '[radius-input]', '[radius-select]'), array($radius_field->label, $radius_field->input, $units_field->input), $radius_template);
						?>
					</div>
						
				</fieldset>
					
				<?php if ( !empty($this->fields) ) { ?>
				<fieldset>
						
					<legend class="h3"><?php echo JText::_('COM_RSDIRECTORY_FILTERS'); ?></legend>
						
					<?php
					foreach ($this->fields as $field)
					{
						echo RSDirectoryFilter::getInstance($field, $options)->generate();
					}
					?>
				</fieldset>	
				<?php } ?>
					
				<div class="control-group">
					<button class="btn btn-primary" type="submit">
						<i class="fa fa-search"></i> <?php echo JText::_('COM_RSDIRECTORY_SEARCH'); ?>
					</button>
					<img class="loader hide" src="<?php echo JUri::root(true); ?>/media/com_rsdirectory/images/loader.gif" width="16" height="16" alt="" />
					<input type="hidden" name="option" value="com_rsdirectory" />
					<input type="hidden" name="task" value="radius.getDataAjax" />
					<?php echo JHtml::_('form.token'); ?>
					<?php if ($options) { ?>
					<?php foreach ($options as $name => $value) { ?>
					<input class="options" type="hidden" name="<?php echo RSDirectoryHelper::escapeHTML($name); ?>" value="<?php echo RSDirectoryHelper::escapeHTML($value); ?>" />
					<?php } ?>
					<?php } ?>
				</div>
					
			</form>
			<div id="rsdir-map-canvas" class="rsdir-map" style="width: <?php echo $this->width; ?>; height: <?php echo $params->get('height', 500); ?>px;"></div>
			<?php if ($this->params->get('display_results', 1)) { ?>
			<table class="table table-striped" style="display: none;">
				<thead>
				</thead>
				<tbody id="rsdir-map-results">
				</tbody>
			</table>
			<?php } ?>
		</div>
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->

<script type="text/javascript">
	var rsdir_use_geolocation = <?php echo $this->use_geolocation;?>;
</script>