<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');
?>
<div>
	<div class="rsdir-info-window media" style="width: <?php echo $this->width; ?>px; height: <?php echo $this->height; ?>px;">
		<?php if ( $this->params->get('show_thumbnails') ) { ?>
			<a class="thumbnail <?php echo RsdirectoryAdapterGrid::float('left');?>" href="<?php echo $this->url; ?>">
				<?php if ($this->thumbnail_url) { ?>
					<img class="media-object" src="<?php echo $this->thumbnail_url; ?>" alt="<?php echo $this->escape($this->entry->title); ?>" width="<?php echo $this->thumbnails_width; ?>" height="<?php echo $this->thumbnails_height; ?>" />
				<?php } else { ?>
					<i class="rsdir-no-image" style="width: <?php echo $this->thumbnails_width; ?>px; height: <?php echo $this->thumbnails_height; ?>px;"></i>
				<?php } ?>
			</a>
		<?php } ?>
		<div class="media-body<?php echo RSDirectoryHelper::isJ4() ? ' ps-2' : ''; ?>">

			<?php if ( $this->params->get('show_price') ) { ?>
				<div class="<?php echo RsdirectoryAdapterGrid::badgeClass('success');?>"><?php echo RSDirectoryHelper::formatPrice($this->entry->price); ?></div>
			<?php } ?>

			<?php if ( $this->params->get('show_title') ) { ?>
				<div><a href="<?php echo $this->url; ?>"><?php echo RSDirectoryHelper::escapeHTML($this->entry->title); ?></a></div>
			<?php } ?>

			<?php if ( $this->params->get('show_ratings') ) { ?>
				<div class="rating" data-rating="<?php echo $this->entry->avg_rating; ?>"></div>
			<?php } ?>

			<?php if ( $this->params->get('show_favorites_button') ) { ?>
				<div class="clearfix"><a class="fav<?php if ($this->entry->faved) { ?> rsdir-entry-faved<?php } ?> <?php echo RsdirectoryAdapterGrid::float('right');?> btn" data-entry-id="<?php echo $this->entry->id; ?>" title="<?php echo JText::_($this->entry->faved ? 'COM_RSDIRECTORY_ENTRY_REMOVE_FROM_FAVORITES' : 'COM_RSDIRECTORY_ENTRY_ADD_TO_FAVORITES'); ?>"><i class="<?php echo $this->entry->faved ? 'fa fa-heart' : 'fa fa-heart-o'; ?>"></i></a></div>
			<?php } ?>

		</div>
	</div>
</div>