<?php
/**
 * @package	RSDirectory!
 * @copyright	(c) 2013 - 2021 RSJoomla!
 * @link		https://www.rsjoomla.com
 * @license	GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * Transaction view.
 */
class RSDirectoryViewTransaction extends JViewLegacy
{
    /**
     * The display function.
     *
     * @access public
     * 
     * @param mixed $tpl
     */
    public function display($tpl = null)
    {
        // Get the transaction.
        $transaction = $this->get('Item');
            
        // Raise an error if no entry was found with that id.
        if (!$transaction)
        {
            throw new Exception(JText::_('COM_RSDIRECTORY_PAGE_NOT_FOUND'), 404);
        }
			
		$app = JFactory::getApplication();
			
		// Build breadcrumb.
		$pathway = $app->getPathway();
			
		if ( !$app->input->get('Itemid') )
		{
			// Add breadcrumb item.
			$pathway->addItem(
				JText::_('COM_RSDIRECTORY_YOUR_ACCOUNT'),
				JRoute::_('index.php?option=com_rsdirectory&view=myaccount')
			);
		}
			
		$pathway->addItem( JText::_('COM_RSDIRECTORY_VIEW_TRANSACTION') );
            
        $this->transaction = $transaction;
		$this->use_invoice = RSDirectoryConfig::getInstance()->get('use_general_invoice', 0);
            
        parent::display($tpl);
    }
}